/*
 *  Copyright (C) 2015 Thomas Maier-Komor
 *
 *  This is the source code of hostscope.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef COMMON_H
#define COMMON_H

#define PACKETSIZE (1<<16)

extern const char *Copyright;
extern const char *License;
extern const char *Version;
extern const char *McastAddr;
extern bool ReadDisks, ReadNets, ReadProcs, Daemon;
extern unsigned Port;
extern void print_version();
extern void kill_daemon(const char *);
extern void sigSegVhandler(int sig);
extern int (*Endfunc)();
extern void setMulticastAddr(char *a);
extern void setMulticastPort(char *a);
extern void setInfluxAddr(char *a);
extern void initSettings(int argc, char *argv[]);
extern void start_daemon(const char *lockfile);
extern int create_lockfile(const char *lockfile);

#endif
