/*
 *  Copyright (C) 2015-2020, Thomas Maier-Komor
 *
 *  This is the source code of hostscope.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef LINUXSTATS_H
#define LINUXSTATS_H

class HostScope;

extern bool ReadProcIO, ReadEuid, ReadStatm;

extern int ProcFd, MaxFd;
extern unsigned NumOpen;

extern void init_tsensors();
extern void init_powersupplies(HostScope *);

extern uint64_t get_memtotal();
extern void read_cpuinfo(HostScope *);
extern void read_diskinfo(HostScope *);
extern void read_networks(HostScope *);
extern void read_procs(HostScope *);
extern void read_meminfo(HostScope *);
extern void read_vmstat(HostScope *);
extern void read_powersupplies(HostScope *);

#endif
