/*
 *  Copyright (C) 2015-2020, Thomas Maier-Komor
 *
 *  This is the source code of hostscope.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef LOG_H
#define LOG_H
#include <limits.h>

#ifndef PATH_MAX
#define PATH_MAX _XOPEN_PATH_MAX
#endif

extern int Verbose, Log;
extern unsigned History;

extern void setVerbose(const char *);
extern void setLogfile(const char *fn);
extern void log2syslog(const char *exename);
extern void SegVhandler(int signr);
extern void (*DfltSegV)(int signr);
extern char **ARGV;
extern int ARGC;

#ifdef DEBUG
extern void dbug(const char *m, ...);
#elif defined(__STDC_VERSION__) && (__STDC_VERSION__ >= 199901L)
#define dbug(...)
#else
static inline void dbug(const char *m,...) { (void) m; }
#endif

extern void info(const char *m, ...);
extern void warning(const char *m, ...);
extern void warnonce(const char *m, ...);
extern void error(const char *m, ...);
extern void fatal(const char *m, ...);

extern const char *get_msg(int);

#endif
