/****************************************************************************
 * 
 * Code generated by Wire-Format-Compiler (WFC)
 * WFC Version: R2102 (hg:376/8c6fd17949c8)
 * WFC is Copyright 2015-2021, Thomas Maier-Komor
 * 
 * Source Information:
 * ===================
 * Filename : hostscope.wfc
 * Copyright: 2021
 * Author   : Thomas Maier-Komor
 * E-Mail   : thomas@maier-komor.de
 * 
 * Code generated on 2021-03-11, 22:18:09 (CET).
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 ****************************************************************************/


/*
 * options from commandline:
 * 
 * options from file:hostscope.wfc:
 * author          : "Thomas Maier-Komor"
 * copyright       : 2021
 * email           : "thomas@maier-komor.de"
 * Optimize        : "speed"
 * toASCII         : "toASCII"
 * toJSON          : "toJSON"
 * toSink          : ""
 * toString        : ""
 * toWire          : ""
 * 
 * options from defaults:
 * AddPrefix       : "add_"
 * ascii_bytes     : "ascii_bytes"
 * ascii_indent    : "ascii_indent"
 * ascii_string    : "ascii_string"
 * BaseClass       : ""
 * bytestype       : "std::string"
 * calcSize        : "calcSize"
 * ClearName       : "clear"
 * ClearPrefix     : "clear_"
 * endian          : "unknown"
 * ErrorHandling   : "cancel"
 * fromMemory      : "fromMemory"
 * GetPrefix       : ""
 * HasPrefix       : "has_"
 * inline          : ""
 * IntSize         : 64
 * json_indent     : "json_indent"
 * lang            : "c++"
 * MutablePrefix   : "mutable_"
 * namespace       : ""
 * SetByName       : "setByName"
 * SetPrefix       : "set_"
 * SortMembers     : "id"
 * stringtype      : "std::string"
 * toMemory        : "toMemory"
 * UnknownField    : "skip"
 * VarIntBits      : 64
 * wfclib          : "static"
 * wireput         : ""
 * wiresize        : ""
 * 
 * disabled flags from defaults:
 * 	debug, enumnames, SubClasses
 * enabled flags from defaults:
 * 	asserts, comments, genlib, gnux, withEqual, withUnequal
 */

#include <ostream>
#include <stdlib.h>
#include <string.h>
#include "hostscope_wfc.h"

#include <ostream>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/* included from: (WFC_ROOT)/share/json_string.cct
 * function:      json_indent
 * variant:       json_indent
 */
static void json_indent(std::ostream &json, unsigned indLvl, char fsep, const char *fname = 0)
{
	if (fsep) {
		json.put(fsep);
		json.put('\n');
	}
	while (indLvl) {
		--indLvl;
		json.put(' ');
		json.put(' ');
	}
	if (fname) {
		json.put('"');
		json << fname;
		json.put('"');
		json.put(':');
	}
}


/* included from: (WFC_ROOT)/share/json_string.cct
 * function:      json_string
 * variant:       json_string
 */
template <class C>
void json_string(std::ostream &json, const C &str)
{
	json.put('"');
	const char *data = (const char *)str.data();
	size_t s = str.size();
	while (s) {
		char c = (char) *data++;
		if ((c >= 0x20) && (c <= 0x7e)) {
			json.put(c);
		} else {
			json.put('\\');
			switch (c) {
			case '\n':
				json.put('n');
				break;
			case '\r':
				json.put('r');
				break;
			case '\b':
				json.put('b');
				break;
			case '\f':
				json.put('f');
				break;
			case '\t':
				json.put('t');
				break;
			case '\\':
			case '"':
			case '/':
				json.put(c);
				break;
			default:
				{
					char buf[8];
					int n = sprintf(buf,"u%04x",(uint8_t)c);
					json.write(buf,n);
				}
			}
		}
		--s;
	}
	json.put('"');
}


/* included from: (WFC_ROOT)/share/json_string.cct
 * function:      json_cstr
 * variant:       json_cstr
 */
static void json_cstr(std::ostream &json, const char *cstr)
{
	json.put('"');
	if (cstr == 0) {
		json.put('"');
		return;
	}
	char c = *cstr;
	while (c) {
		if ((c >= 0x20) && (c <= 0x7e)) {
			json.put(c);
		} else {
			json.put('\\');
			switch (c) {
			case '\n':
				json.put('n');
				break;
			case '\r':
				json.put('r');
				break;
			case '\b':
				json.put('b');
				break;
			case '\f':
				json.put('f');
				break;
			case '\t':
				json.put('t');
				break;
			case '\\':
			case '"':
			case '/':
				json.put(c);
				break;
			default:
				{
					char buf[8];
					ssize_t n = sprintf(buf,"u%04x",(uint8_t)c);
					json.write(buf,n);
				}
			}
		}
		++cstr;
		c = *cstr;
	}
	json.put('"');
}


/* included from: (WFC_ROOT)/share/json_string.cct
 * function:      to_decstr
 * variant:       to_decstr
 */
template <typename T>
void to_decstr(std::ostream &s, T t)
{
	s << t;
}


/* included from: (WFC_ROOT)/share/ascii_funcs.cc
 * function:      ascii_indent
 * variant:       ascii_indent
 */
static void ascii_indent(std::ostream &out, ssize_t n, const char *fname = 0)
{
	out.put('\n');
	while (n > 0) {
		out.put('\t');
		--n;
	}
	if (fname) {
		out << fname;
		out.put(' ');
		out.put('=');
		out.put(' ');
	}
}


/* included from: (WFC_ROOT)/share/ascii_funcs.cc
 * function:      ascii_string
 * variant:       ascii_string
 */
static void ascii_string(std::ostream &out, const char *str, size_t len, size_t indent)
{
	unsigned cil = 0;
	out << '"';
	while (len) {
		char c = *str++;
		--len;
		if (cil == 64) {
			out << "\"\n";
			ascii_indent(out,indent);
			out << '"';
			cil = 0;
		}
		++cil;
		if ((c >= 0x23) && (c <= 0x7e)) {
			if (c == 0x5c) {
				// '\' itself must be escaped
				out << '\\';
			}
			// 0-9, a-z A-Z
			// ']'..'~', some operators, etc
			out << c;
			continue;
		}
		switch (c) {
		case '\0': out << "\\0"; continue;
		case '\t': out << "\\t"; continue;
		case '\r': out << "\\r"; continue;
		case '\b': out << "\\b"; continue;
		case '\a': out << "\\a"; continue;
		case '\e': out << "\\e"; continue;
		case '\f': out << "\\f"; continue;
		case '\v': out << "\\v"; continue;
		case '\\': out << "\\\\"; continue;
		case '"' : out << "\\\""; continue;
		case ' ' : out << ' '; continue;
		case '!' : out << '!'; continue;
		case '\n':
			out << "\\n\"\n";
			ascii_indent(out,indent);
			out << '"';
			continue;
		default:
			out << "\\0" << (unsigned)((c>>6)&0x3) << (unsigned)((c>>3)&0x7) << (unsigned)(c&0x7);
		}
	}
	out << '"';
}


/* included from: (WFC_ROOT)/share/parse_ascii.cct
 * function:      parse_ascii_u64
 * variant:       parse_ascii_u64
 */
static int parse_ascii_u64(uint64_t *v, const char *ascii)
{
	char *eptr;
	unsigned long long d = strtoull(ascii,&eptr,0);
	if (eptr == ascii)
		return -1;
	*v = (uint64_t) d;
	return eptr-ascii;
}


/* included from: (WFC_ROOT)/share/parse_ascii.cct
 * function:      parse_ascii_u32
 * variant:       parse_ascii_u32
 */
static int parse_ascii_u32(uint32_t *v, const char *ascii)
{
	char *eptr;
	long long d = strtoll(ascii,&eptr,0);
	if (eptr == ascii)
		return -2;
	if ((d < 0) || (d > UINT32_MAX))
		return -3;
	*v = (uint32_t) d;
	return eptr-ascii;
}


/* included from: (WFC_ROOT)/share/parse_ascii.cct
 * function:      parse_ascii_s64
 * variant:       parse_ascii_s64
 */
static int parse_ascii_s64(int64_t *v, const char *ascii)
{
	char *eptr;
	unsigned long long d = strtoull(ascii,&eptr,0);
	if (eptr == ascii)
		return -4;
	*v = (int64_t) d;
	return eptr-ascii;
}


/* included from: (WFC_ROOT)/share/parse_ascii.cct
 * function:      parse_ascii_s32
 * variant:       parse_ascii_s32
 */
static int parse_ascii_s32(int32_t *v, const char *ascii)
{
	char *eptr;
	long long d = strtoll(ascii,&eptr,0);
	if (eptr == ascii)
		return -5;
	if ((d < INT32_MIN) || (d > INT32_MAX))
		return -6;
	*v = (uint32_t) d;
	return eptr-ascii;
}


/* included from: (WFC_ROOT)/share/wiresize.cc
 * function:      wiresize
 * variant:       wiresize_generic
 */
static unsigned wiresize(varint_t u)
{
	unsigned x = 0;
	do ++x;
	while (u>>=7U);
	return x;
}


/* included from: (WFC_ROOT)/share/wiresize_x.cc
 * function:      wiresize_x
 * variant:       wiresize_x_generic
 */
static unsigned wiresize_x(varsint_t v)
{
	if (v < 0)
		return 10;
	unsigned x = 0;
	do ++x;
	while (v>>=7U);
	return x;
}


/* included from: (WFC_ROOT)/share/read_varint.cct
 * function:      read_varint
 * variant:       read_varint_default
 */
static unsigned read_varint(const uint8_t *wire, ssize_t wl, varint_t *r)
{
	uint8_t u8;
	int n = 0;
	varint_t v = 0;
	do {
		if (--wl < 0)
			return -7;
		u8 = *wire++;
		v |= (varint_t)(u8&~0x80) << (n*7);
		++n;
	} while ((u8 & 0x80) && (n < (64/7+1)));
	*r = v;
	if ((64 != 64) && (u8 & 0x80)) {
		while (*wire++ & 0x80)
			++n;
		++n;
	}
	return n;
}


/* included from: (WFC_ROOT)/share/skip_content.cct
 * function:      skip_content
 * variant:       skip_content
 */
static ssize_t skip_content(const uint8_t *wire, ssize_t wl, unsigned type)
{
	ssize_t n;
	switch (type) {
	case 0:
		n = 0;
		while (wire[n++]&0x80) {
			if (wl == n)
				return -8;
		}
		break;
	case 1:
		n = 8;
		break;
	case 2: {
			varint_t v = 0;
			unsigned l = read_varint(wire,wl,&v);
			if (0 == l)
				return -9;
			n = v + l;
			break;
		}
	case 3:
		n = 1;
		break;
	case 4:
		n = 2;
		break;
	case 5:
		n = 4;
		break;
	default:
		n = 0;
		return -10;
	}
	if (n > wl)
		return -11;
	return n;
}


/* included from: (WFC_ROOT)/share/write_varint.cct
 * function:      write_varint
 * variant:       write_varint_generic
 */
static int write_varint(uint8_t *wire, ssize_t wl, varint_t v)
{
	uint8_t *w = wire;
	do {
		if (--wl < 0)
			return -12;
		uint8_t u8 = v & 0x7f;
		v >>= 7;
		if (v)
			u8 |= 0x80;
		*wire = u8;
		++wire;
	} while (v);
	return wire-w;
}


HostScope::HostScope()
: m_metadata()
, m_hostinfo()
, m_loadavg()
, m_mem()
, m_power_supplies()
, m_linux_info()
, m_linux_vmstat()
, m_linux_cpus()
, m_processes()
, m_users()
, m_disks()
, m_netdevices()
, m_arc()
, p_validbits(0)
{
}

/*!
 * Function for resetting all members of this object to their default values.
 */
void HostScope::clear()
{
	m_metadata.clear();
	m_hostinfo.clear();
	m_loadavg.clear();
	m_mem.clear();
	m_power_supplies.clear();
	m_linux_info.clear();
	m_linux_vmstat.clear();
	m_linux_cpus.clear();
	m_processes.clear();
	m_users.clear();
	m_disks.clear();
	m_netdevices.clear();
	m_arc.clear();
	p_validbits = 0;
}

void HostScope::toASCII(std::ostream &o, size_t indent) const
{
	o << "HostScope {";
	++indent;
	ascii_indent(o,indent,"metadata");
	m_metadata.toASCII(o,indent);
	ascii_indent(o,indent,"hostinfo");
	m_hostinfo.toASCII(o,indent);
	ascii_indent(o,indent,"loadavg");
	m_loadavg.toASCII(o,indent);
	ascii_indent(o,indent,"mem");
	m_mem.toASCII(o,indent);
	ascii_indent(o,indent);
	o << "power_supplies[" << m_power_supplies.size() << "] = {";
	++indent;
	for (size_t i = 0, e = m_power_supplies.size(); i != e; ++i) {
		ascii_indent(o,indent);
		o << i << ": ";
		m_power_supplies[i].toASCII(o,indent);
	}
	--indent;
	ascii_indent(o,indent);
	o << '}';
	ascii_indent(o,indent,"linux_info");
	m_linux_info.toASCII(o,indent);
	ascii_indent(o,indent,"linux_vmstat");
	m_linux_vmstat.toASCII(o,indent);
	ascii_indent(o,indent);
	o << "linux_cpus[" << m_linux_cpus.size() << "] = {";
	++indent;
	for (size_t i = 0, e = m_linux_cpus.size(); i != e; ++i) {
		ascii_indent(o,indent);
		o << i << ": ";
		m_linux_cpus[i].toASCII(o,indent);
	}
	--indent;
	ascii_indent(o,indent);
	o << '}';
	ascii_indent(o,indent);
	o << "processes[" << m_processes.size() << "] = {";
	++indent;
	for (size_t i = 0, e = m_processes.size(); i != e; ++i) {
		ascii_indent(o,indent);
		o << i << ": ";
		m_processes[i].toASCII(o,indent);
	}
	--indent;
	ascii_indent(o,indent);
	o << '}';
	ascii_indent(o,indent);
	o << "users[" << m_users.size() << "] = {";
	++indent;
	for (size_t i = 0, e = m_users.size(); i != e; ++i) {
		ascii_indent(o,indent);
		o << i << ": ";
		m_users[i].toASCII(o,indent);
	}
	--indent;
	ascii_indent(o,indent);
	o << '}';
	ascii_indent(o,indent);
	o << "disks[" << m_disks.size() << "] = {";
	++indent;
	for (size_t i = 0, e = m_disks.size(); i != e; ++i) {
		ascii_indent(o,indent);
		o << i << ": ";
		m_disks[i].toASCII(o,indent);
	}
	--indent;
	ascii_indent(o,indent);
	o << '}';
	ascii_indent(o,indent);
	o << "netdevices[" << m_netdevices.size() << "] = {";
	++indent;
	for (size_t i = 0, e = m_netdevices.size(); i != e; ++i) {
		ascii_indent(o,indent);
		o << i << ": ";
		m_netdevices[i].toASCII(o,indent);
	}
	--indent;
	ascii_indent(o,indent);
	o << '}';
	ascii_indent(o,indent,"arc");
	m_arc.toASCII(o,indent);
	--indent;
	ascii_indent(o,indent);
	o << '}';
}

/*!
 * Function for parsing an object from serialized data.
 * @param b buffer containg the data to be parsed
 * @param s number of bytes in buffer
 * @return number of bytes successfully parsed (can be < s)
 *         or a negative value indicating the error encountered
 */
ssize_t HostScope::fromMemory(const void *b, ssize_t s)
{
	const uint8_t *a = (const uint8_t *)b;
	const uint8_t *e = a + s;
	while (a < e) {
		varint_t fid;
		int fn = read_varint(a,e-a,&fid);
		a += fn;
		if (fn <= 0)
			return -13;
		switch (fid) {
		case 0xa:	// metadata id 1, type HostScope_MetaData, coding byte[]
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				a += n;
				if ((n <= 0) || ((a+v) > e))
					return -14;
				if (v != 0) {
					n = m_metadata.fromMemory((const uint8_t*)a,v);
					if (n < 0)
						return n;
					if (n != (ssize_t)v)
						return -15;
					a += v;
				}
			}
			break;
		case 0x12:	// hostinfo id 2, type HostScope_HostInfo, coding byte[]
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				a += n;
				if ((n <= 0) || ((a+v) > e))
					return -16;
				if (v != 0) {
					n = m_hostinfo.fromMemory((const uint8_t*)a,v);
					if (n < 0)
						return n;
					if (n != (ssize_t)v)
						return -17;
					a += v;
				}
			}
			p_validbits |= ((uint8_t)1U << 0);
			break;
		case 0x1a:	// loadavg id 3, type HostScope_LoadAvg, coding byte[]
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				a += n;
				if ((n <= 0) || ((a+v) > e))
					return -18;
				if (v != 0) {
					n = m_loadavg.fromMemory((const uint8_t*)a,v);
					if (n < 0)
						return n;
					if (n != (ssize_t)v)
						return -19;
					a += v;
				}
			}
			p_validbits |= ((uint8_t)1U << 1);
			break;
		case 0x22:	// mem id 4, type HostScope_Memory, coding byte[]
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				a += n;
				if ((n <= 0) || ((a+v) > e))
					return -20;
				if (v != 0) {
					n = m_mem.fromMemory((const uint8_t*)a,v);
					if (n < 0)
						return n;
					if (n != (ssize_t)v)
						return -21;
					a += v;
				}
			}
			p_validbits |= ((uint8_t)1U << 2);
			break;
		case 0x2a:	// power_supplies id 5, type HostScope_PowerSupply, coding byte[]
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				a += n;
				if ((n <= 0) || ((a+v) > e))
					return -22;
				m_power_supplies.emplace_back();
				if (v != 0) {
					n = m_power_supplies.back().fromMemory((const uint8_t*)a,v);
					if (n < 0)
						return n;
					if (n != (ssize_t)v)
						return -23;
					a += v;
				}
			}
			break;
		case 0x42:	// linux_info id 8, type HostScope_LinuxInfo, coding byte[]
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				a += n;
				if ((n <= 0) || ((a+v) > e))
					return -24;
				if (v != 0) {
					n = m_linux_info.fromMemory((const uint8_t*)a,v);
					if (n < 0)
						return n;
					if (n != (ssize_t)v)
						return -25;
					a += v;
				}
			}
			p_validbits |= ((uint8_t)1U << 3);
			break;
		case 0x4a:	// linux_vmstat id 9, type HostScope_LinuxVmstat, coding byte[]
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				a += n;
				if ((n <= 0) || ((a+v) > e))
					return -26;
				if (v != 0) {
					n = m_linux_vmstat.fromMemory((const uint8_t*)a,v);
					if (n < 0)
						return n;
					if (n != (ssize_t)v)
						return -27;
					a += v;
				}
			}
			p_validbits |= ((uint8_t)1U << 4);
			break;
		case 0x52:	// linux_cpus id 10, type HostScope_LinuxCPU, coding byte[]
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				a += n;
				if ((n <= 0) || ((a+v) > e))
					return -28;
				m_linux_cpus.emplace_back();
				if (v != 0) {
					n = m_linux_cpus.back().fromMemory((const uint8_t*)a,v);
					if (n < 0)
						return n;
					if (n != (ssize_t)v)
						return -29;
					a += v;
				}
			}
			break;
		case 0x62:	// processes id 12, type HostScope_Process, coding byte[]
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				a += n;
				if ((n <= 0) || ((a+v) > e))
					return -30;
				m_processes.emplace_back();
				if (v != 0) {
					n = m_processes.back().fromMemory((const uint8_t*)a,v);
					if (n < 0)
						return n;
					if (n != (ssize_t)v)
						return -31;
					a += v;
				}
			}
			break;
		case 0x82:	// users id 16, type HostScope_User, coding byte[]
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				a += n;
				if ((n <= 0) || ((a+v) > e))
					return -32;
				m_users.emplace_back();
				if (v != 0) {
					n = m_users.back().fromMemory((const uint8_t*)a,v);
					if (n < 0)
						return n;
					if (n != (ssize_t)v)
						return -33;
					a += v;
				}
			}
			break;
		case 0x8a:	// disks id 17, type HostScope_Disk, coding byte[]
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				a += n;
				if ((n <= 0) || ((a+v) > e))
					return -34;
				m_disks.emplace_back();
				if (v != 0) {
					n = m_disks.back().fromMemory((const uint8_t*)a,v);
					if (n < 0)
						return n;
					if (n != (ssize_t)v)
						return -35;
					a += v;
				}
			}
			break;
		case 0x92:	// netdevices id 18, type HostScope_NetDevice, coding byte[]
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				a += n;
				if ((n <= 0) || ((a+v) > e))
					return -36;
				m_netdevices.emplace_back();
				if (v != 0) {
					n = m_netdevices.back().fromMemory((const uint8_t*)a,v);
					if (n < 0)
						return n;
					if (n != (ssize_t)v)
						return -37;
					a += v;
				}
			}
			break;
		case 0x9a:	// arc id 19, type HostScope_ARC, coding byte[]
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				a += n;
				if ((n <= 0) || ((a+v) > e))
					return -38;
				if (v != 0) {
					n = m_arc.fromMemory((const uint8_t*)a,v);
					if (n < 0)
						return n;
					if (n != (ssize_t)v)
						return -39;
					a += v;
				}
			}
			p_validbits |= ((uint8_t)1U << 5);
			break;
		default:
			{
				ssize_t s = skip_content(a,e-a,fid&7);
				if (s <= 0)
					return -40;
				a += s;
				break;
			}
		}
	}
	assert((a-(const uint8_t *)b) == s);
	if (a > e)
		return -41;
	return a-(const uint8_t *)b;
}

/*!
 * Function for serializing the object to memory.
 * @param b buffer to serialize the object to
 * @param s number of bytes available in the buffer
 * @return number of bytes successfully serialized
 */
ssize_t HostScope::toMemory(uint8_t *b, ssize_t s) const
{
	assert(s >= 0);
	uint8_t *a = b, *e = b + s;
	signed n;
	// 'metadata': id=1, encoding=2, tag=0xa
	if (a >= e)
		return -42;
	*a++ = 0xa;
	ssize_t metadata_ws = m_metadata.calcSize();
	n = write_varint(a,e-a,metadata_ws);
	a += n;
	if ((n <= 0) || (metadata_ws > (e-a)))
		return -43;
	n = m_metadata.toMemory(a,e-a);
	a += n;
	assert(n == metadata_ws);
	// has hostinfo?
	if (0 != (p_validbits & ((uint8_t)1U << 0))) {
		// 'hostinfo': id=2, encoding=2, tag=0x12
		if (a >= e)
			return -44;
		*a++ = 0x12;
		ssize_t hostinfo_ws = m_hostinfo.calcSize();
		n = write_varint(a,e-a,hostinfo_ws);
		a += n;
		if ((n <= 0) || (hostinfo_ws > (e-a)))
			return -45;
		n = m_hostinfo.toMemory(a,e-a);
		a += n;
		assert(n == hostinfo_ws);
	}
	// has loadavg?
	if (0 != (p_validbits & ((uint8_t)1U << 1))) {
		// 'loadavg': id=3, encoding=2, tag=0x1a
		if (a >= e)
			return -46;
		*a++ = 0x1a;
		ssize_t loadavg_ws = m_loadavg.calcSize();
		n = write_varint(a,e-a,loadavg_ws);
		a += n;
		if ((n <= 0) || (loadavg_ws > (e-a)))
			return -47;
		n = m_loadavg.toMemory(a,e-a);
		a += n;
		assert(n == loadavg_ws);
	}
	// has mem?
	if (0 != (p_validbits & ((uint8_t)1U << 2))) {
		// 'mem': id=4, encoding=2, tag=0x22
		if (a >= e)
			return -48;
		*a++ = 0x22;
		ssize_t mem_ws = m_mem.calcSize();
		n = write_varint(a,e-a,mem_ws);
		a += n;
		if ((n <= 0) || (mem_ws > (e-a)))
			return -49;
		n = m_mem.toMemory(a,e-a);
		a += n;
		assert(n == mem_ws);
	}
	for (size_t x = 0, y = m_power_supplies.size(); x != y; ++x) {
		// 'power_supplies': id=5, encoding=2, tag=0x2a
		if (a >= e)
			return -50;
		*a++ = 0x2a;
		ssize_t power_supplies_ws = m_power_supplies[x].calcSize();
		n = write_varint(a,e-a,power_supplies_ws);
		a += n;
		if ((n <= 0) || (power_supplies_ws > (e-a)))
			return -51;
		n = m_power_supplies[x].toMemory(a,e-a);
		a += n;
		assert(n == power_supplies_ws);
	}
	// has linux_info?
	if (0 != (p_validbits & ((uint8_t)1U << 3))) {
		// 'linux_info': id=8, encoding=2, tag=0x42
		if (a >= e)
			return -52;
		*a++ = 0x42;
		ssize_t linux_info_ws = m_linux_info.calcSize();
		n = write_varint(a,e-a,linux_info_ws);
		a += n;
		if ((n <= 0) || (linux_info_ws > (e-a)))
			return -53;
		n = m_linux_info.toMemory(a,e-a);
		a += n;
		assert(n == linux_info_ws);
	}
	// has linux_vmstat?
	if (0 != (p_validbits & ((uint8_t)1U << 4))) {
		// 'linux_vmstat': id=9, encoding=2, tag=0x4a
		if (a >= e)
			return -54;
		*a++ = 0x4a;
		ssize_t linux_vmstat_ws = m_linux_vmstat.calcSize();
		n = write_varint(a,e-a,linux_vmstat_ws);
		a += n;
		if ((n <= 0) || (linux_vmstat_ws > (e-a)))
			return -55;
		n = m_linux_vmstat.toMemory(a,e-a);
		a += n;
		assert(n == linux_vmstat_ws);
	}
	for (size_t x = 0, y = m_linux_cpus.size(); x != y; ++x) {
		// 'linux_cpus': id=10, encoding=2, tag=0x52
		if (a >= e)
			return -56;
		*a++ = 0x52;
		ssize_t linux_cpus_ws = m_linux_cpus[x].calcSize();
		n = write_varint(a,e-a,linux_cpus_ws);
		a += n;
		if ((n <= 0) || (linux_cpus_ws > (e-a)))
			return -57;
		n = m_linux_cpus[x].toMemory(a,e-a);
		a += n;
		assert(n == linux_cpus_ws);
	}
	for (size_t x = 0, y = m_processes.size(); x != y; ++x) {
		// 'processes': id=12, encoding=2, tag=0x62
		if (a >= e)
			return -58;
		*a++ = 0x62;
		ssize_t processes_ws = m_processes[x].calcSize();
		n = write_varint(a,e-a,processes_ws);
		a += n;
		if ((n <= 0) || (processes_ws > (e-a)))
			return -59;
		n = m_processes[x].toMemory(a,e-a);
		a += n;
		assert(n == processes_ws);
	}
	for (size_t x = 0, y = m_users.size(); x != y; ++x) {
		// 'users': id=16, encoding=2, tag=0x82
		if (2 > (e-a))
			return -60;
		*a++ = 0x82;
		*a++ = 0x1;
		ssize_t users_ws = m_users[x].calcSize();
		n = write_varint(a,e-a,users_ws);
		a += n;
		if ((n <= 0) || (users_ws > (e-a)))
			return -61;
		n = m_users[x].toMemory(a,e-a);
		a += n;
		assert(n == users_ws);
	}
	for (size_t x = 0, y = m_disks.size(); x != y; ++x) {
		// 'disks': id=17, encoding=2, tag=0x8a
		if (2 > (e-a))
			return -62;
		*a++ = 0x8a;
		*a++ = 0x1;
		ssize_t disks_ws = m_disks[x].calcSize();
		n = write_varint(a,e-a,disks_ws);
		a += n;
		if ((n <= 0) || (disks_ws > (e-a)))
			return -63;
		n = m_disks[x].toMemory(a,e-a);
		a += n;
		assert(n == disks_ws);
	}
	for (size_t x = 0, y = m_netdevices.size(); x != y; ++x) {
		// 'netdevices': id=18, encoding=2, tag=0x92
		if (2 > (e-a))
			return -64;
		*a++ = 0x92;
		*a++ = 0x1;
		ssize_t netdevices_ws = m_netdevices[x].calcSize();
		n = write_varint(a,e-a,netdevices_ws);
		a += n;
		if ((n <= 0) || (netdevices_ws > (e-a)))
			return -65;
		n = m_netdevices[x].toMemory(a,e-a);
		a += n;
		assert(n == netdevices_ws);
	}
	// has arc?
	if (0 != (p_validbits & ((uint8_t)1U << 5))) {
		// 'arc': id=19, encoding=2, tag=0x9a
		if (2 > (e-a))
			return -66;
		*a++ = 0x9a;
		*a++ = 0x1;
		ssize_t arc_ws = m_arc.calcSize();
		n = write_varint(a,e-a,arc_ws);
		a += n;
		if ((n <= 0) || (arc_ws > (e-a)))
			return -67;
		n = m_arc.toMemory(a,e-a);
		a += n;
		assert(n == arc_ws);
	}
	assert(a <= e);
	return a-b;
}

/*!
 * Function for writing a JSON representation of the object to a stream.
 * @param json stream object the data should be serialized to
 * @param indLvl the indention level that should be used
 */
void HostScope::toJSON(std::ostream &json, unsigned indLvl) const
{
	++indLvl;
	json_indent(json,indLvl,'{',"metadata");
	m_metadata.toJSON(json,indLvl);
	if (has_hostinfo()) {
		json_indent(json,indLvl,',',"hostinfo");
		m_hostinfo.toJSON(json,indLvl);
	}
	if (has_loadavg()) {
		json_indent(json,indLvl,',',"loadavg");
		m_loadavg.toJSON(json,indLvl);
	}
	if (has_mem()) {
		json_indent(json,indLvl,',',"mem");
		m_mem.toJSON(json,indLvl);
	}
	if (size_t s = m_power_supplies.size()) {
		json_indent(json,indLvl,',');
		indLvl += 2;
		json << "\"power_supplies\":[\n";
		for (size_t i = 0; i < s;) {
			json_indent(json,indLvl,0);
			m_power_supplies[i].toJSON(json,indLvl);
			++i;
			if (i != s)
				json.write(",\n",2);
		}
		indLvl -= 2;
		json_indent(json,indLvl,0);
		json.put(']');
	}
	if (has_linux_info()) {
		json_indent(json,indLvl,',',"linux_info");
		m_linux_info.toJSON(json,indLvl);
	}
	if (has_linux_vmstat()) {
		json_indent(json,indLvl,',',"linux_vmstat");
		m_linux_vmstat.toJSON(json,indLvl);
	}
	if (size_t s = m_linux_cpus.size()) {
		json_indent(json,indLvl,',');
		indLvl += 2;
		json << "\"linux_cpus\":[\n";
		for (size_t i = 0; i < s;) {
			json_indent(json,indLvl,0);
			m_linux_cpus[i].toJSON(json,indLvl);
			++i;
			if (i != s)
				json.write(",\n",2);
		}
		indLvl -= 2;
		json_indent(json,indLvl,0);
		json.put(']');
	}
	if (size_t s = m_processes.size()) {
		json_indent(json,indLvl,',');
		indLvl += 2;
		json << "\"processes\":[\n";
		for (size_t i = 0; i < s;) {
			json_indent(json,indLvl,0);
			m_processes[i].toJSON(json,indLvl);
			++i;
			if (i != s)
				json.write(",\n",2);
		}
		indLvl -= 2;
		json_indent(json,indLvl,0);
		json.put(']');
	}
	if (size_t s = m_users.size()) {
		json_indent(json,indLvl,',');
		indLvl += 2;
		json << "\"users\":[\n";
		for (size_t i = 0; i < s;) {
			json_indent(json,indLvl,0);
			m_users[i].toJSON(json,indLvl);
			++i;
			if (i != s)
				json.write(",\n",2);
		}
		indLvl -= 2;
		json_indent(json,indLvl,0);
		json.put(']');
	}
	if (size_t s = m_disks.size()) {
		json_indent(json,indLvl,',');
		indLvl += 2;
		json << "\"disks\":[\n";
		for (size_t i = 0; i < s;) {
			json_indent(json,indLvl,0);
			m_disks[i].toJSON(json,indLvl);
			++i;
			if (i != s)
				json.write(",\n",2);
		}
		indLvl -= 2;
		json_indent(json,indLvl,0);
		json.put(']');
	}
	if (size_t s = m_netdevices.size()) {
		json_indent(json,indLvl,',');
		indLvl += 2;
		json << "\"netdevices\":[\n";
		for (size_t i = 0; i < s;) {
			json_indent(json,indLvl,0);
			m_netdevices[i].toJSON(json,indLvl);
			++i;
			if (i != s)
				json.write(",\n",2);
		}
		indLvl -= 2;
		json_indent(json,indLvl,0);
		json.put(']');
	}
	if (has_arc()) {
		json_indent(json,indLvl,',',"arc");
		m_arc.toJSON(json,indLvl);
	}
	json.put('\n');
	--indLvl;
	json_indent(json,indLvl,0);
	json.put('}');
	if (indLvl == 0)
		json.put('\n');
}

/*!
 * Function for calculating the number of bytes needed for serializing
 * the related object with its associated data.
 * Changing the data may change the size of the serialized object.
 */
size_t HostScope::calcSize() const
{
	// HostScope_MetaData metadata: tagsize 1
	size_t r = 1;	// required size, default is fixed length
	// HostScope_MetaData metadata
	size_t metadata_s = m_metadata.calcSize();
	r += metadata_s + wiresize(metadata_s);
	// HostScope_HostInfo hostinfo
	if (0 != (p_validbits & ((uint8_t)1U << 0))) {
		size_t hostinfo_s = m_hostinfo.calcSize();
		r += hostinfo_s + wiresize(hostinfo_s) + 1 /* tag(hostinfo) 0x10 */;
	}
	// HostScope_LoadAvg loadavg
	if (0 != (p_validbits & ((uint8_t)1U << 1))) {
		size_t loadavg_s = m_loadavg.calcSize();
		r += loadavg_s + wiresize(loadavg_s) + 1 /* tag(loadavg) 0x18 */;
	}
	// HostScope_Memory mem
	if (0 != (p_validbits & ((uint8_t)1U << 2))) {
		size_t mem_s = m_mem.calcSize();
		r += mem_s + wiresize(mem_s) + 1 /* tag(mem) 0x20 */;
	}
	// HostScope_PowerSupply power_supplies
	// repeated message power_supplies
	for (size_t x = 0, y = m_power_supplies.size(); x < y; ++x) {
		size_t s = m_power_supplies[x].calcSize();
		r += wiresize(s);
		r += s + 1 /* tag(power_supplies) 0x28 */;
	}
	// HostScope_LinuxInfo linux_info
	if (0 != (p_validbits & ((uint8_t)1U << 3))) {
		size_t linux_info_s = m_linux_info.calcSize();
		r += linux_info_s + wiresize(linux_info_s) + 1 /* tag(linux_info) 0x40 */;
	}
	// HostScope_LinuxVmstat linux_vmstat
	if (0 != (p_validbits & ((uint8_t)1U << 4))) {
		size_t linux_vmstat_s = m_linux_vmstat.calcSize();
		r += linux_vmstat_s + wiresize(linux_vmstat_s) + 1 /* tag(linux_vmstat) 0x48 */;
	}
	// HostScope_LinuxCPU linux_cpus
	// repeated message linux_cpus
	for (size_t x = 0, y = m_linux_cpus.size(); x < y; ++x) {
		size_t s = m_linux_cpus[x].calcSize();
		r += wiresize(s);
		r += s + 1 /* tag(linux_cpus) 0x50 */;
	}
	// HostScope_Process processes
	// repeated message processes
	for (size_t x = 0, y = m_processes.size(); x < y; ++x) {
		size_t s = m_processes[x].calcSize();
		r += wiresize(s);
		r += s + 1 /* tag(processes) 0x60 */;
	}
	// HostScope_User users
	// repeated message users
	for (size_t x = 0, y = m_users.size(); x < y; ++x) {
		size_t s = m_users[x].calcSize();
		r += wiresize(s);
		r += s + 2 /* tag(users) 0x80 */;
	}
	// HostScope_Disk disks
	// repeated message disks
	for (size_t x = 0, y = m_disks.size(); x < y; ++x) {
		size_t s = m_disks[x].calcSize();
		r += wiresize(s);
		r += s + 2 /* tag(disks) 0x88 */;
	}
	// HostScope_NetDevice netdevices
	// repeated message netdevices
	for (size_t x = 0, y = m_netdevices.size(); x < y; ++x) {
		size_t s = m_netdevices[x].calcSize();
		r += wiresize(s);
		r += s + 2 /* tag(netdevices) 0x90 */;
	}
	// HostScope_ARC arc
	if (0 != (p_validbits & ((uint8_t)1U << 5))) {
		size_t arc_s = m_arc.calcSize();
		r += arc_s + wiresize(arc_s) + 2 /* tag(arc) 0x98 */;
	}
	return r;
}

bool HostScope::operator != (const HostScope &r) const
{
	if (m_metadata != r.m_metadata)
		return true;
	if (has_hostinfo() ^ r.has_hostinfo())
		return true;
	if (has_hostinfo() && (m_hostinfo != r.m_hostinfo))
		return true;
	if (has_loadavg() ^ r.has_loadavg())
		return true;
	if (has_loadavg() && (m_loadavg != r.m_loadavg))
		return true;
	if (has_mem() ^ r.has_mem())
		return true;
	if (has_mem() && (m_mem != r.m_mem))
		return true;
	if (m_power_supplies != r.m_power_supplies)
		return true;
	if (has_linux_info() ^ r.has_linux_info())
		return true;
	if (has_linux_info() && (m_linux_info != r.m_linux_info))
		return true;
	if (has_linux_vmstat() ^ r.has_linux_vmstat())
		return true;
	if (has_linux_vmstat() && (m_linux_vmstat != r.m_linux_vmstat))
		return true;
	if (m_linux_cpus != r.m_linux_cpus)
		return true;
	if (m_processes != r.m_processes)
		return true;
	if (m_users != r.m_users)
		return true;
	if (m_disks != r.m_disks)
		return true;
	if (m_netdevices != r.m_netdevices)
		return true;
	if (has_arc() ^ r.has_arc())
		return true;
	if (has_arc() && (m_arc != r.m_arc))
		return true;
	return false;
}


bool HostScope::operator == (const HostScope &r) const
{
	return !((*this) != r);
}


/*
 * Function for setting an element in dot notation with an ASCII value.
 * It will call the specified parse_ascii function for parsing the value.
 *
 * @return number of bytes successfully parsed or negative value indicating
 *         an error.
 */
int HostScope::setByName(const char *name, const char *value)
{
	if (0 == memcmp(name,"metadata",8)) {
		if ((name[8] == 0) && (value == 0)) {
			m_metadata.clear();
			return 0;
		} else if (name[8] == '.') {
			return m_metadata.setByName(name+9,value);
		}
	}
	if (0 == memcmp(name,"hostinfo",8)) {
		if ((name[8] == 0) && (value == 0)) {
			clear_hostinfo();
			return 0;
		} else if (name[8] == '.') {
			p_validbits |= ((uint8_t)1U << 0);
			return m_hostinfo.setByName(name+9,value);
		}
	}
	if (0 == memcmp(name,"loadavg",7)) {
		if ((name[7] == 0) && (value == 0)) {
			clear_loadavg();
			return 0;
		} else if (name[7] == '.') {
			p_validbits |= ((uint8_t)1U << 1);
			return m_loadavg.setByName(name+8,value);
		}
	}
	if (0 == memcmp(name,"mem",3)) {
		if ((name[3] == 0) && (value == 0)) {
			clear_mem();
			return 0;
		} else if (name[3] == '.') {
			p_validbits |= ((uint8_t)1U << 2);
			return m_mem.setByName(name+4,value);
		}
	}
	if (0 == memcmp(name,"power_supplies",14)) {
		if ((name[14] == 0) && (value == 0)) {
			clear_power_supplies();
			return 0;
		} else if (name[14] == '[') {
			char *idxe;
			unsigned long x;
			if ((name[15] == '+') && (name[16] == ']')) {
				x = m_power_supplies.size();
				m_power_supplies.resize(x+1);
				idxe = (char*)(name + 16);
				if (idxe[1] == 0)
					return 0;
			} else {
				x = strtoul(name+15,&idxe,0);
				if (idxe[0] != ']')
					return -68;
				if (m_power_supplies.size() <= x)
					return -69;
				if ((idxe[1] == 0) && (value == 0)) {
					m_power_supplies.erase(m_power_supplies.begin()+x);
					return 0;
				}
			}
			if (idxe[1] != '.')
				return -70;
			return m_power_supplies[x].setByName(idxe+2,value);
		}
	}
	if (0 == memcmp(name,"linux_info",10)) {
		if ((name[10] == 0) && (value == 0)) {
			clear_linux_info();
			return 0;
		} else if (name[10] == '.') {
			p_validbits |= ((uint8_t)1U << 3);
			return m_linux_info.setByName(name+11,value);
		}
	}
	if (0 == memcmp(name,"linux_vmstat",12)) {
		if ((name[12] == 0) && (value == 0)) {
			clear_linux_vmstat();
			return 0;
		} else if (name[12] == '.') {
			p_validbits |= ((uint8_t)1U << 4);
			return m_linux_vmstat.setByName(name+13,value);
		}
	}
	if (0 == memcmp(name,"linux_cpus",10)) {
		if ((name[10] == 0) && (value == 0)) {
			clear_linux_cpus();
			return 0;
		} else if (name[10] == '[') {
			char *idxe;
			unsigned long x;
			if ((name[11] == '+') && (name[12] == ']')) {
				x = m_linux_cpus.size();
				m_linux_cpus.resize(x+1);
				idxe = (char*)(name + 12);
				if (idxe[1] == 0)
					return 0;
			} else {
				x = strtoul(name+11,&idxe,0);
				if (idxe[0] != ']')
					return -71;
				if (m_linux_cpus.size() <= x)
					return -72;
				if ((idxe[1] == 0) && (value == 0)) {
					m_linux_cpus.erase(m_linux_cpus.begin()+x);
					return 0;
				}
			}
			if (idxe[1] != '.')
				return -73;
			return m_linux_cpus[x].setByName(idxe+2,value);
		}
	}
	if (0 == memcmp(name,"processes",9)) {
		if ((name[9] == 0) && (value == 0)) {
			clear_processes();
			return 0;
		} else if (name[9] == '[') {
			char *idxe;
			unsigned long x;
			if ((name[10] == '+') && (name[11] == ']')) {
				x = m_processes.size();
				m_processes.resize(x+1);
				idxe = (char*)(name + 11);
				if (idxe[1] == 0)
					return 0;
			} else {
				x = strtoul(name+10,&idxe,0);
				if (idxe[0] != ']')
					return -74;
				if (m_processes.size() <= x)
					return -75;
				if ((idxe[1] == 0) && (value == 0)) {
					m_processes.erase(m_processes.begin()+x);
					return 0;
				}
			}
			if (idxe[1] != '.')
				return -76;
			return m_processes[x].setByName(idxe+2,value);
		}
	}
	if (0 == memcmp(name,"users",5)) {
		if ((name[5] == 0) && (value == 0)) {
			clear_users();
			return 0;
		} else if (name[5] == '[') {
			char *idxe;
			unsigned long x;
			if ((name[6] == '+') && (name[7] == ']')) {
				x = m_users.size();
				m_users.resize(x+1);
				idxe = (char*)(name + 7);
				if (idxe[1] == 0)
					return 0;
			} else {
				x = strtoul(name+6,&idxe,0);
				if (idxe[0] != ']')
					return -77;
				if (m_users.size() <= x)
					return -78;
				if ((idxe[1] == 0) && (value == 0)) {
					m_users.erase(m_users.begin()+x);
					return 0;
				}
			}
			if (idxe[1] != '.')
				return -79;
			return m_users[x].setByName(idxe+2,value);
		}
	}
	if (0 == memcmp(name,"disks",5)) {
		if ((name[5] == 0) && (value == 0)) {
			clear_disks();
			return 0;
		} else if (name[5] == '[') {
			char *idxe;
			unsigned long x;
			if ((name[6] == '+') && (name[7] == ']')) {
				x = m_disks.size();
				m_disks.resize(x+1);
				idxe = (char*)(name + 7);
				if (idxe[1] == 0)
					return 0;
			} else {
				x = strtoul(name+6,&idxe,0);
				if (idxe[0] != ']')
					return -80;
				if (m_disks.size() <= x)
					return -81;
				if ((idxe[1] == 0) && (value == 0)) {
					m_disks.erase(m_disks.begin()+x);
					return 0;
				}
			}
			if (idxe[1] != '.')
				return -82;
			return m_disks[x].setByName(idxe+2,value);
		}
	}
	if (0 == memcmp(name,"netdevices",10)) {
		if ((name[10] == 0) && (value == 0)) {
			clear_netdevices();
			return 0;
		} else if (name[10] == '[') {
			char *idxe;
			unsigned long x;
			if ((name[11] == '+') && (name[12] == ']')) {
				x = m_netdevices.size();
				m_netdevices.resize(x+1);
				idxe = (char*)(name + 12);
				if (idxe[1] == 0)
					return 0;
			} else {
				x = strtoul(name+11,&idxe,0);
				if (idxe[0] != ']')
					return -83;
				if (m_netdevices.size() <= x)
					return -84;
				if ((idxe[1] == 0) && (value == 0)) {
					m_netdevices.erase(m_netdevices.begin()+x);
					return 0;
				}
			}
			if (idxe[1] != '.')
				return -85;
			return m_netdevices[x].setByName(idxe+2,value);
		}
	}
	if (0 == memcmp(name,"arc",3)) {
		if ((name[3] == 0) && (value == 0)) {
			clear_arc();
			return 0;
		} else if (name[3] == '.') {
			p_validbits |= ((uint8_t)1U << 5);
			return m_arc.setByName(name+4,value);
		}
	}
	return -86;
}

HostScope_MetaData::HostScope_MetaData()
: m_protocol_version(0)
, m_timestamp(0)
, m_hostscope_version()
{
}

/*!
 * Function for resetting all members of this object to their default values.
 */
void HostScope_MetaData::clear()
{
	m_protocol_version = 0;
	m_timestamp = 0;
	m_hostscope_version.clear();
}

void HostScope_MetaData::toASCII(std::ostream &o, size_t indent) const
{
	o << "HostScope_MetaData {";
	++indent;
	ascii_indent(o,indent,"protocol_version");
	o << m_protocol_version << ';';
	ascii_indent(o,indent,"timestamp");
	o << m_timestamp << ';';
	ascii_indent(o,indent,"hostscope_version");
	ascii_string(o,m_hostscope_version.data(),m_hostscope_version.size(),indent+2);
	o << ';';
	--indent;
	ascii_indent(o,indent);
	o << '}';
}

/*!
 * Function for parsing an object from serialized data.
 * @param b buffer containg the data to be parsed
 * @param s number of bytes in buffer
 * @return number of bytes successfully parsed (can be < s)
 *         or a negative value indicating the error encountered
 */
ssize_t HostScope_MetaData::fromMemory(const void *b, ssize_t s)
{
	const uint8_t *a = (const uint8_t *)b;
	const uint8_t *e = a + s;
	while (a < e) {
		varint_t fid;
		int fn = read_varint(a,e-a,&fid);
		a += fn;
		if (fn <= 0)
			return -87;
		switch (fid) {
		case 0x8:	// protocol_version id 1, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -88;
				a += n;
				m_protocol_version = v;
			}
			break;
		case 0x10:	// timestamp id 2, type uint64_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -89;
				a += n;
				m_timestamp = v;
			}
			break;
		case 0x1a:	// hostscope_version id 3, type std::string, coding byte[]
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				a += n;
				if ((n <= 0) || ((a+v) > e))
					return -90;
				m_hostscope_version.assign((const char*)a,v);
				a += v;
			}
			break;
		default:
			{
				ssize_t s = skip_content(a,e-a,fid&7);
				if (s <= 0)
					return -91;
				a += s;
				break;
			}
		}
	}
	assert((a-(const uint8_t *)b) == s);
	if (a > e)
		return -92;
	return a-(const uint8_t *)b;
}

/*!
 * Function for serializing the object to memory.
 * @param b buffer to serialize the object to
 * @param s number of bytes available in the buffer
 * @return number of bytes successfully serialized
 */
ssize_t HostScope_MetaData::toMemory(uint8_t *b, ssize_t s) const
{
	assert(s >= 0);
	uint8_t *a = b, *e = b + s;
	signed n;
	// 'protocol_version': id=1, encoding=0, tag=0x8
	if (a >= e)
		return -93;
	*a++ = 0x8;
	n = write_varint(a,e-a,m_protocol_version);
	if (n <= 0)
		return -94;
	a += n;
	// 'timestamp': id=2, encoding=0, tag=0x10
	if (a >= e)
		return -95;
	*a++ = 0x10;
	n = write_varint(a,e-a,m_timestamp);
	if (n <= 0)
		return -96;
	a += n;
	// 'hostscope_version': id=3, encoding=2, tag=0x1a
	if (a >= e)
		return -97;
	*a++ = 0x1a;
	ssize_t hostscope_version_s = m_hostscope_version.size();
	n = write_varint(a,e-a,hostscope_version_s);
	a += n;
	if ((n <= 0) || ((e-a) < hostscope_version_s))
		return -98;
	memcpy(a,m_hostscope_version.data(),hostscope_version_s);
	a += hostscope_version_s;
	assert(a <= e);
	return a-b;
}

/*!
 * Function for writing a JSON representation of the object to a stream.
 * @param json stream object the data should be serialized to
 * @param indLvl the indention level that should be used
 */
void HostScope_MetaData::toJSON(std::ostream &json, unsigned indLvl) const
{
	++indLvl;
	json_indent(json,indLvl,'{',"protocol_version");
	json << m_protocol_version;
	json_indent(json,indLvl,',',"timestamp");
	json << m_timestamp;
	json_indent(json,indLvl,',',"hostscope_version");
	json_cstr(json,m_hostscope_version.c_str());
	json.put('\n');
	--indLvl;
	json_indent(json,indLvl,0);
	json.put('}');
	if (indLvl == 0)
		json.put('\n');
}

/*!
 * Function for calculating the number of bytes needed for serializing
 * the related object with its associated data.
 * Changing the data may change the size of the serialized object.
 */
size_t HostScope_MetaData::calcSize() const
{
	// uint32 protocol_version: tagsize 1
	// uint64 timestamp: tagsize 1
	// string hostscope_version: tagsize 1
	size_t r = 3;	// required size, default is fixed length
	// uint32 protocol_version
	r += wiresize((varint_t)m_protocol_version);
	// uint64 timestamp
	r += wiresize((varint_t)m_timestamp);
	// string hostscope_version
	size_t hostscope_version_s = m_hostscope_version.size();
	r += hostscope_version_s + wiresize(hostscope_version_s);
	return r;
}

bool HostScope_MetaData::operator != (const HostScope_MetaData &r) const
{
	if (m_protocol_version != r.m_protocol_version)
		return true;
	if (m_timestamp != r.m_timestamp)
		return true;
	if (m_hostscope_version != r.m_hostscope_version)
		return true;
	return false;
}


bool HostScope_MetaData::operator == (const HostScope_MetaData &r) const
{
	return !((*this) != r);
}


/*
 * Function for setting an element in dot notation with an ASCII value.
 * It will call the specified parse_ascii function for parsing the value.
 *
 * @return number of bytes successfully parsed or negative value indicating
 *         an error.
 */
int HostScope_MetaData::setByName(const char *name, const char *value)
{
	if (0 == strcmp(name,"protocol_version")) {
		int r = parse_ascii_u32(&m_protocol_version,value);
		if (r > 0)
			return r;
	}
	if (0 == strcmp(name,"timestamp")) {
		int r = parse_ascii_u64(&m_timestamp,value);
		if (r > 0)
			return r;
	}
	if (0 == strcmp(name,"hostscope_version")) {
		m_hostscope_version = value;
		int r = m_hostscope_version.size();
		if (r > 0)
			return r;
	}
	return -99;
}

HostScope_HostInfo::HostScope_HostInfo()
: m_hostname()
, m_uptime(0)
, m_osname()
, m_osrelease()
, m_osversion()
, m_proctype()
, m_machtype()
, m_minuseruid(0)
, p_validbits(0)
{
}

/*!
 * Function for resetting all members of this object to their default values.
 */
void HostScope_HostInfo::clear()
{
	m_hostname.clear();
	m_uptime = 0;
	m_osname.clear();
	m_osrelease.clear();
	m_osversion.clear();
	m_proctype.clear();
	m_machtype.clear();
	m_minuseruid = 0;
	p_validbits = 0;
}

void HostScope_HostInfo::toASCII(std::ostream &o, size_t indent) const
{
	o << "HostScope_HostInfo {";
	++indent;
	ascii_indent(o,indent,"hostname");
	ascii_string(o,m_hostname.data(),m_hostname.size(),indent+2);
	o << ';';
	ascii_indent(o,indent,"uptime");
	o << m_uptime << ';';
	ascii_indent(o,indent,"osname");
	ascii_string(o,m_osname.data(),m_osname.size(),indent+2);
	o << ';';
	ascii_indent(o,indent,"osrelease");
	ascii_string(o,m_osrelease.data(),m_osrelease.size(),indent+2);
	o << ';';
	ascii_indent(o,indent,"osversion");
	ascii_string(o,m_osversion.data(),m_osversion.size(),indent+2);
	o << ';';
	ascii_indent(o,indent,"proctype");
	ascii_string(o,m_proctype.data(),m_proctype.size(),indent+2);
	o << ';';
	ascii_indent(o,indent,"machtype");
	ascii_string(o,m_machtype.data(),m_machtype.size(),indent+2);
	o << ';';
	ascii_indent(o,indent,"minuseruid");
	o << m_minuseruid << ';';
	--indent;
	ascii_indent(o,indent);
	o << '}';
}

/*!
 * Function for parsing an object from serialized data.
 * @param b buffer containg the data to be parsed
 * @param s number of bytes in buffer
 * @return number of bytes successfully parsed (can be < s)
 *         or a negative value indicating the error encountered
 */
ssize_t HostScope_HostInfo::fromMemory(const void *b, ssize_t s)
{
	const uint8_t *a = (const uint8_t *)b;
	const uint8_t *e = a + s;
	while (a < e) {
		varint_t fid;
		int fn = read_varint(a,e-a,&fid);
		a += fn;
		if (fn <= 0)
			return -100;
		switch (fid) {
		case 0xa:	// hostname id 1, type std::string, coding byte[]
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				a += n;
				if ((n <= 0) || ((a+v) > e))
					return -101;
				m_hostname.assign((const char*)a,v);
				a += v;
			}
			p_validbits |= ((uint8_t)1U << 0);
			break;
		case 0x10:	// uptime id 2, type uint64_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -102;
				a += n;
				set_uptime(v);
			}
			break;
		case 0x1a:	// osname id 3, type std::string, coding byte[]
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				a += n;
				if ((n <= 0) || ((a+v) > e))
					return -103;
				m_osname.assign((const char*)a,v);
				a += v;
			}
			p_validbits |= ((uint8_t)1U << 2);
			break;
		case 0x22:	// osrelease id 4, type std::string, coding byte[]
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				a += n;
				if ((n <= 0) || ((a+v) > e))
					return -104;
				m_osrelease.assign((const char*)a,v);
				a += v;
			}
			p_validbits |= ((uint8_t)1U << 3);
			break;
		case 0x2a:	// osversion id 5, type std::string, coding byte[]
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				a += n;
				if ((n <= 0) || ((a+v) > e))
					return -105;
				m_osversion.assign((const char*)a,v);
				a += v;
			}
			p_validbits |= ((uint8_t)1U << 4);
			break;
		case 0x32:	// proctype id 6, type std::string, coding byte[]
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				a += n;
				if ((n <= 0) || ((a+v) > e))
					return -106;
				m_proctype.assign((const char*)a,v);
				a += v;
			}
			p_validbits |= ((uint8_t)1U << 5);
			break;
		case 0x3a:	// machtype id 7, type std::string, coding byte[]
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				a += n;
				if ((n <= 0) || ((a+v) > e))
					return -107;
				m_machtype.assign((const char*)a,v);
				a += v;
			}
			p_validbits |= ((uint8_t)1U << 6);
			break;
		case 0x40:	// minuseruid id 8, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -108;
				a += n;
				set_minuseruid(v);
			}
			break;
		default:
			{
				ssize_t s = skip_content(a,e-a,fid&7);
				if (s <= 0)
					return -109;
				a += s;
				break;
			}
		}
	}
	assert((a-(const uint8_t *)b) == s);
	if (a > e)
		return -110;
	return a-(const uint8_t *)b;
}

/*!
 * Function for serializing the object to memory.
 * @param b buffer to serialize the object to
 * @param s number of bytes available in the buffer
 * @return number of bytes successfully serialized
 */
ssize_t HostScope_HostInfo::toMemory(uint8_t *b, ssize_t s) const
{
	assert(s >= 0);
	uint8_t *a = b, *e = b + s;
	signed n;
	// has hostname?
	if (0 != (p_validbits & ((uint8_t)1U << 0))) {
		// 'hostname': id=1, encoding=2, tag=0xa
		if (a >= e)
			return -111;
		*a++ = 0xa;
		ssize_t hostname_s = m_hostname.size();
		n = write_varint(a,e-a,hostname_s);
		a += n;
		if ((n <= 0) || ((e-a) < hostname_s))
			return -112;
		memcpy(a,m_hostname.data(),hostname_s);
		a += hostname_s;
	}
	// has uptime?
	if (0 != (p_validbits & ((uint8_t)1U << 1))) {
		// 'uptime': id=2, encoding=0, tag=0x10
		if (a >= e)
			return -113;
		*a++ = 0x10;
		n = write_varint(a,e-a,m_uptime);
		if (n <= 0)
			return -114;
		a += n;
	}
	// has osname?
	if (0 != (p_validbits & ((uint8_t)1U << 2))) {
		// 'osname': id=3, encoding=2, tag=0x1a
		if (a >= e)
			return -115;
		*a++ = 0x1a;
		ssize_t osname_s = m_osname.size();
		n = write_varint(a,e-a,osname_s);
		a += n;
		if ((n <= 0) || ((e-a) < osname_s))
			return -116;
		memcpy(a,m_osname.data(),osname_s);
		a += osname_s;
	}
	// has osrelease?
	if (0 != (p_validbits & ((uint8_t)1U << 3))) {
		// 'osrelease': id=4, encoding=2, tag=0x22
		if (a >= e)
			return -117;
		*a++ = 0x22;
		ssize_t osrelease_s = m_osrelease.size();
		n = write_varint(a,e-a,osrelease_s);
		a += n;
		if ((n <= 0) || ((e-a) < osrelease_s))
			return -118;
		memcpy(a,m_osrelease.data(),osrelease_s);
		a += osrelease_s;
	}
	// has osversion?
	if (0 != (p_validbits & ((uint8_t)1U << 4))) {
		// 'osversion': id=5, encoding=2, tag=0x2a
		if (a >= e)
			return -119;
		*a++ = 0x2a;
		ssize_t osversion_s = m_osversion.size();
		n = write_varint(a,e-a,osversion_s);
		a += n;
		if ((n <= 0) || ((e-a) < osversion_s))
			return -120;
		memcpy(a,m_osversion.data(),osversion_s);
		a += osversion_s;
	}
	// has proctype?
	if (0 != (p_validbits & ((uint8_t)1U << 5))) {
		// 'proctype': id=6, encoding=2, tag=0x32
		if (a >= e)
			return -121;
		*a++ = 0x32;
		ssize_t proctype_s = m_proctype.size();
		n = write_varint(a,e-a,proctype_s);
		a += n;
		if ((n <= 0) || ((e-a) < proctype_s))
			return -122;
		memcpy(a,m_proctype.data(),proctype_s);
		a += proctype_s;
	}
	// has machtype?
	if (0 != (p_validbits & ((uint8_t)1U << 6))) {
		// 'machtype': id=7, encoding=2, tag=0x3a
		if (a >= e)
			return -123;
		*a++ = 0x3a;
		ssize_t machtype_s = m_machtype.size();
		n = write_varint(a,e-a,machtype_s);
		a += n;
		if ((n <= 0) || ((e-a) < machtype_s))
			return -124;
		memcpy(a,m_machtype.data(),machtype_s);
		a += machtype_s;
	}
	// has minuseruid?
	if (0 != (p_validbits & ((uint8_t)1U << 7))) {
		// 'minuseruid': id=8, encoding=0, tag=0x40
		if (a >= e)
			return -125;
		*a++ = 0x40;
		n = write_varint(a,e-a,m_minuseruid);
		if (n <= 0)
			return -126;
		a += n;
	}
	assert(a <= e);
	return a-b;
}

/*!
 * Function for writing a JSON representation of the object to a stream.
 * @param json stream object the data should be serialized to
 * @param indLvl the indention level that should be used
 */
void HostScope_HostInfo::toJSON(std::ostream &json, unsigned indLvl) const
{
	char fsep = '{';
	++indLvl;
	if (has_hostname()) {
		json_indent(json,indLvl,fsep,"hostname");
		fsep = ',';
		json_cstr(json,m_hostname.c_str());
	}
	if (has_uptime()) {
		json_indent(json,indLvl,fsep,"uptime");
		fsep = ',';
		json << m_uptime;
	}
	if (has_osname()) {
		json_indent(json,indLvl,fsep,"osname");
		fsep = ',';
		json_cstr(json,m_osname.c_str());
	}
	if (has_osrelease()) {
		json_indent(json,indLvl,fsep,"osrelease");
		fsep = ',';
		json_cstr(json,m_osrelease.c_str());
	}
	if (has_osversion()) {
		json_indent(json,indLvl,fsep,"osversion");
		fsep = ',';
		json_cstr(json,m_osversion.c_str());
	}
	if (has_proctype()) {
		json_indent(json,indLvl,fsep,"proctype");
		fsep = ',';
		json_cstr(json,m_proctype.c_str());
	}
	if (has_machtype()) {
		json_indent(json,indLvl,fsep,"machtype");
		fsep = ',';
		json_cstr(json,m_machtype.c_str());
	}
	if (has_minuseruid()) {
		json_indent(json,indLvl,fsep,"minuseruid");
		fsep = ',';
		json << m_minuseruid;
	}
	if (fsep == '{')
		json.put('{');
	json.put('\n');
	--indLvl;
	json_indent(json,indLvl,0);
	json.put('}');
	if (indLvl == 0)
		json.put('\n');
}

/*!
 * Function for calculating the number of bytes needed for serializing
 * the related object with its associated data.
 * Changing the data may change the size of the serialized object.
 */
size_t HostScope_HostInfo::calcSize() const
{
	size_t r = 0;	// required size, default is fixed length
	// string hostname
	if (0 != (p_validbits & ((uint8_t)1U << 0))) {
		size_t hostname_s = m_hostname.size();
		r += hostname_s + wiresize(hostname_s) + 1 /* tag(hostname) 0x8 */;
	}
	// uint64 uptime
	if (0 != (p_validbits & ((uint8_t)1U << 1))) {
		r += wiresize((varint_t)m_uptime) + 1 /* tag(uptime) 0x10 */;
	}
	// string osname
	if (0 != (p_validbits & ((uint8_t)1U << 2))) {
		size_t osname_s = m_osname.size();
		r += osname_s + wiresize(osname_s) + 1 /* tag(osname) 0x18 */;
	}
	// string osrelease
	if (0 != (p_validbits & ((uint8_t)1U << 3))) {
		size_t osrelease_s = m_osrelease.size();
		r += osrelease_s + wiresize(osrelease_s) + 1 /* tag(osrelease) 0x20 */;
	}
	// string osversion
	if (0 != (p_validbits & ((uint8_t)1U << 4))) {
		size_t osversion_s = m_osversion.size();
		r += osversion_s + wiresize(osversion_s) + 1 /* tag(osversion) 0x28 */;
	}
	// string proctype
	if (0 != (p_validbits & ((uint8_t)1U << 5))) {
		size_t proctype_s = m_proctype.size();
		r += proctype_s + wiresize(proctype_s) + 1 /* tag(proctype) 0x30 */;
	}
	// string machtype
	if (0 != (p_validbits & ((uint8_t)1U << 6))) {
		size_t machtype_s = m_machtype.size();
		r += machtype_s + wiresize(machtype_s) + 1 /* tag(machtype) 0x38 */;
	}
	// uint32 minuseruid
	if (0 != (p_validbits & ((uint8_t)1U << 7))) {
		r += wiresize((varint_t)m_minuseruid) + 1 /* tag(minuseruid) 0x40 */;
	}
	return r;
}

bool HostScope_HostInfo::operator != (const HostScope_HostInfo &r) const
{
	if (has_hostname() ^ r.has_hostname())
		return true;
	if (has_hostname() && (m_hostname != r.m_hostname))
		return true;
	if (has_uptime() ^ r.has_uptime())
		return true;
	if (has_uptime() && (m_uptime != r.m_uptime))
		return true;
	if (has_osname() ^ r.has_osname())
		return true;
	if (has_osname() && (m_osname != r.m_osname))
		return true;
	if (has_osrelease() ^ r.has_osrelease())
		return true;
	if (has_osrelease() && (m_osrelease != r.m_osrelease))
		return true;
	if (has_osversion() ^ r.has_osversion())
		return true;
	if (has_osversion() && (m_osversion != r.m_osversion))
		return true;
	if (has_proctype() ^ r.has_proctype())
		return true;
	if (has_proctype() && (m_proctype != r.m_proctype))
		return true;
	if (has_machtype() ^ r.has_machtype())
		return true;
	if (has_machtype() && (m_machtype != r.m_machtype))
		return true;
	if (has_minuseruid() ^ r.has_minuseruid())
		return true;
	if (has_minuseruid() && (m_minuseruid != r.m_minuseruid))
		return true;
	return false;
}


bool HostScope_HostInfo::operator == (const HostScope_HostInfo &r) const
{
	return !((*this) != r);
}


/*
 * Function for setting an element in dot notation with an ASCII value.
 * It will call the specified parse_ascii function for parsing the value.
 *
 * @return number of bytes successfully parsed or negative value indicating
 *         an error.
 */
int HostScope_HostInfo::setByName(const char *name, const char *value)
{
	if (0 == strcmp(name,"hostname")) {
		if (value == 0) {
			clear_hostname();
			return 0;
		}
		m_hostname = value;
		int r = m_hostname.size();
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 0);
		return r;
	}
	if (0 == strcmp(name,"uptime")) {
		if (value == 0) {
			clear_uptime();
			return 0;
		}
		int r = parse_ascii_u64(&m_uptime,value);
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 1);
		return r;
	}
	if (0 == strcmp(name,"osname")) {
		if (value == 0) {
			clear_osname();
			return 0;
		}
		m_osname = value;
		int r = m_osname.size();
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 2);
		return r;
	}
	if (0 == strcmp(name,"osrelease")) {
		if (value == 0) {
			clear_osrelease();
			return 0;
		}
		m_osrelease = value;
		int r = m_osrelease.size();
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 3);
		return r;
	}
	if (0 == strcmp(name,"osversion")) {
		if (value == 0) {
			clear_osversion();
			return 0;
		}
		m_osversion = value;
		int r = m_osversion.size();
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 4);
		return r;
	}
	if (0 == strcmp(name,"proctype")) {
		if (value == 0) {
			clear_proctype();
			return 0;
		}
		m_proctype = value;
		int r = m_proctype.size();
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 5);
		return r;
	}
	if (0 == strcmp(name,"machtype")) {
		if (value == 0) {
			clear_machtype();
			return 0;
		}
		m_machtype = value;
		int r = m_machtype.size();
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 6);
		return r;
	}
	if (0 == strcmp(name,"minuseruid")) {
		if (value == 0) {
			clear_minuseruid();
			return 0;
		}
		int r = parse_ascii_u32(&m_minuseruid,value);
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 7);
		return r;
	}
	return -127;
}

HostScope_LoadAvg::HostScope_LoadAvg()
: m_loadav1m(0)
, m_loadav5m(0)
, m_loadav15m(0)
{
}

/*!
 * Function for resetting all members of this object to their default values.
 */
void HostScope_LoadAvg::clear()
{
	m_loadav1m = 0;
	m_loadav5m = 0;
	m_loadav15m = 0;
}

void HostScope_LoadAvg::toASCII(std::ostream &o, size_t indent) const
{
	o << "HostScope_LoadAvg {";
	++indent;
	ascii_indent(o,indent,"loadav1m");
	o << m_loadav1m << ';';
	ascii_indent(o,indent,"loadav5m");
	o << m_loadav5m << ';';
	ascii_indent(o,indent,"loadav15m");
	o << m_loadav15m << ';';
	--indent;
	ascii_indent(o,indent);
	o << '}';
}

/*!
 * Function for parsing an object from serialized data.
 * @param b buffer containg the data to be parsed
 * @param s number of bytes in buffer
 * @return number of bytes successfully parsed (can be < s)
 *         or a negative value indicating the error encountered
 */
ssize_t HostScope_LoadAvg::fromMemory(const void *b, ssize_t s)
{
	const uint8_t *a = (const uint8_t *)b;
	const uint8_t *e = a + s;
	while (a < e) {
		varint_t fid;
		int fn = read_varint(a,e-a,&fid);
		a += fn;
		if (fn <= 0)
			return -128;
		switch (fid) {
		case 0x8:	// loadav1m id 1, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -129;
				a += n;
				m_loadav1m = v;
			}
			break;
		case 0x10:	// loadav5m id 2, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -130;
				a += n;
				m_loadav5m = v;
			}
			break;
		case 0x18:	// loadav15m id 3, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -131;
				a += n;
				m_loadav15m = v;
			}
			break;
		default:
			{
				ssize_t s = skip_content(a,e-a,fid&7);
				if (s <= 0)
					return -132;
				a += s;
				break;
			}
		}
	}
	assert((a-(const uint8_t *)b) == s);
	if (a > e)
		return -133;
	return a-(const uint8_t *)b;
}

/*!
 * Function for serializing the object to memory.
 * @param b buffer to serialize the object to
 * @param s number of bytes available in the buffer
 * @return number of bytes successfully serialized
 */
ssize_t HostScope_LoadAvg::toMemory(uint8_t *b, ssize_t s) const
{
	assert(s >= 0);
	uint8_t *a = b, *e = b + s;
	signed n;
	// 'loadav1m': id=1, encoding=0, tag=0x8
	if (a >= e)
		return -134;
	*a++ = 0x8;
	n = write_varint(a,e-a,m_loadav1m);
	if (n <= 0)
		return -135;
	a += n;
	// 'loadav5m': id=2, encoding=0, tag=0x10
	if (a >= e)
		return -136;
	*a++ = 0x10;
	n = write_varint(a,e-a,m_loadav5m);
	if (n <= 0)
		return -137;
	a += n;
	// 'loadav15m': id=3, encoding=0, tag=0x18
	if (a >= e)
		return -138;
	*a++ = 0x18;
	n = write_varint(a,e-a,m_loadav15m);
	if (n <= 0)
		return -139;
	a += n;
	assert(a <= e);
	return a-b;
}

/*!
 * Function for writing a JSON representation of the object to a stream.
 * @param json stream object the data should be serialized to
 * @param indLvl the indention level that should be used
 */
void HostScope_LoadAvg::toJSON(std::ostream &json, unsigned indLvl) const
{
	++indLvl;
	json_indent(json,indLvl,'{',"loadav1m");
	json << m_loadav1m;
	json_indent(json,indLvl,',',"loadav5m");
	json << m_loadav5m;
	json_indent(json,indLvl,',',"loadav15m");
	json << m_loadav15m;
	json.put('\n');
	--indLvl;
	json_indent(json,indLvl,0);
	json.put('}');
	if (indLvl == 0)
		json.put('\n');
}

/*!
 * Function for calculating the number of bytes needed for serializing
 * the related object with its associated data.
 * Changing the data may change the size of the serialized object.
 */
size_t HostScope_LoadAvg::calcSize() const
{
	// uint32 loadav1m: tagsize 1
	// uint32 loadav5m: tagsize 1
	// uint32 loadav15m: tagsize 1
	size_t r = 3;	// required size, default is fixed length
	// uint32 loadav1m
	r += wiresize((varint_t)m_loadav1m);
	// uint32 loadav5m
	r += wiresize((varint_t)m_loadav5m);
	// uint32 loadav15m
	r += wiresize((varint_t)m_loadav15m);
	return r;
}

bool HostScope_LoadAvg::operator != (const HostScope_LoadAvg &r) const
{
	if (m_loadav1m != r.m_loadav1m)
		return true;
	if (m_loadav5m != r.m_loadav5m)
		return true;
	if (m_loadav15m != r.m_loadav15m)
		return true;
	return false;
}


bool HostScope_LoadAvg::operator == (const HostScope_LoadAvg &r) const
{
	return !((*this) != r);
}


/*
 * Function for setting an element in dot notation with an ASCII value.
 * It will call the specified parse_ascii function for parsing the value.
 *
 * @return number of bytes successfully parsed or negative value indicating
 *         an error.
 */
int HostScope_LoadAvg::setByName(const char *name, const char *value)
{
	if (0 == strcmp(name,"loadav1m")) {
		int r = parse_ascii_u32(&m_loadav1m,value);
		if (r > 0)
			return r;
	}
	if (0 == strcmp(name,"loadav5m")) {
		int r = parse_ascii_u32(&m_loadav5m,value);
		if (r > 0)
			return r;
	}
	if (0 == strcmp(name,"loadav15m")) {
		int r = parse_ascii_u32(&m_loadav15m,value);
		if (r > 0)
			return r;
	}
	return -140;
}

HostScope_Memory::HostScope_Memory()
: m_physical(0)
, m_free(0)
, m_swapsize(0)
, m_pagedout(0)
, m_locked(0)
, p_validbits(0)
{
}

/*!
 * Function for resetting all members of this object to their default values.
 */
void HostScope_Memory::clear()
{
	m_physical = 0;
	m_free = 0;
	m_swapsize = 0;
	m_pagedout = 0;
	m_locked = 0;
	p_validbits = 0;
}

void HostScope_Memory::toASCII(std::ostream &o, size_t indent) const
{
	o << "HostScope_Memory {";
	++indent;
	ascii_indent(o,indent,"physical");
	o << m_physical << ';';
	ascii_indent(o,indent,"free");
	o << m_free << ';';
	ascii_indent(o,indent,"swapsize");
	o << m_swapsize << ';';
	ascii_indent(o,indent,"pagedout");
	o << m_pagedout << ';';
	ascii_indent(o,indent,"locked");
	o << m_locked << ';';
	--indent;
	ascii_indent(o,indent);
	o << '}';
}

/*!
 * Function for parsing an object from serialized data.
 * @param b buffer containg the data to be parsed
 * @param s number of bytes in buffer
 * @return number of bytes successfully parsed (can be < s)
 *         or a negative value indicating the error encountered
 */
ssize_t HostScope_Memory::fromMemory(const void *b, ssize_t s)
{
	const uint8_t *a = (const uint8_t *)b;
	const uint8_t *e = a + s;
	while (a < e) {
		varint_t fid;
		int fn = read_varint(a,e-a,&fid);
		a += fn;
		if (fn <= 0)
			return -141;
		switch (fid) {
		case 0x8:	// physical id 1, type uint64_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -142;
				a += n;
				set_physical(v);
			}
			break;
		case 0x10:	// free id 2, type uint64_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -143;
				a += n;
				set_free(v);
			}
			break;
		case 0x18:	// swapsize id 3, type uint64_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -144;
				a += n;
				set_swapsize(v);
			}
			break;
		case 0x20:	// pagedout id 4, type uint64_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -145;
				a += n;
				set_pagedout(v);
			}
			break;
		case 0x28:	// locked id 5, type uint64_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -146;
				a += n;
				set_locked(v);
			}
			break;
		default:
			{
				ssize_t s = skip_content(a,e-a,fid&7);
				if (s <= 0)
					return -147;
				a += s;
				break;
			}
		}
	}
	assert((a-(const uint8_t *)b) == s);
	if (a > e)
		return -148;
	return a-(const uint8_t *)b;
}

/*!
 * Function for serializing the object to memory.
 * @param b buffer to serialize the object to
 * @param s number of bytes available in the buffer
 * @return number of bytes successfully serialized
 */
ssize_t HostScope_Memory::toMemory(uint8_t *b, ssize_t s) const
{
	assert(s >= 0);
	uint8_t *a = b, *e = b + s;
	signed n;
	// has physical?
	if (0 != (p_validbits & ((uint8_t)1U << 0))) {
		// 'physical': id=1, encoding=0, tag=0x8
		if (a >= e)
			return -149;
		*a++ = 0x8;
		n = write_varint(a,e-a,m_physical);
		if (n <= 0)
			return -150;
		a += n;
	}
	// has free?
	if (0 != (p_validbits & ((uint8_t)1U << 1))) {
		// 'free': id=2, encoding=0, tag=0x10
		if (a >= e)
			return -151;
		*a++ = 0x10;
		n = write_varint(a,e-a,m_free);
		if (n <= 0)
			return -152;
		a += n;
	}
	// has swapsize?
	if (0 != (p_validbits & ((uint8_t)1U << 2))) {
		// 'swapsize': id=3, encoding=0, tag=0x18
		if (a >= e)
			return -153;
		*a++ = 0x18;
		n = write_varint(a,e-a,m_swapsize);
		if (n <= 0)
			return -154;
		a += n;
	}
	// has pagedout?
	if (0 != (p_validbits & ((uint8_t)1U << 3))) {
		// 'pagedout': id=4, encoding=0, tag=0x20
		if (a >= e)
			return -155;
		*a++ = 0x20;
		n = write_varint(a,e-a,m_pagedout);
		if (n <= 0)
			return -156;
		a += n;
	}
	// has locked?
	if (0 != (p_validbits & ((uint8_t)1U << 4))) {
		// 'locked': id=5, encoding=0, tag=0x28
		if (a >= e)
			return -157;
		*a++ = 0x28;
		n = write_varint(a,e-a,m_locked);
		if (n <= 0)
			return -158;
		a += n;
	}
	assert(a <= e);
	return a-b;
}

/*!
 * Function for writing a JSON representation of the object to a stream.
 * @param json stream object the data should be serialized to
 * @param indLvl the indention level that should be used
 */
void HostScope_Memory::toJSON(std::ostream &json, unsigned indLvl) const
{
	char fsep = '{';
	++indLvl;
	if (has_physical()) {
		json_indent(json,indLvl,fsep,"physical");
		fsep = ',';
		json << m_physical;
	}
	if (has_free()) {
		json_indent(json,indLvl,fsep,"free");
		fsep = ',';
		json << m_free;
	}
	if (has_swapsize()) {
		json_indent(json,indLvl,fsep,"swapsize");
		fsep = ',';
		json << m_swapsize;
	}
	if (has_pagedout()) {
		json_indent(json,indLvl,fsep,"pagedout");
		fsep = ',';
		json << m_pagedout;
	}
	if (has_locked()) {
		json_indent(json,indLvl,fsep,"locked");
		fsep = ',';
		json << m_locked;
	}
	if (fsep == '{')
		json.put('{');
	json.put('\n');
	--indLvl;
	json_indent(json,indLvl,0);
	json.put('}');
	if (indLvl == 0)
		json.put('\n');
}

/*!
 * Function for calculating the number of bytes needed for serializing
 * the related object with its associated data.
 * Changing the data may change the size of the serialized object.
 */
size_t HostScope_Memory::calcSize() const
{
	size_t r = 0;	// required size, default is fixed length
	// uint64 physical
	if (0 != (p_validbits & ((uint8_t)1U << 0))) {
		r += wiresize((varint_t)m_physical) + 1 /* tag(physical) 0x8 */;
	}
	// uint64 free
	if (0 != (p_validbits & ((uint8_t)1U << 1))) {
		r += wiresize((varint_t)m_free) + 1 /* tag(free) 0x10 */;
	}
	// uint64 swapsize
	if (0 != (p_validbits & ((uint8_t)1U << 2))) {
		r += wiresize((varint_t)m_swapsize) + 1 /* tag(swapsize) 0x18 */;
	}
	// uint64 pagedout
	if (0 != (p_validbits & ((uint8_t)1U << 3))) {
		r += wiresize((varint_t)m_pagedout) + 1 /* tag(pagedout) 0x20 */;
	}
	// uint64 locked
	if (0 != (p_validbits & ((uint8_t)1U << 4))) {
		r += wiresize((varint_t)m_locked) + 1 /* tag(locked) 0x28 */;
	}
	return r;
}

bool HostScope_Memory::operator != (const HostScope_Memory &r) const
{
	if (has_physical() ^ r.has_physical())
		return true;
	if (has_physical() && (m_physical != r.m_physical))
		return true;
	if (has_free() ^ r.has_free())
		return true;
	if (has_free() && (m_free != r.m_free))
		return true;
	if (has_swapsize() ^ r.has_swapsize())
		return true;
	if (has_swapsize() && (m_swapsize != r.m_swapsize))
		return true;
	if (has_pagedout() ^ r.has_pagedout())
		return true;
	if (has_pagedout() && (m_pagedout != r.m_pagedout))
		return true;
	if (has_locked() ^ r.has_locked())
		return true;
	if (has_locked() && (m_locked != r.m_locked))
		return true;
	return false;
}


bool HostScope_Memory::operator == (const HostScope_Memory &r) const
{
	return !((*this) != r);
}


/*
 * Function for setting an element in dot notation with an ASCII value.
 * It will call the specified parse_ascii function for parsing the value.
 *
 * @return number of bytes successfully parsed or negative value indicating
 *         an error.
 */
int HostScope_Memory::setByName(const char *name, const char *value)
{
	if (0 == strcmp(name,"physical")) {
		if (value == 0) {
			clear_physical();
			return 0;
		}
		int r = parse_ascii_u64(&m_physical,value);
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 0);
		return r;
	}
	if (0 == strcmp(name,"free")) {
		if (value == 0) {
			clear_free();
			return 0;
		}
		int r = parse_ascii_u64(&m_free,value);
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 1);
		return r;
	}
	if (0 == strcmp(name,"swapsize")) {
		if (value == 0) {
			clear_swapsize();
			return 0;
		}
		int r = parse_ascii_u64(&m_swapsize,value);
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 2);
		return r;
	}
	if (0 == strcmp(name,"pagedout")) {
		if (value == 0) {
			clear_pagedout();
			return 0;
		}
		int r = parse_ascii_u64(&m_pagedout,value);
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 3);
		return r;
	}
	if (0 == strcmp(name,"locked")) {
		if (value == 0) {
			clear_locked();
			return 0;
		}
		int r = parse_ascii_u64(&m_locked,value);
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 4);
		return r;
	}
	return -159;
}

HostScope_PowerSupply::HostScope_PowerSupply()
: m_name()
, m_state()
, m_capacity(0)
, p_validbits(0)
{
}

/*!
 * Function for resetting all members of this object to their default values.
 */
void HostScope_PowerSupply::clear()
{
	m_name.clear();
	m_state.clear();
	m_capacity = 0;
	p_validbits = 0;
}

void HostScope_PowerSupply::toASCII(std::ostream &o, size_t indent) const
{
	o << "HostScope_PowerSupply {";
	++indent;
	ascii_indent(o,indent,"name");
	ascii_string(o,m_name.data(),m_name.size(),indent+2);
	o << ';';
	ascii_indent(o,indent,"state");
	ascii_string(o,m_state.data(),m_state.size(),indent+2);
	o << ';';
	ascii_indent(o,indent,"capacity");
	o << m_capacity << ';';
	--indent;
	ascii_indent(o,indent);
	o << '}';
}

/*!
 * Function for parsing an object from serialized data.
 * @param b buffer containg the data to be parsed
 * @param s number of bytes in buffer
 * @return number of bytes successfully parsed (can be < s)
 *         or a negative value indicating the error encountered
 */
ssize_t HostScope_PowerSupply::fromMemory(const void *b, ssize_t s)
{
	const uint8_t *a = (const uint8_t *)b;
	const uint8_t *e = a + s;
	while (a < e) {
		varint_t fid;
		int fn = read_varint(a,e-a,&fid);
		a += fn;
		if (fn <= 0)
			return -160;
		switch (fid) {
		case 0xa:	// name id 1, type std::string, coding byte[]
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				a += n;
				if ((n <= 0) || ((a+v) > e))
					return -161;
				m_name.assign((const char*)a,v);
				a += v;
			}
			break;
		case 0x12:	// state id 2, type std::string, coding byte[]
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				a += n;
				if ((n <= 0) || ((a+v) > e))
					return -162;
				m_state.assign((const char*)a,v);
				a += v;
			}
			break;
		case 0x18:	// capacity id 3, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -163;
				a += n;
				set_capacity(v);
			}
			break;
		default:
			{
				ssize_t s = skip_content(a,e-a,fid&7);
				if (s <= 0)
					return -164;
				a += s;
				break;
			}
		}
	}
	assert((a-(const uint8_t *)b) == s);
	if (a > e)
		return -165;
	return a-(const uint8_t *)b;
}

/*!
 * Function for serializing the object to memory.
 * @param b buffer to serialize the object to
 * @param s number of bytes available in the buffer
 * @return number of bytes successfully serialized
 */
ssize_t HostScope_PowerSupply::toMemory(uint8_t *b, ssize_t s) const
{
	assert(s >= 0);
	uint8_t *a = b, *e = b + s;
	signed n;
	// 'name': id=1, encoding=2, tag=0xa
	if (a >= e)
		return -166;
	*a++ = 0xa;
	ssize_t name_s = m_name.size();
	n = write_varint(a,e-a,name_s);
	a += n;
	if ((n <= 0) || ((e-a) < name_s))
		return -167;
	memcpy(a,m_name.data(),name_s);
	a += name_s;
	// 'state': id=2, encoding=2, tag=0x12
	if (a >= e)
		return -168;
	*a++ = 0x12;
	ssize_t state_s = m_state.size();
	n = write_varint(a,e-a,state_s);
	a += n;
	if ((n <= 0) || ((e-a) < state_s))
		return -169;
	memcpy(a,m_state.data(),state_s);
	a += state_s;
	// has capacity?
	if (0 != (p_validbits & ((uint8_t)1U << 0))) {
		// 'capacity': id=3, encoding=0, tag=0x18
		if (a >= e)
			return -170;
		*a++ = 0x18;
		n = write_varint(a,e-a,m_capacity);
		if (n <= 0)
			return -171;
		a += n;
	}
	assert(a <= e);
	return a-b;
}

/*!
 * Function for writing a JSON representation of the object to a stream.
 * @param json stream object the data should be serialized to
 * @param indLvl the indention level that should be used
 */
void HostScope_PowerSupply::toJSON(std::ostream &json, unsigned indLvl) const
{
	++indLvl;
	json_indent(json,indLvl,'{',"name");
	json_cstr(json,m_name.c_str());
	json_indent(json,indLvl,',',"state");
	json_cstr(json,m_state.c_str());
	if (has_capacity()) {
		json_indent(json,indLvl,',',"capacity");
		json << m_capacity;
	}
	json.put('\n');
	--indLvl;
	json_indent(json,indLvl,0);
	json.put('}');
	if (indLvl == 0)
		json.put('\n');
}

/*!
 * Function for calculating the number of bytes needed for serializing
 * the related object with its associated data.
 * Changing the data may change the size of the serialized object.
 */
size_t HostScope_PowerSupply::calcSize() const
{
	// string name: tagsize 1
	// string state: tagsize 1
	size_t r = 2;	// required size, default is fixed length
	// string name
	size_t name_s = m_name.size();
	r += name_s + wiresize(name_s);
	// string state
	size_t state_s = m_state.size();
	r += state_s + wiresize(state_s);
	// uint32 capacity
	if (0 != (p_validbits & ((uint8_t)1U << 0))) {
		r += wiresize((varint_t)m_capacity) + 1 /* tag(capacity) 0x18 */;
	}
	return r;
}

bool HostScope_PowerSupply::operator != (const HostScope_PowerSupply &r) const
{
	if (m_name != r.m_name)
		return true;
	if (m_state != r.m_state)
		return true;
	if (has_capacity() ^ r.has_capacity())
		return true;
	if (has_capacity() && (m_capacity != r.m_capacity))
		return true;
	return false;
}


bool HostScope_PowerSupply::operator == (const HostScope_PowerSupply &r) const
{
	return !((*this) != r);
}


/*
 * Function for setting an element in dot notation with an ASCII value.
 * It will call the specified parse_ascii function for parsing the value.
 *
 * @return number of bytes successfully parsed or negative value indicating
 *         an error.
 */
int HostScope_PowerSupply::setByName(const char *name, const char *value)
{
	if (0 == strcmp(name,"name")) {
		m_name = value;
		int r = m_name.size();
		if (r > 0)
			return r;
	}
	if (0 == strcmp(name,"state")) {
		m_state = value;
		int r = m_state.size();
		if (r > 0)
			return r;
	}
	if (0 == strcmp(name,"capacity")) {
		if (value == 0) {
			clear_capacity();
			return 0;
		}
		int r = parse_ascii_u32(&m_capacity,value);
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 0);
		return r;
	}
	return -172;
}

HostScope_LinuxInfo::HostScope_LinuxInfo()
: m_forks(0)
, m_ctxtsw(0)
, m_intrs(0)
, m_sirqs(0)
, p_validbits(0)
{
}

/*!
 * Function for resetting all members of this object to their default values.
 */
void HostScope_LinuxInfo::clear()
{
	m_forks = 0;
	m_ctxtsw = 0;
	m_intrs = 0;
	m_sirqs = 0;
	p_validbits = 0;
}

void HostScope_LinuxInfo::toASCII(std::ostream &o, size_t indent) const
{
	o << "HostScope_LinuxInfo {";
	++indent;
	ascii_indent(o,indent,"forks");
	o << m_forks << ';';
	ascii_indent(o,indent,"ctxtsw");
	o << m_ctxtsw << ';';
	ascii_indent(o,indent,"intrs");
	o << m_intrs << ';';
	ascii_indent(o,indent,"sirqs");
	o << m_sirqs << ';';
	--indent;
	ascii_indent(o,indent);
	o << '}';
}

/*!
 * Function for parsing an object from serialized data.
 * @param b buffer containg the data to be parsed
 * @param s number of bytes in buffer
 * @return number of bytes successfully parsed (can be < s)
 *         or a negative value indicating the error encountered
 */
ssize_t HostScope_LinuxInfo::fromMemory(const void *b, ssize_t s)
{
	const uint8_t *a = (const uint8_t *)b;
	const uint8_t *e = a + s;
	while (a < e) {
		varint_t fid;
		int fn = read_varint(a,e-a,&fid);
		a += fn;
		if (fn <= 0)
			return -173;
		switch (fid) {
		case 0x8:	// forks id 1, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -174;
				a += n;
				set_forks(v);
			}
			break;
		case 0x10:	// ctxtsw id 2, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -175;
				a += n;
				set_ctxtsw(v);
			}
			break;
		case 0x18:	// intrs id 3, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -176;
				a += n;
				set_intrs(v);
			}
			break;
		case 0x20:	// sirqs id 4, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -177;
				a += n;
				set_sirqs(v);
			}
			break;
		default:
			{
				ssize_t s = skip_content(a,e-a,fid&7);
				if (s <= 0)
					return -178;
				a += s;
				break;
			}
		}
	}
	assert((a-(const uint8_t *)b) == s);
	if (a > e)
		return -179;
	return a-(const uint8_t *)b;
}

/*!
 * Function for serializing the object to memory.
 * @param b buffer to serialize the object to
 * @param s number of bytes available in the buffer
 * @return number of bytes successfully serialized
 */
ssize_t HostScope_LinuxInfo::toMemory(uint8_t *b, ssize_t s) const
{
	assert(s >= 0);
	uint8_t *a = b, *e = b + s;
	signed n;
	// has forks?
	if (0 != (p_validbits & ((uint8_t)1U << 0))) {
		// 'forks': id=1, encoding=0, tag=0x8
		if (a >= e)
			return -180;
		*a++ = 0x8;
		n = write_varint(a,e-a,m_forks);
		if (n <= 0)
			return -181;
		a += n;
	}
	// has ctxtsw?
	if (0 != (p_validbits & ((uint8_t)1U << 1))) {
		// 'ctxtsw': id=2, encoding=0, tag=0x10
		if (a >= e)
			return -182;
		*a++ = 0x10;
		n = write_varint(a,e-a,m_ctxtsw);
		if (n <= 0)
			return -183;
		a += n;
	}
	// has intrs?
	if (0 != (p_validbits & ((uint8_t)1U << 2))) {
		// 'intrs': id=3, encoding=0, tag=0x18
		if (a >= e)
			return -184;
		*a++ = 0x18;
		n = write_varint(a,e-a,m_intrs);
		if (n <= 0)
			return -185;
		a += n;
	}
	// has sirqs?
	if (0 != (p_validbits & ((uint8_t)1U << 3))) {
		// 'sirqs': id=4, encoding=0, tag=0x20
		if (a >= e)
			return -186;
		*a++ = 0x20;
		n = write_varint(a,e-a,m_sirqs);
		if (n <= 0)
			return -187;
		a += n;
	}
	assert(a <= e);
	return a-b;
}

/*!
 * Function for writing a JSON representation of the object to a stream.
 * @param json stream object the data should be serialized to
 * @param indLvl the indention level that should be used
 */
void HostScope_LinuxInfo::toJSON(std::ostream &json, unsigned indLvl) const
{
	char fsep = '{';
	++indLvl;
	if (has_forks()) {
		json_indent(json,indLvl,fsep,"forks");
		fsep = ',';
		json << m_forks;
	}
	if (has_ctxtsw()) {
		json_indent(json,indLvl,fsep,"ctxtsw");
		fsep = ',';
		json << m_ctxtsw;
	}
	if (has_intrs()) {
		json_indent(json,indLvl,fsep,"intrs");
		fsep = ',';
		json << m_intrs;
	}
	if (has_sirqs()) {
		json_indent(json,indLvl,fsep,"sirqs");
		fsep = ',';
		json << m_sirqs;
	}
	if (fsep == '{')
		json.put('{');
	json.put('\n');
	--indLvl;
	json_indent(json,indLvl,0);
	json.put('}');
	if (indLvl == 0)
		json.put('\n');
}

/*!
 * Function for calculating the number of bytes needed for serializing
 * the related object with its associated data.
 * Changing the data may change the size of the serialized object.
 */
size_t HostScope_LinuxInfo::calcSize() const
{
	size_t r = 0;	// required size, default is fixed length
	// uint32 forks
	if (0 != (p_validbits & ((uint8_t)1U << 0))) {
		r += wiresize((varint_t)m_forks) + 1 /* tag(forks) 0x8 */;
	}
	// uint32 ctxtsw
	if (0 != (p_validbits & ((uint8_t)1U << 1))) {
		r += wiresize((varint_t)m_ctxtsw) + 1 /* tag(ctxtsw) 0x10 */;
	}
	// uint32 intrs
	if (0 != (p_validbits & ((uint8_t)1U << 2))) {
		r += wiresize((varint_t)m_intrs) + 1 /* tag(intrs) 0x18 */;
	}
	// uint32 sirqs
	if (0 != (p_validbits & ((uint8_t)1U << 3))) {
		r += wiresize((varint_t)m_sirqs) + 1 /* tag(sirqs) 0x20 */;
	}
	return r;
}

bool HostScope_LinuxInfo::operator != (const HostScope_LinuxInfo &r) const
{
	if (has_forks() ^ r.has_forks())
		return true;
	if (has_forks() && (m_forks != r.m_forks))
		return true;
	if (has_ctxtsw() ^ r.has_ctxtsw())
		return true;
	if (has_ctxtsw() && (m_ctxtsw != r.m_ctxtsw))
		return true;
	if (has_intrs() ^ r.has_intrs())
		return true;
	if (has_intrs() && (m_intrs != r.m_intrs))
		return true;
	if (has_sirqs() ^ r.has_sirqs())
		return true;
	if (has_sirqs() && (m_sirqs != r.m_sirqs))
		return true;
	return false;
}


bool HostScope_LinuxInfo::operator == (const HostScope_LinuxInfo &r) const
{
	return !((*this) != r);
}


/*
 * Function for setting an element in dot notation with an ASCII value.
 * It will call the specified parse_ascii function for parsing the value.
 *
 * @return number of bytes successfully parsed or negative value indicating
 *         an error.
 */
int HostScope_LinuxInfo::setByName(const char *name, const char *value)
{
	if (0 == strcmp(name,"forks")) {
		if (value == 0) {
			clear_forks();
			return 0;
		}
		int r = parse_ascii_u32(&m_forks,value);
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 0);
		return r;
	}
	if (0 == strcmp(name,"ctxtsw")) {
		if (value == 0) {
			clear_ctxtsw();
			return 0;
		}
		int r = parse_ascii_u32(&m_ctxtsw,value);
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 1);
		return r;
	}
	if (0 == strcmp(name,"intrs")) {
		if (value == 0) {
			clear_intrs();
			return 0;
		}
		int r = parse_ascii_u32(&m_intrs,value);
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 2);
		return r;
	}
	if (0 == strcmp(name,"sirqs")) {
		if (value == 0) {
			clear_sirqs();
			return 0;
		}
		int r = parse_ascii_u32(&m_sirqs,value);
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 3);
		return r;
	}
	return -188;
}

HostScope_LinuxVmstat::HostScope_LinuxVmstat()
: m_nr_free_pages(0)
, m_nr_mlock(0)
, m_nr_anon_pages(0)
, m_nr_file_pages(0)
, m_nr_kernel_stack(0)
, m_nr_shmem(0)
, m_pgpgin(0)
, m_pgpgout(0)
, m_pgfree(0)
, m_pgfault(0)
, m_pgmajfault(0)
, p_validbits(0)
{
}

/*!
 * Function for resetting all members of this object to their default values.
 */
void HostScope_LinuxVmstat::clear()
{
	m_nr_free_pages = 0;
	m_nr_mlock = 0;
	m_nr_anon_pages = 0;
	m_nr_file_pages = 0;
	m_nr_kernel_stack = 0;
	m_nr_shmem = 0;
	m_pgpgin = 0;
	m_pgpgout = 0;
	m_pgfree = 0;
	m_pgfault = 0;
	m_pgmajfault = 0;
	p_validbits = 0;
}

void HostScope_LinuxVmstat::toASCII(std::ostream &o, size_t indent) const
{
	o << "HostScope_LinuxVmstat {";
	++indent;
	ascii_indent(o,indent,"nr_free_pages");
	o << m_nr_free_pages << ';';
	ascii_indent(o,indent,"nr_mlock");
	o << m_nr_mlock << ';';
	ascii_indent(o,indent,"nr_anon_pages");
	o << m_nr_anon_pages << ';';
	ascii_indent(o,indent,"nr_file_pages");
	o << m_nr_file_pages << ';';
	ascii_indent(o,indent,"nr_kernel_stack");
	o << m_nr_kernel_stack << ';';
	ascii_indent(o,indent,"nr_shmem");
	o << m_nr_shmem << ';';
	ascii_indent(o,indent,"pgpgin");
	o << m_pgpgin << ';';
	ascii_indent(o,indent,"pgpgout");
	o << m_pgpgout << ';';
	ascii_indent(o,indent,"pgfree");
	o << m_pgfree << ';';
	ascii_indent(o,indent,"pgfault");
	o << m_pgfault << ';';
	ascii_indent(o,indent,"pgmajfault");
	o << m_pgmajfault << ';';
	--indent;
	ascii_indent(o,indent);
	o << '}';
}

/*!
 * Function for parsing an object from serialized data.
 * @param b buffer containg the data to be parsed
 * @param s number of bytes in buffer
 * @return number of bytes successfully parsed (can be < s)
 *         or a negative value indicating the error encountered
 */
ssize_t HostScope_LinuxVmstat::fromMemory(const void *b, ssize_t s)
{
	const uint8_t *a = (const uint8_t *)b;
	const uint8_t *e = a + s;
	while (a < e) {
		varint_t fid;
		int fn = read_varint(a,e-a,&fid);
		a += fn;
		if (fn <= 0)
			return -189;
		switch (fid) {
		case 0x8:	// nr_free_pages id 1, type uint64_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -190;
				a += n;
				set_nr_free_pages(v);
			}
			break;
		case 0x40:	// nr_mlock id 8, type uint64_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -191;
				a += n;
				set_nr_mlock(v);
			}
			break;
		case 0x48:	// nr_anon_pages id 9, type uint64_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -192;
				a += n;
				set_nr_anon_pages(v);
			}
			break;
		case 0x58:	// nr_file_pages id 11, type uint64_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -193;
				a += n;
				set_nr_file_pages(v);
			}
			break;
		case 0x88:	// nr_kernel_stack id 17, type uint64_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -194;
				a += n;
				set_nr_kernel_stack(v);
			}
			break;
		case 0xc8:	// nr_shmem id 25, type uint64_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -195;
				a += n;
				set_nr_shmem(v);
			}
			break;
		case 0x130:	// pgpgin id 38, type uint64_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -196;
				a += n;
				set_pgpgin(v);
			}
			break;
		case 0x138:	// pgpgout id 39, type uint64_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -197;
				a += n;
				set_pgpgout(v);
			}
			break;
		case 0x170:	// pgfree id 46, type uint64_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -198;
				a += n;
				set_pgfree(v);
			}
			break;
		case 0x188:	// pgfault id 49, type uint64_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -199;
				a += n;
				set_pgfault(v);
			}
			break;
		case 0x190:	// pgmajfault id 50, type uint64_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -200;
				a += n;
				set_pgmajfault(v);
			}
			break;
		default:
			{
				ssize_t s = skip_content(a,e-a,fid&7);
				if (s <= 0)
					return -201;
				a += s;
				break;
			}
		}
	}
	assert((a-(const uint8_t *)b) == s);
	if (a > e)
		return -202;
	return a-(const uint8_t *)b;
}

/*!
 * Function for serializing the object to memory.
 * @param b buffer to serialize the object to
 * @param s number of bytes available in the buffer
 * @return number of bytes successfully serialized
 */
ssize_t HostScope_LinuxVmstat::toMemory(uint8_t *b, ssize_t s) const
{
	assert(s >= 0);
	uint8_t *a = b, *e = b + s;
	signed n;
	// has nr_free_pages?
	if (0 != (p_validbits & ((uint16_t)1U << 0))) {
		// 'nr_free_pages': id=1, encoding=0, tag=0x8
		if (a >= e)
			return -203;
		*a++ = 0x8;
		n = write_varint(a,e-a,m_nr_free_pages);
		if (n <= 0)
			return -204;
		a += n;
	}
	// has nr_mlock?
	if (0 != (p_validbits & ((uint16_t)1U << 1))) {
		// 'nr_mlock': id=8, encoding=0, tag=0x40
		if (a >= e)
			return -205;
		*a++ = 0x40;
		n = write_varint(a,e-a,m_nr_mlock);
		if (n <= 0)
			return -206;
		a += n;
	}
	// has nr_anon_pages?
	if (0 != (p_validbits & ((uint16_t)1U << 2))) {
		// 'nr_anon_pages': id=9, encoding=0, tag=0x48
		if (a >= e)
			return -207;
		*a++ = 0x48;
		n = write_varint(a,e-a,m_nr_anon_pages);
		if (n <= 0)
			return -208;
		a += n;
	}
	// has nr_file_pages?
	if (0 != (p_validbits & ((uint16_t)1U << 3))) {
		// 'nr_file_pages': id=11, encoding=0, tag=0x58
		if (a >= e)
			return -209;
		*a++ = 0x58;
		n = write_varint(a,e-a,m_nr_file_pages);
		if (n <= 0)
			return -210;
		a += n;
	}
	// has nr_kernel_stack?
	if (0 != (p_validbits & ((uint16_t)1U << 4))) {
		// 'nr_kernel_stack': id=17, encoding=0, tag=0x88
		if (2 > (e-a))
			return -211;
		*a++ = 0x88;
		*a++ = 0x1;
		n = write_varint(a,e-a,m_nr_kernel_stack);
		if (n <= 0)
			return -212;
		a += n;
	}
	// has nr_shmem?
	if (0 != (p_validbits & ((uint16_t)1U << 5))) {
		// 'nr_shmem': id=25, encoding=0, tag=0xc8
		if (2 > (e-a))
			return -213;
		*a++ = 0xc8;
		*a++ = 0x1;
		n = write_varint(a,e-a,m_nr_shmem);
		if (n <= 0)
			return -214;
		a += n;
	}
	// has pgpgin?
	if (0 != (p_validbits & ((uint16_t)1U << 6))) {
		// 'pgpgin': id=38, encoding=0, tag=0x130
		if (2 > (e-a))
			return -215;
		*a++ = 0xb0;
		*a++ = 0x2;
		n = write_varint(a,e-a,m_pgpgin);
		if (n <= 0)
			return -216;
		a += n;
	}
	// has pgpgout?
	if (0 != (p_validbits & ((uint16_t)1U << 7))) {
		// 'pgpgout': id=39, encoding=0, tag=0x138
		if (2 > (e-a))
			return -217;
		*a++ = 0xb8;
		*a++ = 0x2;
		n = write_varint(a,e-a,m_pgpgout);
		if (n <= 0)
			return -218;
		a += n;
	}
	// has pgfree?
	if (0 != (p_validbits & ((uint16_t)1U << 8))) {
		// 'pgfree': id=46, encoding=0, tag=0x170
		if (2 > (e-a))
			return -219;
		*a++ = 0xf0;
		*a++ = 0x2;
		n = write_varint(a,e-a,m_pgfree);
		if (n <= 0)
			return -220;
		a += n;
	}
	// has pgfault?
	if (0 != (p_validbits & ((uint16_t)1U << 9))) {
		// 'pgfault': id=49, encoding=0, tag=0x188
		if (2 > (e-a))
			return -221;
		*a++ = 0x88;
		*a++ = 0x3;
		n = write_varint(a,e-a,m_pgfault);
		if (n <= 0)
			return -222;
		a += n;
	}
	// has pgmajfault?
	if (0 != (p_validbits & ((uint16_t)1U << 10))) {
		// 'pgmajfault': id=50, encoding=0, tag=0x190
		if (2 > (e-a))
			return -223;
		*a++ = 0x90;
		*a++ = 0x3;
		n = write_varint(a,e-a,m_pgmajfault);
		if (n <= 0)
			return -224;
		a += n;
	}
	assert(a <= e);
	return a-b;
}

/*!
 * Function for writing a JSON representation of the object to a stream.
 * @param json stream object the data should be serialized to
 * @param indLvl the indention level that should be used
 */
void HostScope_LinuxVmstat::toJSON(std::ostream &json, unsigned indLvl) const
{
	char fsep = '{';
	++indLvl;
	if (has_nr_free_pages()) {
		json_indent(json,indLvl,fsep,"nr_free_pages");
		fsep = ',';
		json << m_nr_free_pages;
	}
	if (has_nr_mlock()) {
		json_indent(json,indLvl,fsep,"nr_mlock");
		fsep = ',';
		json << m_nr_mlock;
	}
	if (has_nr_anon_pages()) {
		json_indent(json,indLvl,fsep,"nr_anon_pages");
		fsep = ',';
		json << m_nr_anon_pages;
	}
	if (has_nr_file_pages()) {
		json_indent(json,indLvl,fsep,"nr_file_pages");
		fsep = ',';
		json << m_nr_file_pages;
	}
	if (has_nr_kernel_stack()) {
		json_indent(json,indLvl,fsep,"nr_kernel_stack");
		fsep = ',';
		json << m_nr_kernel_stack;
	}
	if (has_nr_shmem()) {
		json_indent(json,indLvl,fsep,"nr_shmem");
		fsep = ',';
		json << m_nr_shmem;
	}
	if (has_pgpgin()) {
		json_indent(json,indLvl,fsep,"pgpgin");
		fsep = ',';
		json << m_pgpgin;
	}
	if (has_pgpgout()) {
		json_indent(json,indLvl,fsep,"pgpgout");
		fsep = ',';
		json << m_pgpgout;
	}
	if (has_pgfree()) {
		json_indent(json,indLvl,fsep,"pgfree");
		fsep = ',';
		json << m_pgfree;
	}
	if (has_pgfault()) {
		json_indent(json,indLvl,fsep,"pgfault");
		fsep = ',';
		json << m_pgfault;
	}
	if (has_pgmajfault()) {
		json_indent(json,indLvl,fsep,"pgmajfault");
		fsep = ',';
		json << m_pgmajfault;
	}
	if (fsep == '{')
		json.put('{');
	json.put('\n');
	--indLvl;
	json_indent(json,indLvl,0);
	json.put('}');
	if (indLvl == 0)
		json.put('\n');
}

/*!
 * Function for calculating the number of bytes needed for serializing
 * the related object with its associated data.
 * Changing the data may change the size of the serialized object.
 */
size_t HostScope_LinuxVmstat::calcSize() const
{
	size_t r = 0;	// required size, default is fixed length
	// uint64 nr_free_pages
	if (0 != (p_validbits & ((uint16_t)1U << 0))) {
		r += wiresize((varint_t)m_nr_free_pages) + 1 /* tag(nr_free_pages) 0x8 */;
	}
	// uint64 nr_mlock
	if (0 != (p_validbits & ((uint16_t)1U << 1))) {
		r += wiresize((varint_t)m_nr_mlock) + 1 /* tag(nr_mlock) 0x40 */;
	}
	// uint64 nr_anon_pages
	if (0 != (p_validbits & ((uint16_t)1U << 2))) {
		r += wiresize((varint_t)m_nr_anon_pages) + 1 /* tag(nr_anon_pages) 0x48 */;
	}
	// uint64 nr_file_pages
	if (0 != (p_validbits & ((uint16_t)1U << 3))) {
		r += wiresize((varint_t)m_nr_file_pages) + 1 /* tag(nr_file_pages) 0x58 */;
	}
	// uint64 nr_kernel_stack
	if (0 != (p_validbits & ((uint16_t)1U << 4))) {
		r += wiresize((varint_t)m_nr_kernel_stack) + 2 /* tag(nr_kernel_stack) 0x88 */;
	}
	// uint64 nr_shmem
	if (0 != (p_validbits & ((uint16_t)1U << 5))) {
		r += wiresize((varint_t)m_nr_shmem) + 2 /* tag(nr_shmem) 0xc8 */;
	}
	// uint64 pgpgin
	if (0 != (p_validbits & ((uint16_t)1U << 6))) {
		r += wiresize((varint_t)m_pgpgin) + 2 /* tag(pgpgin) 0x130 */;
	}
	// uint64 pgpgout
	if (0 != (p_validbits & ((uint16_t)1U << 7))) {
		r += wiresize((varint_t)m_pgpgout) + 2 /* tag(pgpgout) 0x138 */;
	}
	// uint64 pgfree
	if (0 != (p_validbits & ((uint16_t)1U << 8))) {
		r += wiresize((varint_t)m_pgfree) + 2 /* tag(pgfree) 0x170 */;
	}
	// uint64 pgfault
	if (0 != (p_validbits & ((uint16_t)1U << 9))) {
		r += wiresize((varint_t)m_pgfault) + 2 /* tag(pgfault) 0x188 */;
	}
	// uint64 pgmajfault
	if (0 != (p_validbits & ((uint16_t)1U << 10))) {
		r += wiresize((varint_t)m_pgmajfault) + 2 /* tag(pgmajfault) 0x190 */;
	}
	return r;
}

bool HostScope_LinuxVmstat::operator != (const HostScope_LinuxVmstat &r) const
{
	if (has_nr_free_pages() ^ r.has_nr_free_pages())
		return true;
	if (has_nr_free_pages() && (m_nr_free_pages != r.m_nr_free_pages))
		return true;
	if (has_nr_mlock() ^ r.has_nr_mlock())
		return true;
	if (has_nr_mlock() && (m_nr_mlock != r.m_nr_mlock))
		return true;
	if (has_nr_anon_pages() ^ r.has_nr_anon_pages())
		return true;
	if (has_nr_anon_pages() && (m_nr_anon_pages != r.m_nr_anon_pages))
		return true;
	if (has_nr_file_pages() ^ r.has_nr_file_pages())
		return true;
	if (has_nr_file_pages() && (m_nr_file_pages != r.m_nr_file_pages))
		return true;
	if (has_nr_kernel_stack() ^ r.has_nr_kernel_stack())
		return true;
	if (has_nr_kernel_stack() && (m_nr_kernel_stack != r.m_nr_kernel_stack))
		return true;
	if (has_nr_shmem() ^ r.has_nr_shmem())
		return true;
	if (has_nr_shmem() && (m_nr_shmem != r.m_nr_shmem))
		return true;
	if (has_pgpgin() ^ r.has_pgpgin())
		return true;
	if (has_pgpgin() && (m_pgpgin != r.m_pgpgin))
		return true;
	if (has_pgpgout() ^ r.has_pgpgout())
		return true;
	if (has_pgpgout() && (m_pgpgout != r.m_pgpgout))
		return true;
	if (has_pgfree() ^ r.has_pgfree())
		return true;
	if (has_pgfree() && (m_pgfree != r.m_pgfree))
		return true;
	if (has_pgfault() ^ r.has_pgfault())
		return true;
	if (has_pgfault() && (m_pgfault != r.m_pgfault))
		return true;
	if (has_pgmajfault() ^ r.has_pgmajfault())
		return true;
	if (has_pgmajfault() && (m_pgmajfault != r.m_pgmajfault))
		return true;
	return false;
}


bool HostScope_LinuxVmstat::operator == (const HostScope_LinuxVmstat &r) const
{
	return !((*this) != r);
}


/*
 * Function for setting an element in dot notation with an ASCII value.
 * It will call the specified parse_ascii function for parsing the value.
 *
 * @return number of bytes successfully parsed or negative value indicating
 *         an error.
 */
int HostScope_LinuxVmstat::setByName(const char *name, const char *value)
{
	if (0 == strcmp(name,"nr_free_pages")) {
		if (value == 0) {
			clear_nr_free_pages();
			return 0;
		}
		int r = parse_ascii_u64(&m_nr_free_pages,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 0);
		return r;
	}
	if (0 == strcmp(name,"nr_mlock")) {
		if (value == 0) {
			clear_nr_mlock();
			return 0;
		}
		int r = parse_ascii_u64(&m_nr_mlock,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 1);
		return r;
	}
	if (0 == strcmp(name,"nr_anon_pages")) {
		if (value == 0) {
			clear_nr_anon_pages();
			return 0;
		}
		int r = parse_ascii_u64(&m_nr_anon_pages,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 2);
		return r;
	}
	if (0 == strcmp(name,"nr_file_pages")) {
		if (value == 0) {
			clear_nr_file_pages();
			return 0;
		}
		int r = parse_ascii_u64(&m_nr_file_pages,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 3);
		return r;
	}
	if (0 == strcmp(name,"nr_kernel_stack")) {
		if (value == 0) {
			clear_nr_kernel_stack();
			return 0;
		}
		int r = parse_ascii_u64(&m_nr_kernel_stack,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 4);
		return r;
	}
	if (0 == strcmp(name,"nr_shmem")) {
		if (value == 0) {
			clear_nr_shmem();
			return 0;
		}
		int r = parse_ascii_u64(&m_nr_shmem,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 5);
		return r;
	}
	if (0 == strcmp(name,"pgpgin")) {
		if (value == 0) {
			clear_pgpgin();
			return 0;
		}
		int r = parse_ascii_u64(&m_pgpgin,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 6);
		return r;
	}
	if (0 == strcmp(name,"pgpgout")) {
		if (value == 0) {
			clear_pgpgout();
			return 0;
		}
		int r = parse_ascii_u64(&m_pgpgout,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 7);
		return r;
	}
	if (0 == strcmp(name,"pgfree")) {
		if (value == 0) {
			clear_pgfree();
			return 0;
		}
		int r = parse_ascii_u64(&m_pgfree,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 8);
		return r;
	}
	if (0 == strcmp(name,"pgfault")) {
		if (value == 0) {
			clear_pgfault();
			return 0;
		}
		int r = parse_ascii_u64(&m_pgfault,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 9);
		return r;
	}
	if (0 == strcmp(name,"pgmajfault")) {
		if (value == 0) {
			clear_pgmajfault();
			return 0;
		}
		int r = parse_ascii_u64(&m_pgmajfault,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 10);
		return r;
	}
	return -225;
}

HostScope_LinuxCPU::HostScope_LinuxCPU()
: m_id(0)
, m_user(0)
, m_nice(0)
, m_system(0)
, m_idle(0)
, m_iowait(0)
, m_irq(0)
, m_vhost(0)
, m_currtemp(0)
, m_crittemp(0)
, m_currmhz(0)
, p_validbits(0)
{
}

/*!
 * Function for resetting all members of this object to their default values.
 */
void HostScope_LinuxCPU::clear()
{
	m_id = 0;
	m_user = 0;
	m_nice = 0;
	m_system = 0;
	m_idle = 0;
	m_iowait = 0;
	m_irq = 0;
	m_vhost = 0;
	m_currtemp = 0;
	m_crittemp = 0;
	m_currmhz = 0;
	p_validbits = 0;
}

void HostScope_LinuxCPU::toASCII(std::ostream &o, size_t indent) const
{
	o << "HostScope_LinuxCPU {";
	++indent;
	ascii_indent(o,indent,"id");
	o << m_id << ';';
	ascii_indent(o,indent,"user");
	o << m_user << ';';
	ascii_indent(o,indent,"nice");
	o << m_nice << ';';
	ascii_indent(o,indent,"system");
	o << m_system << ';';
	ascii_indent(o,indent,"idle");
	o << m_idle << ';';
	ascii_indent(o,indent,"iowait");
	o << m_iowait << ';';
	ascii_indent(o,indent,"irq");
	o << m_irq << ';';
	ascii_indent(o,indent,"vhost");
	o << m_vhost << ';';
	ascii_indent(o,indent,"currtemp");
	o << m_currtemp << ';';
	ascii_indent(o,indent,"crittemp");
	o << m_crittemp << ';';
	ascii_indent(o,indent,"currmhz");
	o << m_currmhz << ';';
	--indent;
	ascii_indent(o,indent);
	o << '}';
}

/*!
 * Function for parsing an object from serialized data.
 * @param b buffer containg the data to be parsed
 * @param s number of bytes in buffer
 * @return number of bytes successfully parsed (can be < s)
 *         or a negative value indicating the error encountered
 */
ssize_t HostScope_LinuxCPU::fromMemory(const void *b, ssize_t s)
{
	const uint8_t *a = (const uint8_t *)b;
	const uint8_t *e = a + s;
	while (a < e) {
		varint_t fid;
		int fn = read_varint(a,e-a,&fid);
		a += fn;
		if (fn <= 0)
			return -226;
		switch (fid) {
		case 0x8:	// id id 1, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -227;
				a += n;
				m_id = v;
			}
			break;
		case 0x10:	// user id 2, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -228;
				a += n;
				m_user = v;
			}
			break;
		case 0x18:	// nice id 3, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -229;
				a += n;
				m_nice = v;
			}
			break;
		case 0x20:	// system id 4, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -230;
				a += n;
				m_system = v;
			}
			break;
		case 0x28:	// idle id 5, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -231;
				a += n;
				m_idle = v;
			}
			break;
		case 0x30:	// iowait id 6, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -232;
				a += n;
				m_iowait = v;
			}
			break;
		case 0x38:	// irq id 7, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -233;
				a += n;
				set_irq(v);
			}
			break;
		case 0x40:	// vhost id 8, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -234;
				a += n;
				set_vhost(v);
			}
			break;
		case 0x48:	// currtemp id 9, type int32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -235;
				a += n;
				set_currtemp(v);
			}
			break;
		case 0x50:	// crittemp id 10, type int32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -236;
				a += n;
				set_crittemp(v);
			}
			break;
		case 0x58:	// currmhz id 11, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -237;
				a += n;
				set_currmhz(v);
			}
			break;
		default:
			{
				ssize_t s = skip_content(a,e-a,fid&7);
				if (s <= 0)
					return -238;
				a += s;
				break;
			}
		}
	}
	assert((a-(const uint8_t *)b) == s);
	if (a > e)
		return -239;
	return a-(const uint8_t *)b;
}

/*!
 * Function for serializing the object to memory.
 * @param b buffer to serialize the object to
 * @param s number of bytes available in the buffer
 * @return number of bytes successfully serialized
 */
ssize_t HostScope_LinuxCPU::toMemory(uint8_t *b, ssize_t s) const
{
	assert(s >= 0);
	uint8_t *a = b, *e = b + s;
	signed n;
	// 'id': id=1, encoding=0, tag=0x8
	if (a >= e)
		return -240;
	*a++ = 0x8;
	n = write_varint(a,e-a,m_id);
	if (n <= 0)
		return -241;
	a += n;
	// 'user': id=2, encoding=0, tag=0x10
	if (a >= e)
		return -242;
	*a++ = 0x10;
	n = write_varint(a,e-a,m_user);
	if (n <= 0)
		return -243;
	a += n;
	// 'nice': id=3, encoding=0, tag=0x18
	if (a >= e)
		return -244;
	*a++ = 0x18;
	n = write_varint(a,e-a,m_nice);
	if (n <= 0)
		return -245;
	a += n;
	// 'system': id=4, encoding=0, tag=0x20
	if (a >= e)
		return -246;
	*a++ = 0x20;
	n = write_varint(a,e-a,m_system);
	if (n <= 0)
		return -247;
	a += n;
	// 'idle': id=5, encoding=0, tag=0x28
	if (a >= e)
		return -248;
	*a++ = 0x28;
	n = write_varint(a,e-a,m_idle);
	if (n <= 0)
		return -249;
	a += n;
	// 'iowait': id=6, encoding=0, tag=0x30
	if (a >= e)
		return -250;
	*a++ = 0x30;
	n = write_varint(a,e-a,m_iowait);
	if (n <= 0)
		return -251;
	a += n;
	// has irq?
	if (0 != (p_validbits & ((uint8_t)1U << 0))) {
		// 'irq': id=7, encoding=0, tag=0x38
		if (a >= e)
			return -252;
		*a++ = 0x38;
		n = write_varint(a,e-a,m_irq);
		if (n <= 0)
			return -253;
		a += n;
	}
	// has vhost?
	if (0 != (p_validbits & ((uint8_t)1U << 1))) {
		// 'vhost': id=8, encoding=0, tag=0x40
		if (a >= e)
			return -254;
		*a++ = 0x40;
		n = write_varint(a,e-a,m_vhost);
		if (n <= 0)
			return -255;
		a += n;
	}
	// has currtemp?
	if (0 != (p_validbits & ((uint8_t)1U << 2))) {
		// 'currtemp': id=9, encoding=0, tag=0x48
		if (a >= e)
			return -256;
		*a++ = 0x48;
		n = write_varint(a,e-a,m_currtemp);
		if (n <= 0)
			return -257;
		a += n;
	}
	// has crittemp?
	if (0 != (p_validbits & ((uint8_t)1U << 3))) {
		// 'crittemp': id=10, encoding=0, tag=0x50
		if (a >= e)
			return -258;
		*a++ = 0x50;
		n = write_varint(a,e-a,m_crittemp);
		if (n <= 0)
			return -259;
		a += n;
	}
	// has currmhz?
	if (0 != (p_validbits & ((uint8_t)1U << 4))) {
		// 'currmhz': id=11, encoding=0, tag=0x58
		if (a >= e)
			return -260;
		*a++ = 0x58;
		n = write_varint(a,e-a,m_currmhz);
		if (n <= 0)
			return -261;
		a += n;
	}
	assert(a <= e);
	return a-b;
}

/*!
 * Function for writing a JSON representation of the object to a stream.
 * @param json stream object the data should be serialized to
 * @param indLvl the indention level that should be used
 */
void HostScope_LinuxCPU::toJSON(std::ostream &json, unsigned indLvl) const
{
	++indLvl;
	json_indent(json,indLvl,'{',"id");
	json << m_id;
	json_indent(json,indLvl,',',"user");
	json << m_user;
	json_indent(json,indLvl,',',"nice");
	json << m_nice;
	json_indent(json,indLvl,',',"system");
	json << m_system;
	json_indent(json,indLvl,',',"idle");
	json << m_idle;
	json_indent(json,indLvl,',',"iowait");
	json << m_iowait;
	if (has_irq()) {
		json_indent(json,indLvl,',',"irq");
		json << m_irq;
	}
	if (has_vhost()) {
		json_indent(json,indLvl,',',"vhost");
		json << m_vhost;
	}
	if (has_currtemp()) {
		json_indent(json,indLvl,',',"currtemp");
		json << m_currtemp;
	}
	if (has_crittemp()) {
		json_indent(json,indLvl,',',"crittemp");
		json << m_crittemp;
	}
	if (has_currmhz()) {
		json_indent(json,indLvl,',',"currmhz");
		json << m_currmhz;
	}
	json.put('\n');
	--indLvl;
	json_indent(json,indLvl,0);
	json.put('}');
	if (indLvl == 0)
		json.put('\n');
}

/*!
 * Function for calculating the number of bytes needed for serializing
 * the related object with its associated data.
 * Changing the data may change the size of the serialized object.
 */
size_t HostScope_LinuxCPU::calcSize() const
{
	// uint32 id: tagsize 1
	// uint32 user: tagsize 1
	// uint32 nice: tagsize 1
	// uint32 system: tagsize 1
	// uint32 idle: tagsize 1
	// uint32 iowait: tagsize 1
	size_t r = 6;	// required size, default is fixed length
	// uint32 id
	r += wiresize((varint_t)m_id);
	// uint32 user
	r += wiresize((varint_t)m_user);
	// uint32 nice
	r += wiresize((varint_t)m_nice);
	// uint32 system
	r += wiresize((varint_t)m_system);
	// uint32 idle
	r += wiresize((varint_t)m_idle);
	// uint32 iowait
	r += wiresize((varint_t)m_iowait);
	// uint32 irq
	if (0 != (p_validbits & ((uint8_t)1U << 0))) {
		r += wiresize((varint_t)m_irq) + 1 /* tag(irq) 0x38 */;
	}
	// uint32 vhost
	if (0 != (p_validbits & ((uint8_t)1U << 1))) {
		r += wiresize((varint_t)m_vhost) + 1 /* tag(vhost) 0x40 */;
	}
	// int32 currtemp
	if (0 != (p_validbits & ((uint8_t)1U << 2))) {
		r += wiresize_x((varint_t)m_currtemp) + 1 /* tag(currtemp) 0x48 */;
	}
	// int32 crittemp
	if (0 != (p_validbits & ((uint8_t)1U << 3))) {
		r += wiresize_x((varint_t)m_crittemp) + 1 /* tag(crittemp) 0x50 */;
	}
	// uint32 currmhz
	if (0 != (p_validbits & ((uint8_t)1U << 4))) {
		r += wiresize((varint_t)m_currmhz) + 1 /* tag(currmhz) 0x58 */;
	}
	return r;
}

bool HostScope_LinuxCPU::operator != (const HostScope_LinuxCPU &r) const
{
	if (m_id != r.m_id)
		return true;
	if (m_user != r.m_user)
		return true;
	if (m_nice != r.m_nice)
		return true;
	if (m_system != r.m_system)
		return true;
	if (m_idle != r.m_idle)
		return true;
	if (m_iowait != r.m_iowait)
		return true;
	if (has_irq() ^ r.has_irq())
		return true;
	if (has_irq() && (m_irq != r.m_irq))
		return true;
	if (has_vhost() ^ r.has_vhost())
		return true;
	if (has_vhost() && (m_vhost != r.m_vhost))
		return true;
	if (has_currtemp() ^ r.has_currtemp())
		return true;
	if (has_currtemp() && (m_currtemp != r.m_currtemp))
		return true;
	if (has_crittemp() ^ r.has_crittemp())
		return true;
	if (has_crittemp() && (m_crittemp != r.m_crittemp))
		return true;
	if (has_currmhz() ^ r.has_currmhz())
		return true;
	if (has_currmhz() && (m_currmhz != r.m_currmhz))
		return true;
	return false;
}


bool HostScope_LinuxCPU::operator == (const HostScope_LinuxCPU &r) const
{
	return !((*this) != r);
}


/*
 * Function for setting an element in dot notation with an ASCII value.
 * It will call the specified parse_ascii function for parsing the value.
 *
 * @return number of bytes successfully parsed or negative value indicating
 *         an error.
 */
int HostScope_LinuxCPU::setByName(const char *name, const char *value)
{
	if (0 == strcmp(name,"id")) {
		int r = parse_ascii_u32(&m_id,value);
		if (r > 0)
			return r;
	}
	if (0 == strcmp(name,"user")) {
		int r = parse_ascii_u32(&m_user,value);
		if (r > 0)
			return r;
	}
	if (0 == strcmp(name,"nice")) {
		int r = parse_ascii_u32(&m_nice,value);
		if (r > 0)
			return r;
	}
	if (0 == strcmp(name,"system")) {
		int r = parse_ascii_u32(&m_system,value);
		if (r > 0)
			return r;
	}
	if (0 == strcmp(name,"idle")) {
		int r = parse_ascii_u32(&m_idle,value);
		if (r > 0)
			return r;
	}
	if (0 == strcmp(name,"iowait")) {
		int r = parse_ascii_u32(&m_iowait,value);
		if (r > 0)
			return r;
	}
	if (0 == strcmp(name,"irq")) {
		if (value == 0) {
			clear_irq();
			return 0;
		}
		int r = parse_ascii_u32(&m_irq,value);
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 0);
		return r;
	}
	if (0 == strcmp(name,"vhost")) {
		if (value == 0) {
			clear_vhost();
			return 0;
		}
		int r = parse_ascii_u32(&m_vhost,value);
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 1);
		return r;
	}
	if (0 == strcmp(name,"currtemp")) {
		if (value == 0) {
			clear_currtemp();
			return 0;
		}
		int r = parse_ascii_s32(&m_currtemp,value);
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 2);
		return r;
	}
	if (0 == strcmp(name,"crittemp")) {
		if (value == 0) {
			clear_crittemp();
			return 0;
		}
		int r = parse_ascii_s32(&m_crittemp,value);
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 3);
		return r;
	}
	if (0 == strcmp(name,"currmhz")) {
		if (value == 0) {
			clear_currmhz();
			return 0;
		}
		int r = parse_ascii_u32(&m_currmhz,value);
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 4);
		return r;
	}
	return -262;
}

HostScope_Process::HostScope_Process()
: m_command()
, m_pid(0)
, m_uid(0)
, m_prio(0)
, m_nthreads(0)
, m_time(0)
, m_putime(0)
, m_pstime(0)
, m_virmem(0)
, m_rssmem(0)
, m_sharedmem(0)
, m_minflts(0)
, m_majflts(0)
, m_rchars(0)
, m_wchars(0)
, p_validbits(0)
{
}

/*!
 * Function for resetting all members of this object to their default values.
 */
void HostScope_Process::clear()
{
	m_command.clear();
	m_pid = 0;
	m_uid = 0;
	m_prio = 0;
	m_nthreads = 0;
	m_time = 0;
	m_putime = 0;
	m_pstime = 0;
	m_virmem = 0;
	m_rssmem = 0;
	m_sharedmem = 0;
	m_minflts = 0;
	m_majflts = 0;
	m_rchars = 0;
	m_wchars = 0;
	p_validbits = 0;
}

void HostScope_Process::toASCII(std::ostream &o, size_t indent) const
{
	o << "HostScope_Process {";
	++indent;
	ascii_indent(o,indent,"command");
	ascii_string(o,m_command.data(),m_command.size(),indent+2);
	o << ';';
	ascii_indent(o,indent,"pid");
	o << m_pid << ';';
	ascii_indent(o,indent,"uid");
	o << m_uid << ';';
	ascii_indent(o,indent,"prio");
	o << m_prio << ';';
	ascii_indent(o,indent,"nthreads");
	o << m_nthreads << ';';
	ascii_indent(o,indent,"time");
	o << m_time << ';';
	ascii_indent(o,indent,"putime");
	o << m_putime << ';';
	ascii_indent(o,indent,"pstime");
	o << m_pstime << ';';
	ascii_indent(o,indent,"virmem");
	o << m_virmem << ';';
	ascii_indent(o,indent,"rssmem");
	o << m_rssmem << ';';
	ascii_indent(o,indent,"sharedmem");
	o << m_sharedmem << ';';
	ascii_indent(o,indent,"minflts");
	o << m_minflts << ';';
	ascii_indent(o,indent,"majflts");
	o << m_majflts << ';';
	ascii_indent(o,indent,"rchars");
	o << m_rchars << ';';
	ascii_indent(o,indent,"wchars");
	o << m_wchars << ';';
	--indent;
	ascii_indent(o,indent);
	o << '}';
}

/*!
 * Function for parsing an object from serialized data.
 * @param b buffer containg the data to be parsed
 * @param s number of bytes in buffer
 * @return number of bytes successfully parsed (can be < s)
 *         or a negative value indicating the error encountered
 */
ssize_t HostScope_Process::fromMemory(const void *b, ssize_t s)
{
	const uint8_t *a = (const uint8_t *)b;
	const uint8_t *e = a + s;
	while (a < e) {
		varint_t fid;
		int fn = read_varint(a,e-a,&fid);
		a += fn;
		if (fn <= 0)
			return -263;
		switch (fid) {
		case 0xa:	// command id 1, type std::string, coding byte[]
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				a += n;
				if ((n <= 0) || ((a+v) > e))
					return -264;
				m_command.assign((const char*)a,v);
				a += v;
			}
			break;
		case 0x10:	// pid id 2, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -265;
				a += n;
				m_pid = v;
			}
			break;
		case 0x18:	// uid id 3, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -266;
				a += n;
				m_uid = v;
			}
			break;
		case 0x20:	// prio id 4, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -267;
				a += n;
				set_prio(v);
			}
			break;
		case 0x28:	// nthreads id 5, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -268;
				a += n;
				set_nthreads(v);
			}
			break;
		case 0x40:	// time id 8, type uint64_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -269;
				a += n;
				set_time(v);
			}
			break;
		case 0x48:	// putime id 9, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -270;
				a += n;
				set_putime(v);
			}
			break;
		case 0x50:	// pstime id 10, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -271;
				a += n;
				set_pstime(v);
			}
			break;
		case 0x80:	// virmem id 16, type uint64_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -272;
				a += n;
				set_virmem(v);
			}
			break;
		case 0x88:	// rssmem id 17, type uint64_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -273;
				a += n;
				set_rssmem(v);
			}
			break;
		case 0x90:	// sharedmem id 18, type uint64_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -274;
				a += n;
				set_sharedmem(v);
			}
			break;
		case 0xe0:	// minflts id 28, type uint64_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -275;
				a += n;
				set_minflts(v);
			}
			break;
		case 0xe8:	// majflts id 29, type uint64_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -276;
				a += n;
				set_majflts(v);
			}
			break;
		case 0xf0:	// rchars id 30, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -277;
				a += n;
				set_rchars(v);
			}
			break;
		case 0xf8:	// wchars id 31, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -278;
				a += n;
				set_wchars(v);
			}
			break;
		default:
			{
				ssize_t s = skip_content(a,e-a,fid&7);
				if (s <= 0)
					return -279;
				a += s;
				break;
			}
		}
	}
	assert((a-(const uint8_t *)b) == s);
	if (a > e)
		return -280;
	return a-(const uint8_t *)b;
}

/*!
 * Function for serializing the object to memory.
 * @param b buffer to serialize the object to
 * @param s number of bytes available in the buffer
 * @return number of bytes successfully serialized
 */
ssize_t HostScope_Process::toMemory(uint8_t *b, ssize_t s) const
{
	assert(s >= 0);
	uint8_t *a = b, *e = b + s;
	signed n;
	// 'command': id=1, encoding=2, tag=0xa
	if (a >= e)
		return -281;
	*a++ = 0xa;
	ssize_t command_s = m_command.size();
	n = write_varint(a,e-a,command_s);
	a += n;
	if ((n <= 0) || ((e-a) < command_s))
		return -282;
	memcpy(a,m_command.data(),command_s);
	a += command_s;
	// 'pid': id=2, encoding=0, tag=0x10
	if (a >= e)
		return -283;
	*a++ = 0x10;
	n = write_varint(a,e-a,m_pid);
	if (n <= 0)
		return -284;
	a += n;
	// 'uid': id=3, encoding=0, tag=0x18
	if (a >= e)
		return -285;
	*a++ = 0x18;
	n = write_varint(a,e-a,m_uid);
	if (n <= 0)
		return -286;
	a += n;
	// has prio?
	if (0 != (p_validbits & ((uint16_t)1U << 0))) {
		// 'prio': id=4, encoding=0, tag=0x20
		if (a >= e)
			return -287;
		*a++ = 0x20;
		n = write_varint(a,e-a,m_prio);
		if (n <= 0)
			return -288;
		a += n;
	}
	// has nthreads?
	if (0 != (p_validbits & ((uint16_t)1U << 1))) {
		// 'nthreads': id=5, encoding=0, tag=0x28
		if (a >= e)
			return -289;
		*a++ = 0x28;
		n = write_varint(a,e-a,m_nthreads);
		if (n <= 0)
			return -290;
		a += n;
	}
	// has time?
	if (0 != (p_validbits & ((uint16_t)1U << 2))) {
		// 'time': id=8, encoding=0, tag=0x40
		if (a >= e)
			return -291;
		*a++ = 0x40;
		n = write_varint(a,e-a,m_time);
		if (n <= 0)
			return -292;
		a += n;
	}
	// has putime?
	if (0 != (p_validbits & ((uint16_t)1U << 3))) {
		// 'putime': id=9, encoding=0, tag=0x48
		if (a >= e)
			return -293;
		*a++ = 0x48;
		n = write_varint(a,e-a,m_putime);
		if (n <= 0)
			return -294;
		a += n;
	}
	// has pstime?
	if (0 != (p_validbits & ((uint16_t)1U << 4))) {
		// 'pstime': id=10, encoding=0, tag=0x50
		if (a >= e)
			return -295;
		*a++ = 0x50;
		n = write_varint(a,e-a,m_pstime);
		if (n <= 0)
			return -296;
		a += n;
	}
	// has virmem?
	if (0 != (p_validbits & ((uint16_t)1U << 5))) {
		// 'virmem': id=16, encoding=0, tag=0x80
		if (2 > (e-a))
			return -297;
		*a++ = 0x80;
		*a++ = 0x1;
		n = write_varint(a,e-a,m_virmem);
		if (n <= 0)
			return -298;
		a += n;
	}
	// has rssmem?
	if (0 != (p_validbits & ((uint16_t)1U << 6))) {
		// 'rssmem': id=17, encoding=0, tag=0x88
		if (2 > (e-a))
			return -299;
		*a++ = 0x88;
		*a++ = 0x1;
		n = write_varint(a,e-a,m_rssmem);
		if (n <= 0)
			return -300;
		a += n;
	}
	// has sharedmem?
	if (0 != (p_validbits & ((uint16_t)1U << 7))) {
		// 'sharedmem': id=18, encoding=0, tag=0x90
		if (2 > (e-a))
			return -301;
		*a++ = 0x90;
		*a++ = 0x1;
		n = write_varint(a,e-a,m_sharedmem);
		if (n <= 0)
			return -302;
		a += n;
	}
	// has minflts?
	if (0 != (p_validbits & ((uint16_t)1U << 8))) {
		// 'minflts': id=28, encoding=0, tag=0xe0
		if (2 > (e-a))
			return -303;
		*a++ = 0xe0;
		*a++ = 0x1;
		n = write_varint(a,e-a,m_minflts);
		if (n <= 0)
			return -304;
		a += n;
	}
	// has majflts?
	if (0 != (p_validbits & ((uint16_t)1U << 9))) {
		// 'majflts': id=29, encoding=0, tag=0xe8
		if (2 > (e-a))
			return -305;
		*a++ = 0xe8;
		*a++ = 0x1;
		n = write_varint(a,e-a,m_majflts);
		if (n <= 0)
			return -306;
		a += n;
	}
	// has rchars?
	if (0 != (p_validbits & ((uint16_t)1U << 10))) {
		// 'rchars': id=30, encoding=0, tag=0xf0
		if (2 > (e-a))
			return -307;
		*a++ = 0xf0;
		*a++ = 0x1;
		n = write_varint(a,e-a,m_rchars);
		if (n <= 0)
			return -308;
		a += n;
	}
	// has wchars?
	if (0 != (p_validbits & ((uint16_t)1U << 11))) {
		// 'wchars': id=31, encoding=0, tag=0xf8
		if (2 > (e-a))
			return -309;
		*a++ = 0xf8;
		*a++ = 0x1;
		n = write_varint(a,e-a,m_wchars);
		if (n <= 0)
			return -310;
		a += n;
	}
	assert(a <= e);
	return a-b;
}

/*!
 * Function for writing a JSON representation of the object to a stream.
 * @param json stream object the data should be serialized to
 * @param indLvl the indention level that should be used
 */
void HostScope_Process::toJSON(std::ostream &json, unsigned indLvl) const
{
	++indLvl;
	json_indent(json,indLvl,'{',"command");
	json_cstr(json,m_command.c_str());
	json_indent(json,indLvl,',',"pid");
	json << m_pid;
	json_indent(json,indLvl,',',"uid");
	json << m_uid;
	if (has_prio()) {
		json_indent(json,indLvl,',',"prio");
		json << m_prio;
	}
	if (has_nthreads()) {
		json_indent(json,indLvl,',',"nthreads");
		json << m_nthreads;
	}
	if (has_time()) {
		json_indent(json,indLvl,',',"time");
		json << m_time;
	}
	if (has_putime()) {
		json_indent(json,indLvl,',',"putime");
		json << m_putime;
	}
	if (has_pstime()) {
		json_indent(json,indLvl,',',"pstime");
		json << m_pstime;
	}
	if (has_virmem()) {
		json_indent(json,indLvl,',',"virmem");
		json << m_virmem;
	}
	if (has_rssmem()) {
		json_indent(json,indLvl,',',"rssmem");
		json << m_rssmem;
	}
	if (has_sharedmem()) {
		json_indent(json,indLvl,',',"sharedmem");
		json << m_sharedmem;
	}
	if (has_minflts()) {
		json_indent(json,indLvl,',',"minflts");
		json << m_minflts;
	}
	if (has_majflts()) {
		json_indent(json,indLvl,',',"majflts");
		json << m_majflts;
	}
	if (has_rchars()) {
		json_indent(json,indLvl,',',"rchars");
		json << m_rchars;
	}
	if (has_wchars()) {
		json_indent(json,indLvl,',',"wchars");
		json << m_wchars;
	}
	json.put('\n');
	--indLvl;
	json_indent(json,indLvl,0);
	json.put('}');
	if (indLvl == 0)
		json.put('\n');
}

/*!
 * Function for calculating the number of bytes needed for serializing
 * the related object with its associated data.
 * Changing the data may change the size of the serialized object.
 */
size_t HostScope_Process::calcSize() const
{
	// string command: tagsize 1
	// uint32 pid: tagsize 1
	// uint32 uid: tagsize 1
	size_t r = 3;	// required size, default is fixed length
	// string command
	size_t command_s = m_command.size();
	r += command_s + wiresize(command_s);
	// uint32 pid
	r += wiresize((varint_t)m_pid);
	// uint32 uid
	r += wiresize((varint_t)m_uid);
	// uint32 prio
	if (0 != (p_validbits & ((uint16_t)1U << 0))) {
		r += wiresize((varint_t)m_prio) + 1 /* tag(prio) 0x20 */;
	}
	// uint32 nthreads
	if (0 != (p_validbits & ((uint16_t)1U << 1))) {
		r += wiresize((varint_t)m_nthreads) + 1 /* tag(nthreads) 0x28 */;
	}
	// uint64 time
	if (0 != (p_validbits & ((uint16_t)1U << 2))) {
		r += wiresize((varint_t)m_time) + 1 /* tag(time) 0x40 */;
	}
	// uint32 putime
	if (0 != (p_validbits & ((uint16_t)1U << 3))) {
		r += wiresize((varint_t)m_putime) + 1 /* tag(putime) 0x48 */;
	}
	// uint32 pstime
	if (0 != (p_validbits & ((uint16_t)1U << 4))) {
		r += wiresize((varint_t)m_pstime) + 1 /* tag(pstime) 0x50 */;
	}
	// uint64 virmem
	if (0 != (p_validbits & ((uint16_t)1U << 5))) {
		r += wiresize((varint_t)m_virmem) + 2 /* tag(virmem) 0x80 */;
	}
	// uint64 rssmem
	if (0 != (p_validbits & ((uint16_t)1U << 6))) {
		r += wiresize((varint_t)m_rssmem) + 2 /* tag(rssmem) 0x88 */;
	}
	// uint64 sharedmem
	if (0 != (p_validbits & ((uint16_t)1U << 7))) {
		r += wiresize((varint_t)m_sharedmem) + 2 /* tag(sharedmem) 0x90 */;
	}
	// uint64 minflts
	if (0 != (p_validbits & ((uint16_t)1U << 8))) {
		r += wiresize((varint_t)m_minflts) + 2 /* tag(minflts) 0xe0 */;
	}
	// uint64 majflts
	if (0 != (p_validbits & ((uint16_t)1U << 9))) {
		r += wiresize((varint_t)m_majflts) + 2 /* tag(majflts) 0xe8 */;
	}
	// uint32 rchars
	if (0 != (p_validbits & ((uint16_t)1U << 10))) {
		r += wiresize((varint_t)m_rchars) + 2 /* tag(rchars) 0xf0 */;
	}
	// uint32 wchars
	if (0 != (p_validbits & ((uint16_t)1U << 11))) {
		r += wiresize((varint_t)m_wchars) + 2 /* tag(wchars) 0xf8 */;
	}
	return r;
}

bool HostScope_Process::operator != (const HostScope_Process &r) const
{
	if (m_command != r.m_command)
		return true;
	if (m_pid != r.m_pid)
		return true;
	if (m_uid != r.m_uid)
		return true;
	if (has_prio() ^ r.has_prio())
		return true;
	if (has_prio() && (m_prio != r.m_prio))
		return true;
	if (has_nthreads() ^ r.has_nthreads())
		return true;
	if (has_nthreads() && (m_nthreads != r.m_nthreads))
		return true;
	if (has_time() ^ r.has_time())
		return true;
	if (has_time() && (m_time != r.m_time))
		return true;
	if (has_putime() ^ r.has_putime())
		return true;
	if (has_putime() && (m_putime != r.m_putime))
		return true;
	if (has_pstime() ^ r.has_pstime())
		return true;
	if (has_pstime() && (m_pstime != r.m_pstime))
		return true;
	if (has_virmem() ^ r.has_virmem())
		return true;
	if (has_virmem() && (m_virmem != r.m_virmem))
		return true;
	if (has_rssmem() ^ r.has_rssmem())
		return true;
	if (has_rssmem() && (m_rssmem != r.m_rssmem))
		return true;
	if (has_sharedmem() ^ r.has_sharedmem())
		return true;
	if (has_sharedmem() && (m_sharedmem != r.m_sharedmem))
		return true;
	if (has_minflts() ^ r.has_minflts())
		return true;
	if (has_minflts() && (m_minflts != r.m_minflts))
		return true;
	if (has_majflts() ^ r.has_majflts())
		return true;
	if (has_majflts() && (m_majflts != r.m_majflts))
		return true;
	if (has_rchars() ^ r.has_rchars())
		return true;
	if (has_rchars() && (m_rchars != r.m_rchars))
		return true;
	if (has_wchars() ^ r.has_wchars())
		return true;
	if (has_wchars() && (m_wchars != r.m_wchars))
		return true;
	return false;
}


bool HostScope_Process::operator == (const HostScope_Process &r) const
{
	return !((*this) != r);
}


/*
 * Function for setting an element in dot notation with an ASCII value.
 * It will call the specified parse_ascii function for parsing the value.
 *
 * @return number of bytes successfully parsed or negative value indicating
 *         an error.
 */
int HostScope_Process::setByName(const char *name, const char *value)
{
	if (0 == strcmp(name,"command")) {
		m_command = value;
		int r = m_command.size();
		if (r > 0)
			return r;
	}
	if (0 == strcmp(name,"pid")) {
		int r = parse_ascii_u32(&m_pid,value);
		if (r > 0)
			return r;
	}
	if (0 == strcmp(name,"uid")) {
		int r = parse_ascii_u32(&m_uid,value);
		if (r > 0)
			return r;
	}
	if (0 == strcmp(name,"prio")) {
		if (value == 0) {
			clear_prio();
			return 0;
		}
		int r = parse_ascii_u32(&m_prio,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 0);
		return r;
	}
	if (0 == strcmp(name,"nthreads")) {
		if (value == 0) {
			clear_nthreads();
			return 0;
		}
		int r = parse_ascii_u32(&m_nthreads,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 1);
		return r;
	}
	if (0 == strcmp(name,"time")) {
		if (value == 0) {
			clear_time();
			return 0;
		}
		int r = parse_ascii_u64(&m_time,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 2);
		return r;
	}
	if (0 == strcmp(name,"putime")) {
		if (value == 0) {
			clear_putime();
			return 0;
		}
		int r = parse_ascii_u32(&m_putime,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 3);
		return r;
	}
	if (0 == strcmp(name,"pstime")) {
		if (value == 0) {
			clear_pstime();
			return 0;
		}
		int r = parse_ascii_u32(&m_pstime,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 4);
		return r;
	}
	if (0 == strcmp(name,"virmem")) {
		if (value == 0) {
			clear_virmem();
			return 0;
		}
		int r = parse_ascii_u64(&m_virmem,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 5);
		return r;
	}
	if (0 == strcmp(name,"rssmem")) {
		if (value == 0) {
			clear_rssmem();
			return 0;
		}
		int r = parse_ascii_u64(&m_rssmem,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 6);
		return r;
	}
	if (0 == strcmp(name,"sharedmem")) {
		if (value == 0) {
			clear_sharedmem();
			return 0;
		}
		int r = parse_ascii_u64(&m_sharedmem,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 7);
		return r;
	}
	if (0 == strcmp(name,"minflts")) {
		if (value == 0) {
			clear_minflts();
			return 0;
		}
		int r = parse_ascii_u64(&m_minflts,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 8);
		return r;
	}
	if (0 == strcmp(name,"majflts")) {
		if (value == 0) {
			clear_majflts();
			return 0;
		}
		int r = parse_ascii_u64(&m_majflts,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 9);
		return r;
	}
	if (0 == strcmp(name,"rchars")) {
		if (value == 0) {
			clear_rchars();
			return 0;
		}
		int r = parse_ascii_u32(&m_rchars,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 10);
		return r;
	}
	if (0 == strcmp(name,"wchars")) {
		if (value == 0) {
			clear_wchars();
			return 0;
		}
		int r = parse_ascii_u32(&m_wchars,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 11);
		return r;
	}
	return -311;
}

HostScope_User::HostScope_User()
: m_uid(0)
, m_name()
, m_nproc(0)
, m_nthreads(0)
, m_rssmem(0)
, m_sharedmem(0)
, m_minflts(0)
, m_majflts(0)
, m_putime(0)
, m_pstime(0)
, m_rchars(0)
, m_wchars(0)
, p_validbits(0)
{
}

/*!
 * Function for resetting all members of this object to their default values.
 */
void HostScope_User::clear()
{
	m_uid = 0;
	m_name.clear();
	m_nproc = 0;
	m_nthreads = 0;
	m_rssmem = 0;
	m_sharedmem = 0;
	m_minflts = 0;
	m_majflts = 0;
	m_putime = 0;
	m_pstime = 0;
	m_rchars = 0;
	m_wchars = 0;
	p_validbits = 0;
}

void HostScope_User::toASCII(std::ostream &o, size_t indent) const
{
	o << "HostScope_User {";
	++indent;
	ascii_indent(o,indent,"uid");
	o << m_uid << ';';
	ascii_indent(o,indent,"name");
	ascii_string(o,m_name.data(),m_name.size(),indent+2);
	o << ';';
	ascii_indent(o,indent,"nproc");
	o << m_nproc << ';';
	ascii_indent(o,indent,"nthreads");
	o << m_nthreads << ';';
	ascii_indent(o,indent,"rssmem");
	o << m_rssmem << ';';
	ascii_indent(o,indent,"sharedmem");
	o << m_sharedmem << ';';
	ascii_indent(o,indent,"minflts");
	o << m_minflts << ';';
	ascii_indent(o,indent,"majflts");
	o << m_majflts << ';';
	ascii_indent(o,indent,"putime");
	o << m_putime << ';';
	ascii_indent(o,indent,"pstime");
	o << m_pstime << ';';
	ascii_indent(o,indent,"rchars");
	o << m_rchars << ';';
	ascii_indent(o,indent,"wchars");
	o << m_wchars << ';';
	--indent;
	ascii_indent(o,indent);
	o << '}';
}

/*!
 * Function for parsing an object from serialized data.
 * @param b buffer containg the data to be parsed
 * @param s number of bytes in buffer
 * @return number of bytes successfully parsed (can be < s)
 *         or a negative value indicating the error encountered
 */
ssize_t HostScope_User::fromMemory(const void *b, ssize_t s)
{
	const uint8_t *a = (const uint8_t *)b;
	const uint8_t *e = a + s;
	while (a < e) {
		varint_t fid;
		int fn = read_varint(a,e-a,&fid);
		a += fn;
		if (fn <= 0)
			return -312;
		switch (fid) {
		case 0x8:	// uid id 1, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -313;
				a += n;
				m_uid = v;
			}
			break;
		case 0x12:	// name id 2, type std::string, coding byte[]
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				a += n;
				if ((n <= 0) || ((a+v) > e))
					return -314;
				m_name.assign((const char*)a,v);
				a += v;
			}
			break;
		case 0x18:	// nproc id 3, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -315;
				a += n;
				m_nproc = v;
			}
			break;
		case 0x20:	// nthreads id 4, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -316;
				a += n;
				set_nthreads(v);
			}
			break;
		case 0x40:	// rssmem id 8, type uint64_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -317;
				a += n;
				set_rssmem(v);
			}
			break;
		case 0x48:	// sharedmem id 9, type uint64_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -318;
				a += n;
				set_sharedmem(v);
			}
			break;
		case 0x60:	// minflts id 12, type uint64_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -319;
				a += n;
				set_minflts(v);
			}
			break;
		case 0x68:	// majflts id 13, type uint64_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -320;
				a += n;
				set_majflts(v);
			}
			break;
		case 0x80:	// putime id 16, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -321;
				a += n;
				set_putime(v);
			}
			break;
		case 0x88:	// pstime id 17, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -322;
				a += n;
				set_pstime(v);
			}
			break;
		case 0xa0:	// rchars id 20, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -323;
				a += n;
				set_rchars(v);
			}
			break;
		case 0xa8:	// wchars id 21, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -324;
				a += n;
				set_wchars(v);
			}
			break;
		default:
			{
				ssize_t s = skip_content(a,e-a,fid&7);
				if (s <= 0)
					return -325;
				a += s;
				break;
			}
		}
	}
	assert((a-(const uint8_t *)b) == s);
	if (a > e)
		return -326;
	return a-(const uint8_t *)b;
}

/*!
 * Function for serializing the object to memory.
 * @param b buffer to serialize the object to
 * @param s number of bytes available in the buffer
 * @return number of bytes successfully serialized
 */
ssize_t HostScope_User::toMemory(uint8_t *b, ssize_t s) const
{
	assert(s >= 0);
	uint8_t *a = b, *e = b + s;
	signed n;
	// 'uid': id=1, encoding=0, tag=0x8
	if (a >= e)
		return -327;
	*a++ = 0x8;
	n = write_varint(a,e-a,m_uid);
	if (n <= 0)
		return -328;
	a += n;
	// 'name': id=2, encoding=2, tag=0x12
	if (a >= e)
		return -329;
	*a++ = 0x12;
	ssize_t name_s = m_name.size();
	n = write_varint(a,e-a,name_s);
	a += n;
	if ((n <= 0) || ((e-a) < name_s))
		return -330;
	memcpy(a,m_name.data(),name_s);
	a += name_s;
	// 'nproc': id=3, encoding=0, tag=0x18
	if (a >= e)
		return -331;
	*a++ = 0x18;
	n = write_varint(a,e-a,m_nproc);
	if (n <= 0)
		return -332;
	a += n;
	// has nthreads?
	if (0 != (p_validbits & ((uint16_t)1U << 0))) {
		// 'nthreads': id=4, encoding=0, tag=0x20
		if (a >= e)
			return -333;
		*a++ = 0x20;
		n = write_varint(a,e-a,m_nthreads);
		if (n <= 0)
			return -334;
		a += n;
	}
	// has rssmem?
	if (0 != (p_validbits & ((uint16_t)1U << 1))) {
		// 'rssmem': id=8, encoding=0, tag=0x40
		if (a >= e)
			return -335;
		*a++ = 0x40;
		n = write_varint(a,e-a,m_rssmem);
		if (n <= 0)
			return -336;
		a += n;
	}
	// has sharedmem?
	if (0 != (p_validbits & ((uint16_t)1U << 2))) {
		// 'sharedmem': id=9, encoding=0, tag=0x48
		if (a >= e)
			return -337;
		*a++ = 0x48;
		n = write_varint(a,e-a,m_sharedmem);
		if (n <= 0)
			return -338;
		a += n;
	}
	// has minflts?
	if (0 != (p_validbits & ((uint16_t)1U << 3))) {
		// 'minflts': id=12, encoding=0, tag=0x60
		if (a >= e)
			return -339;
		*a++ = 0x60;
		n = write_varint(a,e-a,m_minflts);
		if (n <= 0)
			return -340;
		a += n;
	}
	// has majflts?
	if (0 != (p_validbits & ((uint16_t)1U << 4))) {
		// 'majflts': id=13, encoding=0, tag=0x68
		if (a >= e)
			return -341;
		*a++ = 0x68;
		n = write_varint(a,e-a,m_majflts);
		if (n <= 0)
			return -342;
		a += n;
	}
	// has putime?
	if (0 != (p_validbits & ((uint16_t)1U << 5))) {
		// 'putime': id=16, encoding=0, tag=0x80
		if (2 > (e-a))
			return -343;
		*a++ = 0x80;
		*a++ = 0x1;
		n = write_varint(a,e-a,m_putime);
		if (n <= 0)
			return -344;
		a += n;
	}
	// has pstime?
	if (0 != (p_validbits & ((uint16_t)1U << 6))) {
		// 'pstime': id=17, encoding=0, tag=0x88
		if (2 > (e-a))
			return -345;
		*a++ = 0x88;
		*a++ = 0x1;
		n = write_varint(a,e-a,m_pstime);
		if (n <= 0)
			return -346;
		a += n;
	}
	// has rchars?
	if (0 != (p_validbits & ((uint16_t)1U << 7))) {
		// 'rchars': id=20, encoding=0, tag=0xa0
		if (2 > (e-a))
			return -347;
		*a++ = 0xa0;
		*a++ = 0x1;
		n = write_varint(a,e-a,m_rchars);
		if (n <= 0)
			return -348;
		a += n;
	}
	// has wchars?
	if (0 != (p_validbits & ((uint16_t)1U << 8))) {
		// 'wchars': id=21, encoding=0, tag=0xa8
		if (2 > (e-a))
			return -349;
		*a++ = 0xa8;
		*a++ = 0x1;
		n = write_varint(a,e-a,m_wchars);
		if (n <= 0)
			return -350;
		a += n;
	}
	assert(a <= e);
	return a-b;
}

/*!
 * Function for writing a JSON representation of the object to a stream.
 * @param json stream object the data should be serialized to
 * @param indLvl the indention level that should be used
 */
void HostScope_User::toJSON(std::ostream &json, unsigned indLvl) const
{
	++indLvl;
	json_indent(json,indLvl,'{',"uid");
	json << m_uid;
	json_indent(json,indLvl,',',"name");
	json_cstr(json,m_name.c_str());
	json_indent(json,indLvl,',',"nproc");
	json << m_nproc;
	if (has_nthreads()) {
		json_indent(json,indLvl,',',"nthreads");
		json << m_nthreads;
	}
	if (has_rssmem()) {
		json_indent(json,indLvl,',',"rssmem");
		json << m_rssmem;
	}
	if (has_sharedmem()) {
		json_indent(json,indLvl,',',"sharedmem");
		json << m_sharedmem;
	}
	if (has_minflts()) {
		json_indent(json,indLvl,',',"minflts");
		json << m_minflts;
	}
	if (has_majflts()) {
		json_indent(json,indLvl,',',"majflts");
		json << m_majflts;
	}
	if (has_putime()) {
		json_indent(json,indLvl,',',"putime");
		json << m_putime;
	}
	if (has_pstime()) {
		json_indent(json,indLvl,',',"pstime");
		json << m_pstime;
	}
	if (has_rchars()) {
		json_indent(json,indLvl,',',"rchars");
		json << m_rchars;
	}
	if (has_wchars()) {
		json_indent(json,indLvl,',',"wchars");
		json << m_wchars;
	}
	json.put('\n');
	--indLvl;
	json_indent(json,indLvl,0);
	json.put('}');
	if (indLvl == 0)
		json.put('\n');
}

/*!
 * Function for calculating the number of bytes needed for serializing
 * the related object with its associated data.
 * Changing the data may change the size of the serialized object.
 */
size_t HostScope_User::calcSize() const
{
	// uint32 uid: tagsize 1
	// string name: tagsize 1
	// uint32 nproc: tagsize 1
	size_t r = 3;	// required size, default is fixed length
	// uint32 uid
	r += wiresize((varint_t)m_uid);
	// string name
	size_t name_s = m_name.size();
	r += name_s + wiresize(name_s);
	// uint32 nproc
	r += wiresize((varint_t)m_nproc);
	// uint32 nthreads
	if (0 != (p_validbits & ((uint16_t)1U << 0))) {
		r += wiresize((varint_t)m_nthreads) + 1 /* tag(nthreads) 0x20 */;
	}
	// uint64 rssmem
	if (0 != (p_validbits & ((uint16_t)1U << 1))) {
		r += wiresize((varint_t)m_rssmem) + 1 /* tag(rssmem) 0x40 */;
	}
	// uint64 sharedmem
	if (0 != (p_validbits & ((uint16_t)1U << 2))) {
		r += wiresize((varint_t)m_sharedmem) + 1 /* tag(sharedmem) 0x48 */;
	}
	// uint64 minflts
	if (0 != (p_validbits & ((uint16_t)1U << 3))) {
		r += wiresize((varint_t)m_minflts) + 1 /* tag(minflts) 0x60 */;
	}
	// uint64 majflts
	if (0 != (p_validbits & ((uint16_t)1U << 4))) {
		r += wiresize((varint_t)m_majflts) + 1 /* tag(majflts) 0x68 */;
	}
	// uint32 putime
	if (0 != (p_validbits & ((uint16_t)1U << 5))) {
		r += wiresize((varint_t)m_putime) + 2 /* tag(putime) 0x80 */;
	}
	// uint32 pstime
	if (0 != (p_validbits & ((uint16_t)1U << 6))) {
		r += wiresize((varint_t)m_pstime) + 2 /* tag(pstime) 0x88 */;
	}
	// uint32 rchars
	if (0 != (p_validbits & ((uint16_t)1U << 7))) {
		r += wiresize((varint_t)m_rchars) + 2 /* tag(rchars) 0xa0 */;
	}
	// uint32 wchars
	if (0 != (p_validbits & ((uint16_t)1U << 8))) {
		r += wiresize((varint_t)m_wchars) + 2 /* tag(wchars) 0xa8 */;
	}
	return r;
}

bool HostScope_User::operator != (const HostScope_User &r) const
{
	if (m_uid != r.m_uid)
		return true;
	if (m_name != r.m_name)
		return true;
	if (m_nproc != r.m_nproc)
		return true;
	if (has_nthreads() ^ r.has_nthreads())
		return true;
	if (has_nthreads() && (m_nthreads != r.m_nthreads))
		return true;
	if (has_rssmem() ^ r.has_rssmem())
		return true;
	if (has_rssmem() && (m_rssmem != r.m_rssmem))
		return true;
	if (has_sharedmem() ^ r.has_sharedmem())
		return true;
	if (has_sharedmem() && (m_sharedmem != r.m_sharedmem))
		return true;
	if (has_minflts() ^ r.has_minflts())
		return true;
	if (has_minflts() && (m_minflts != r.m_minflts))
		return true;
	if (has_majflts() ^ r.has_majflts())
		return true;
	if (has_majflts() && (m_majflts != r.m_majflts))
		return true;
	if (has_putime() ^ r.has_putime())
		return true;
	if (has_putime() && (m_putime != r.m_putime))
		return true;
	if (has_pstime() ^ r.has_pstime())
		return true;
	if (has_pstime() && (m_pstime != r.m_pstime))
		return true;
	if (has_rchars() ^ r.has_rchars())
		return true;
	if (has_rchars() && (m_rchars != r.m_rchars))
		return true;
	if (has_wchars() ^ r.has_wchars())
		return true;
	if (has_wchars() && (m_wchars != r.m_wchars))
		return true;
	return false;
}


bool HostScope_User::operator == (const HostScope_User &r) const
{
	return !((*this) != r);
}


/*
 * Function for setting an element in dot notation with an ASCII value.
 * It will call the specified parse_ascii function for parsing the value.
 *
 * @return number of bytes successfully parsed or negative value indicating
 *         an error.
 */
int HostScope_User::setByName(const char *name, const char *value)
{
	if (0 == strcmp(name,"uid")) {
		int r = parse_ascii_u32(&m_uid,value);
		if (r > 0)
			return r;
	}
	if (0 == strcmp(name,"name")) {
		m_name = value;
		int r = m_name.size();
		if (r > 0)
			return r;
	}
	if (0 == strcmp(name,"nproc")) {
		int r = parse_ascii_u32(&m_nproc,value);
		if (r > 0)
			return r;
	}
	if (0 == strcmp(name,"nthreads")) {
		if (value == 0) {
			clear_nthreads();
			return 0;
		}
		int r = parse_ascii_u32(&m_nthreads,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 0);
		return r;
	}
	if (0 == strcmp(name,"rssmem")) {
		if (value == 0) {
			clear_rssmem();
			return 0;
		}
		int r = parse_ascii_u64(&m_rssmem,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 1);
		return r;
	}
	if (0 == strcmp(name,"sharedmem")) {
		if (value == 0) {
			clear_sharedmem();
			return 0;
		}
		int r = parse_ascii_u64(&m_sharedmem,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 2);
		return r;
	}
	if (0 == strcmp(name,"minflts")) {
		if (value == 0) {
			clear_minflts();
			return 0;
		}
		int r = parse_ascii_u64(&m_minflts,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 3);
		return r;
	}
	if (0 == strcmp(name,"majflts")) {
		if (value == 0) {
			clear_majflts();
			return 0;
		}
		int r = parse_ascii_u64(&m_majflts,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 4);
		return r;
	}
	if (0 == strcmp(name,"putime")) {
		if (value == 0) {
			clear_putime();
			return 0;
		}
		int r = parse_ascii_u32(&m_putime,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 5);
		return r;
	}
	if (0 == strcmp(name,"pstime")) {
		if (value == 0) {
			clear_pstime();
			return 0;
		}
		int r = parse_ascii_u32(&m_pstime,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 6);
		return r;
	}
	if (0 == strcmp(name,"rchars")) {
		if (value == 0) {
			clear_rchars();
			return 0;
		}
		int r = parse_ascii_u32(&m_rchars,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 7);
		return r;
	}
	if (0 == strcmp(name,"wchars")) {
		if (value == 0) {
			clear_wchars();
			return 0;
		}
		int r = parse_ascii_u32(&m_wchars,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 8);
		return r;
	}
	return -351;
}

HostScope_Disk::HostScope_Disk()
: m_devname()
, m_ktotal(0)
, m_nops(0)
, m_nread(0)
, m_nwrite(0)
, m_kread(0)
, m_kwrite(0)
, m_perc_busy(0)
, m_opsqueued(0)
, p_validbits(0)
{
}

/*!
 * Function for resetting all members of this object to their default values.
 */
void HostScope_Disk::clear()
{
	m_devname.clear();
	m_ktotal = 0;
	m_nops = 0;
	m_nread = 0;
	m_nwrite = 0;
	m_kread = 0;
	m_kwrite = 0;
	m_perc_busy = 0;
	m_opsqueued = 0;
	p_validbits = 0;
}

void HostScope_Disk::toASCII(std::ostream &o, size_t indent) const
{
	o << "HostScope_Disk {";
	++indent;
	ascii_indent(o,indent,"devname");
	ascii_string(o,m_devname.data(),m_devname.size(),indent+2);
	o << ';';
	ascii_indent(o,indent,"ktotal");
	o << m_ktotal << ';';
	ascii_indent(o,indent,"nops");
	o << m_nops << ';';
	ascii_indent(o,indent,"nread");
	o << m_nread << ';';
	ascii_indent(o,indent,"nwrite");
	o << m_nwrite << ';';
	ascii_indent(o,indent,"kread");
	o << m_kread << ';';
	ascii_indent(o,indent,"kwrite");
	o << m_kwrite << ';';
	ascii_indent(o,indent,"perc_busy");
	o << m_perc_busy << ';';
	ascii_indent(o,indent,"opsqueued");
	o << m_opsqueued << ';';
	--indent;
	ascii_indent(o,indent);
	o << '}';
}

/*!
 * Function for parsing an object from serialized data.
 * @param b buffer containg the data to be parsed
 * @param s number of bytes in buffer
 * @return number of bytes successfully parsed (can be < s)
 *         or a negative value indicating the error encountered
 */
ssize_t HostScope_Disk::fromMemory(const void *b, ssize_t s)
{
	const uint8_t *a = (const uint8_t *)b;
	const uint8_t *e = a + s;
	while (a < e) {
		varint_t fid;
		int fn = read_varint(a,e-a,&fid);
		a += fn;
		if (fn <= 0)
			return -352;
		switch (fid) {
		case 0xa:	// devname id 1, type std::string, coding byte[]
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				a += n;
				if ((n <= 0) || ((a+v) > e))
					return -353;
				m_devname.assign((const char*)a,v);
				a += v;
			}
			break;
		case 0x10:	// ktotal id 2, type uint64_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -354;
				a += n;
				set_ktotal(v);
			}
			break;
		case 0x20:	// nops id 4, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -355;
				a += n;
				set_nops(v);
			}
			break;
		case 0x28:	// nread id 5, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -356;
				a += n;
				set_nread(v);
			}
			break;
		case 0x30:	// nwrite id 6, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -357;
				a += n;
				set_nwrite(v);
			}
			break;
		case 0x40:	// kread id 8, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -358;
				a += n;
				set_kread(v);
			}
			break;
		case 0x48:	// kwrite id 9, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -359;
				a += n;
				set_kwrite(v);
			}
			break;
		case 0x50:	// perc_busy id 10, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -360;
				a += n;
				set_perc_busy(v);
			}
			break;
		case 0x60:	// opsqueued id 12, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -361;
				a += n;
				set_opsqueued(v);
			}
			break;
		default:
			{
				ssize_t s = skip_content(a,e-a,fid&7);
				if (s <= 0)
					return -362;
				a += s;
				break;
			}
		}
	}
	assert((a-(const uint8_t *)b) == s);
	if (a > e)
		return -363;
	return a-(const uint8_t *)b;
}

/*!
 * Function for serializing the object to memory.
 * @param b buffer to serialize the object to
 * @param s number of bytes available in the buffer
 * @return number of bytes successfully serialized
 */
ssize_t HostScope_Disk::toMemory(uint8_t *b, ssize_t s) const
{
	assert(s >= 0);
	uint8_t *a = b, *e = b + s;
	signed n;
	// 'devname': id=1, encoding=2, tag=0xa
	if (a >= e)
		return -364;
	*a++ = 0xa;
	ssize_t devname_s = m_devname.size();
	n = write_varint(a,e-a,devname_s);
	a += n;
	if ((n <= 0) || ((e-a) < devname_s))
		return -365;
	memcpy(a,m_devname.data(),devname_s);
	a += devname_s;
	// has ktotal?
	if (0 != (p_validbits & ((uint8_t)1U << 0))) {
		// 'ktotal': id=2, encoding=0, tag=0x10
		if (a >= e)
			return -366;
		*a++ = 0x10;
		n = write_varint(a,e-a,m_ktotal);
		if (n <= 0)
			return -367;
		a += n;
	}
	// has nops?
	if (0 != (p_validbits & ((uint8_t)1U << 1))) {
		// 'nops': id=4, encoding=0, tag=0x20
		if (a >= e)
			return -368;
		*a++ = 0x20;
		n = write_varint(a,e-a,m_nops);
		if (n <= 0)
			return -369;
		a += n;
	}
	// has nread?
	if (0 != (p_validbits & ((uint8_t)1U << 2))) {
		// 'nread': id=5, encoding=0, tag=0x28
		if (a >= e)
			return -370;
		*a++ = 0x28;
		n = write_varint(a,e-a,m_nread);
		if (n <= 0)
			return -371;
		a += n;
	}
	// has nwrite?
	if (0 != (p_validbits & ((uint8_t)1U << 3))) {
		// 'nwrite': id=6, encoding=0, tag=0x30
		if (a >= e)
			return -372;
		*a++ = 0x30;
		n = write_varint(a,e-a,m_nwrite);
		if (n <= 0)
			return -373;
		a += n;
	}
	// has kread?
	if (0 != (p_validbits & ((uint8_t)1U << 4))) {
		// 'kread': id=8, encoding=0, tag=0x40
		if (a >= e)
			return -374;
		*a++ = 0x40;
		n = write_varint(a,e-a,m_kread);
		if (n <= 0)
			return -375;
		a += n;
	}
	// has kwrite?
	if (0 != (p_validbits & ((uint8_t)1U << 5))) {
		// 'kwrite': id=9, encoding=0, tag=0x48
		if (a >= e)
			return -376;
		*a++ = 0x48;
		n = write_varint(a,e-a,m_kwrite);
		if (n <= 0)
			return -377;
		a += n;
	}
	// has perc_busy?
	if (0 != (p_validbits & ((uint8_t)1U << 6))) {
		// 'perc_busy': id=10, encoding=0, tag=0x50
		if (a >= e)
			return -378;
		*a++ = 0x50;
		n = write_varint(a,e-a,m_perc_busy);
		if (n <= 0)
			return -379;
		a += n;
	}
	// has opsqueued?
	if (0 != (p_validbits & ((uint8_t)1U << 7))) {
		// 'opsqueued': id=12, encoding=0, tag=0x60
		if (a >= e)
			return -380;
		*a++ = 0x60;
		n = write_varint(a,e-a,m_opsqueued);
		if (n <= 0)
			return -381;
		a += n;
	}
	assert(a <= e);
	return a-b;
}

/*!
 * Function for writing a JSON representation of the object to a stream.
 * @param json stream object the data should be serialized to
 * @param indLvl the indention level that should be used
 */
void HostScope_Disk::toJSON(std::ostream &json, unsigned indLvl) const
{
	++indLvl;
	json_indent(json,indLvl,'{',"devname");
	json_cstr(json,m_devname.c_str());
	if (has_ktotal()) {
		json_indent(json,indLvl,',',"ktotal");
		json << m_ktotal;
	}
	if (has_nops()) {
		json_indent(json,indLvl,',',"nops");
		json << m_nops;
	}
	if (has_nread()) {
		json_indent(json,indLvl,',',"nread");
		json << m_nread;
	}
	if (has_nwrite()) {
		json_indent(json,indLvl,',',"nwrite");
		json << m_nwrite;
	}
	if (has_kread()) {
		json_indent(json,indLvl,',',"kread");
		json << m_kread;
	}
	if (has_kwrite()) {
		json_indent(json,indLvl,',',"kwrite");
		json << m_kwrite;
	}
	if (has_perc_busy()) {
		json_indent(json,indLvl,',',"perc_busy");
		json << m_perc_busy;
	}
	if (has_opsqueued()) {
		json_indent(json,indLvl,',',"opsqueued");
		json << m_opsqueued;
	}
	json.put('\n');
	--indLvl;
	json_indent(json,indLvl,0);
	json.put('}');
	if (indLvl == 0)
		json.put('\n');
}

/*!
 * Function for calculating the number of bytes needed for serializing
 * the related object with its associated data.
 * Changing the data may change the size of the serialized object.
 */
size_t HostScope_Disk::calcSize() const
{
	// string devname: tagsize 1
	size_t r = 1;	// required size, default is fixed length
	// string devname
	size_t devname_s = m_devname.size();
	r += devname_s + wiresize(devname_s);
	// uint64 ktotal
	if (0 != (p_validbits & ((uint8_t)1U << 0))) {
		r += wiresize((varint_t)m_ktotal) + 1 /* tag(ktotal) 0x10 */;
	}
	// uint32 nops
	if (0 != (p_validbits & ((uint8_t)1U << 1))) {
		r += wiresize((varint_t)m_nops) + 1 /* tag(nops) 0x20 */;
	}
	// uint32 nread
	if (0 != (p_validbits & ((uint8_t)1U << 2))) {
		r += wiresize((varint_t)m_nread) + 1 /* tag(nread) 0x28 */;
	}
	// uint32 nwrite
	if (0 != (p_validbits & ((uint8_t)1U << 3))) {
		r += wiresize((varint_t)m_nwrite) + 1 /* tag(nwrite) 0x30 */;
	}
	// uint32 kread
	if (0 != (p_validbits & ((uint8_t)1U << 4))) {
		r += wiresize((varint_t)m_kread) + 1 /* tag(kread) 0x40 */;
	}
	// uint32 kwrite
	if (0 != (p_validbits & ((uint8_t)1U << 5))) {
		r += wiresize((varint_t)m_kwrite) + 1 /* tag(kwrite) 0x48 */;
	}
	// uint32 perc_busy
	if (0 != (p_validbits & ((uint8_t)1U << 6))) {
		r += wiresize((varint_t)m_perc_busy) + 1 /* tag(perc_busy) 0x50 */;
	}
	// uint32 opsqueued
	if (0 != (p_validbits & ((uint8_t)1U << 7))) {
		r += wiresize((varint_t)m_opsqueued) + 1 /* tag(opsqueued) 0x60 */;
	}
	return r;
}

bool HostScope_Disk::operator != (const HostScope_Disk &r) const
{
	if (m_devname != r.m_devname)
		return true;
	if (has_ktotal() ^ r.has_ktotal())
		return true;
	if (has_ktotal() && (m_ktotal != r.m_ktotal))
		return true;
	if (has_nops() ^ r.has_nops())
		return true;
	if (has_nops() && (m_nops != r.m_nops))
		return true;
	if (has_nread() ^ r.has_nread())
		return true;
	if (has_nread() && (m_nread != r.m_nread))
		return true;
	if (has_nwrite() ^ r.has_nwrite())
		return true;
	if (has_nwrite() && (m_nwrite != r.m_nwrite))
		return true;
	if (has_kread() ^ r.has_kread())
		return true;
	if (has_kread() && (m_kread != r.m_kread))
		return true;
	if (has_kwrite() ^ r.has_kwrite())
		return true;
	if (has_kwrite() && (m_kwrite != r.m_kwrite))
		return true;
	if (has_perc_busy() ^ r.has_perc_busy())
		return true;
	if (has_perc_busy() && (m_perc_busy != r.m_perc_busy))
		return true;
	if (has_opsqueued() ^ r.has_opsqueued())
		return true;
	if (has_opsqueued() && (m_opsqueued != r.m_opsqueued))
		return true;
	return false;
}


bool HostScope_Disk::operator == (const HostScope_Disk &r) const
{
	return !((*this) != r);
}


/*
 * Function for setting an element in dot notation with an ASCII value.
 * It will call the specified parse_ascii function for parsing the value.
 *
 * @return number of bytes successfully parsed or negative value indicating
 *         an error.
 */
int HostScope_Disk::setByName(const char *name, const char *value)
{
	if (0 == strcmp(name,"devname")) {
		m_devname = value;
		int r = m_devname.size();
		if (r > 0)
			return r;
	}
	if (0 == strcmp(name,"ktotal")) {
		if (value == 0) {
			clear_ktotal();
			return 0;
		}
		int r = parse_ascii_u64(&m_ktotal,value);
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 0);
		return r;
	}
	if (0 == strcmp(name,"nops")) {
		if (value == 0) {
			clear_nops();
			return 0;
		}
		int r = parse_ascii_u32(&m_nops,value);
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 1);
		return r;
	}
	if (0 == strcmp(name,"nread")) {
		if (value == 0) {
			clear_nread();
			return 0;
		}
		int r = parse_ascii_u32(&m_nread,value);
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 2);
		return r;
	}
	if (0 == strcmp(name,"nwrite")) {
		if (value == 0) {
			clear_nwrite();
			return 0;
		}
		int r = parse_ascii_u32(&m_nwrite,value);
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 3);
		return r;
	}
	if (0 == strcmp(name,"kread")) {
		if (value == 0) {
			clear_kread();
			return 0;
		}
		int r = parse_ascii_u32(&m_kread,value);
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 4);
		return r;
	}
	if (0 == strcmp(name,"kwrite")) {
		if (value == 0) {
			clear_kwrite();
			return 0;
		}
		int r = parse_ascii_u32(&m_kwrite,value);
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 5);
		return r;
	}
	if (0 == strcmp(name,"perc_busy")) {
		if (value == 0) {
			clear_perc_busy();
			return 0;
		}
		int r = parse_ascii_u32(&m_perc_busy,value);
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 6);
		return r;
	}
	if (0 == strcmp(name,"opsqueued")) {
		if (value == 0) {
			clear_opsqueued();
			return 0;
		}
		int r = parse_ascii_u32(&m_opsqueued,value);
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 7);
		return r;
	}
	return -382;
}

HostScope_NetDevice::HostScope_NetDevice()
: m_devname()
, m_nreceived(0)
, m_kreceived(0)
, m_ereceived(0)
, m_dreceived(0)
, m_ntransmit(0)
, m_ktransmit(0)
, m_etransmit(0)
, m_dtransmit(0)
, p_validbits(0)
{
}

/*!
 * Function for resetting all members of this object to their default values.
 */
void HostScope_NetDevice::clear()
{
	m_devname.clear();
	m_nreceived = 0;
	m_kreceived = 0;
	m_ereceived = 0;
	m_dreceived = 0;
	m_ntransmit = 0;
	m_ktransmit = 0;
	m_etransmit = 0;
	m_dtransmit = 0;
	p_validbits = 0;
}

void HostScope_NetDevice::toASCII(std::ostream &o, size_t indent) const
{
	o << "HostScope_NetDevice {";
	++indent;
	ascii_indent(o,indent,"devname");
	ascii_string(o,m_devname.data(),m_devname.size(),indent+2);
	o << ';';
	ascii_indent(o,indent,"nreceived");
	o << m_nreceived << ';';
	ascii_indent(o,indent,"kreceived");
	o << m_kreceived << ';';
	ascii_indent(o,indent,"ereceived");
	o << m_ereceived << ';';
	ascii_indent(o,indent,"dreceived");
	o << m_dreceived << ';';
	ascii_indent(o,indent,"ntransmit");
	o << m_ntransmit << ';';
	ascii_indent(o,indent,"ktransmit");
	o << m_ktransmit << ';';
	ascii_indent(o,indent,"etransmit");
	o << m_etransmit << ';';
	ascii_indent(o,indent,"dtransmit");
	o << m_dtransmit << ';';
	--indent;
	ascii_indent(o,indent);
	o << '}';
}

/*!
 * Function for parsing an object from serialized data.
 * @param b buffer containg the data to be parsed
 * @param s number of bytes in buffer
 * @return number of bytes successfully parsed (can be < s)
 *         or a negative value indicating the error encountered
 */
ssize_t HostScope_NetDevice::fromMemory(const void *b, ssize_t s)
{
	const uint8_t *a = (const uint8_t *)b;
	const uint8_t *e = a + s;
	while (a < e) {
		varint_t fid;
		int fn = read_varint(a,e-a,&fid);
		a += fn;
		if (fn <= 0)
			return -383;
		switch (fid) {
		case 0xa:	// devname id 1, type std::string, coding byte[]
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				a += n;
				if ((n <= 0) || ((a+v) > e))
					return -384;
				m_devname.assign((const char*)a,v);
				a += v;
			}
			break;
		case 0x10:	// nreceived id 2, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -385;
				a += n;
				set_nreceived(v);
			}
			break;
		case 0x18:	// kreceived id 3, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -386;
				a += n;
				set_kreceived(v);
			}
			break;
		case 0x20:	// ereceived id 4, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -387;
				a += n;
				set_ereceived(v);
			}
			break;
		case 0x28:	// dreceived id 5, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -388;
				a += n;
				set_dreceived(v);
			}
			break;
		case 0x30:	// ntransmit id 6, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -389;
				a += n;
				set_ntransmit(v);
			}
			break;
		case 0x38:	// ktransmit id 7, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -390;
				a += n;
				set_ktransmit(v);
			}
			break;
		case 0x40:	// etransmit id 8, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -391;
				a += n;
				set_etransmit(v);
			}
			break;
		case 0x48:	// dtransmit id 9, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -392;
				a += n;
				set_dtransmit(v);
			}
			break;
		default:
			{
				ssize_t s = skip_content(a,e-a,fid&7);
				if (s <= 0)
					return -393;
				a += s;
				break;
			}
		}
	}
	assert((a-(const uint8_t *)b) == s);
	if (a > e)
		return -394;
	return a-(const uint8_t *)b;
}

/*!
 * Function for serializing the object to memory.
 * @param b buffer to serialize the object to
 * @param s number of bytes available in the buffer
 * @return number of bytes successfully serialized
 */
ssize_t HostScope_NetDevice::toMemory(uint8_t *b, ssize_t s) const
{
	assert(s >= 0);
	uint8_t *a = b, *e = b + s;
	signed n;
	// 'devname': id=1, encoding=2, tag=0xa
	if (a >= e)
		return -395;
	*a++ = 0xa;
	ssize_t devname_s = m_devname.size();
	n = write_varint(a,e-a,devname_s);
	a += n;
	if ((n <= 0) || ((e-a) < devname_s))
		return -396;
	memcpy(a,m_devname.data(),devname_s);
	a += devname_s;
	// has nreceived?
	if (0 != (p_validbits & ((uint8_t)1U << 0))) {
		// 'nreceived': id=2, encoding=0, tag=0x10
		if (a >= e)
			return -397;
		*a++ = 0x10;
		n = write_varint(a,e-a,m_nreceived);
		if (n <= 0)
			return -398;
		a += n;
	}
	// has kreceived?
	if (0 != (p_validbits & ((uint8_t)1U << 1))) {
		// 'kreceived': id=3, encoding=0, tag=0x18
		if (a >= e)
			return -399;
		*a++ = 0x18;
		n = write_varint(a,e-a,m_kreceived);
		if (n <= 0)
			return -400;
		a += n;
	}
	// has ereceived?
	if (0 != (p_validbits & ((uint8_t)1U << 2))) {
		// 'ereceived': id=4, encoding=0, tag=0x20
		if (a >= e)
			return -401;
		*a++ = 0x20;
		n = write_varint(a,e-a,m_ereceived);
		if (n <= 0)
			return -402;
		a += n;
	}
	// has dreceived?
	if (0 != (p_validbits & ((uint8_t)1U << 3))) {
		// 'dreceived': id=5, encoding=0, tag=0x28
		if (a >= e)
			return -403;
		*a++ = 0x28;
		n = write_varint(a,e-a,m_dreceived);
		if (n <= 0)
			return -404;
		a += n;
	}
	// has ntransmit?
	if (0 != (p_validbits & ((uint8_t)1U << 4))) {
		// 'ntransmit': id=6, encoding=0, tag=0x30
		if (a >= e)
			return -405;
		*a++ = 0x30;
		n = write_varint(a,e-a,m_ntransmit);
		if (n <= 0)
			return -406;
		a += n;
	}
	// has ktransmit?
	if (0 != (p_validbits & ((uint8_t)1U << 5))) {
		// 'ktransmit': id=7, encoding=0, tag=0x38
		if (a >= e)
			return -407;
		*a++ = 0x38;
		n = write_varint(a,e-a,m_ktransmit);
		if (n <= 0)
			return -408;
		a += n;
	}
	// has etransmit?
	if (0 != (p_validbits & ((uint8_t)1U << 6))) {
		// 'etransmit': id=8, encoding=0, tag=0x40
		if (a >= e)
			return -409;
		*a++ = 0x40;
		n = write_varint(a,e-a,m_etransmit);
		if (n <= 0)
			return -410;
		a += n;
	}
	// has dtransmit?
	if (0 != (p_validbits & ((uint8_t)1U << 7))) {
		// 'dtransmit': id=9, encoding=0, tag=0x48
		if (a >= e)
			return -411;
		*a++ = 0x48;
		n = write_varint(a,e-a,m_dtransmit);
		if (n <= 0)
			return -412;
		a += n;
	}
	assert(a <= e);
	return a-b;
}

/*!
 * Function for writing a JSON representation of the object to a stream.
 * @param json stream object the data should be serialized to
 * @param indLvl the indention level that should be used
 */
void HostScope_NetDevice::toJSON(std::ostream &json, unsigned indLvl) const
{
	++indLvl;
	json_indent(json,indLvl,'{',"devname");
	json_cstr(json,m_devname.c_str());
	if (has_nreceived()) {
		json_indent(json,indLvl,',',"nreceived");
		json << m_nreceived;
	}
	if (has_kreceived()) {
		json_indent(json,indLvl,',',"kreceived");
		json << m_kreceived;
	}
	if (has_ereceived()) {
		json_indent(json,indLvl,',',"ereceived");
		json << m_ereceived;
	}
	if (has_dreceived()) {
		json_indent(json,indLvl,',',"dreceived");
		json << m_dreceived;
	}
	if (has_ntransmit()) {
		json_indent(json,indLvl,',',"ntransmit");
		json << m_ntransmit;
	}
	if (has_ktransmit()) {
		json_indent(json,indLvl,',',"ktransmit");
		json << m_ktransmit;
	}
	if (has_etransmit()) {
		json_indent(json,indLvl,',',"etransmit");
		json << m_etransmit;
	}
	if (has_dtransmit()) {
		json_indent(json,indLvl,',',"dtransmit");
		json << m_dtransmit;
	}
	json.put('\n');
	--indLvl;
	json_indent(json,indLvl,0);
	json.put('}');
	if (indLvl == 0)
		json.put('\n');
}

/*!
 * Function for calculating the number of bytes needed for serializing
 * the related object with its associated data.
 * Changing the data may change the size of the serialized object.
 */
size_t HostScope_NetDevice::calcSize() const
{
	// string devname: tagsize 1
	size_t r = 1;	// required size, default is fixed length
	// string devname
	size_t devname_s = m_devname.size();
	r += devname_s + wiresize(devname_s);
	// uint32 nreceived
	if (0 != (p_validbits & ((uint8_t)1U << 0))) {
		r += wiresize((varint_t)m_nreceived) + 1 /* tag(nreceived) 0x10 */;
	}
	// uint32 kreceived
	if (0 != (p_validbits & ((uint8_t)1U << 1))) {
		r += wiresize((varint_t)m_kreceived) + 1 /* tag(kreceived) 0x18 */;
	}
	// uint32 ereceived
	if (0 != (p_validbits & ((uint8_t)1U << 2))) {
		r += wiresize((varint_t)m_ereceived) + 1 /* tag(ereceived) 0x20 */;
	}
	// uint32 dreceived
	if (0 != (p_validbits & ((uint8_t)1U << 3))) {
		r += wiresize((varint_t)m_dreceived) + 1 /* tag(dreceived) 0x28 */;
	}
	// uint32 ntransmit
	if (0 != (p_validbits & ((uint8_t)1U << 4))) {
		r += wiresize((varint_t)m_ntransmit) + 1 /* tag(ntransmit) 0x30 */;
	}
	// uint32 ktransmit
	if (0 != (p_validbits & ((uint8_t)1U << 5))) {
		r += wiresize((varint_t)m_ktransmit) + 1 /* tag(ktransmit) 0x38 */;
	}
	// uint32 etransmit
	if (0 != (p_validbits & ((uint8_t)1U << 6))) {
		r += wiresize((varint_t)m_etransmit) + 1 /* tag(etransmit) 0x40 */;
	}
	// uint32 dtransmit
	if (0 != (p_validbits & ((uint8_t)1U << 7))) {
		r += wiresize((varint_t)m_dtransmit) + 1 /* tag(dtransmit) 0x48 */;
	}
	return r;
}

bool HostScope_NetDevice::operator != (const HostScope_NetDevice &r) const
{
	if (m_devname != r.m_devname)
		return true;
	if (has_nreceived() ^ r.has_nreceived())
		return true;
	if (has_nreceived() && (m_nreceived != r.m_nreceived))
		return true;
	if (has_kreceived() ^ r.has_kreceived())
		return true;
	if (has_kreceived() && (m_kreceived != r.m_kreceived))
		return true;
	if (has_ereceived() ^ r.has_ereceived())
		return true;
	if (has_ereceived() && (m_ereceived != r.m_ereceived))
		return true;
	if (has_dreceived() ^ r.has_dreceived())
		return true;
	if (has_dreceived() && (m_dreceived != r.m_dreceived))
		return true;
	if (has_ntransmit() ^ r.has_ntransmit())
		return true;
	if (has_ntransmit() && (m_ntransmit != r.m_ntransmit))
		return true;
	if (has_ktransmit() ^ r.has_ktransmit())
		return true;
	if (has_ktransmit() && (m_ktransmit != r.m_ktransmit))
		return true;
	if (has_etransmit() ^ r.has_etransmit())
		return true;
	if (has_etransmit() && (m_etransmit != r.m_etransmit))
		return true;
	if (has_dtransmit() ^ r.has_dtransmit())
		return true;
	if (has_dtransmit() && (m_dtransmit != r.m_dtransmit))
		return true;
	return false;
}


bool HostScope_NetDevice::operator == (const HostScope_NetDevice &r) const
{
	return !((*this) != r);
}


/*
 * Function for setting an element in dot notation with an ASCII value.
 * It will call the specified parse_ascii function for parsing the value.
 *
 * @return number of bytes successfully parsed or negative value indicating
 *         an error.
 */
int HostScope_NetDevice::setByName(const char *name, const char *value)
{
	if (0 == strcmp(name,"devname")) {
		m_devname = value;
		int r = m_devname.size();
		if (r > 0)
			return r;
	}
	if (0 == strcmp(name,"nreceived")) {
		if (value == 0) {
			clear_nreceived();
			return 0;
		}
		int r = parse_ascii_u32(&m_nreceived,value);
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 0);
		return r;
	}
	if (0 == strcmp(name,"kreceived")) {
		if (value == 0) {
			clear_kreceived();
			return 0;
		}
		int r = parse_ascii_u32(&m_kreceived,value);
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 1);
		return r;
	}
	if (0 == strcmp(name,"ereceived")) {
		if (value == 0) {
			clear_ereceived();
			return 0;
		}
		int r = parse_ascii_u32(&m_ereceived,value);
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 2);
		return r;
	}
	if (0 == strcmp(name,"dreceived")) {
		if (value == 0) {
			clear_dreceived();
			return 0;
		}
		int r = parse_ascii_u32(&m_dreceived,value);
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 3);
		return r;
	}
	if (0 == strcmp(name,"ntransmit")) {
		if (value == 0) {
			clear_ntransmit();
			return 0;
		}
		int r = parse_ascii_u32(&m_ntransmit,value);
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 4);
		return r;
	}
	if (0 == strcmp(name,"ktransmit")) {
		if (value == 0) {
			clear_ktransmit();
			return 0;
		}
		int r = parse_ascii_u32(&m_ktransmit,value);
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 5);
		return r;
	}
	if (0 == strcmp(name,"etransmit")) {
		if (value == 0) {
			clear_etransmit();
			return 0;
		}
		int r = parse_ascii_u32(&m_etransmit,value);
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 6);
		return r;
	}
	if (0 == strcmp(name,"dtransmit")) {
		if (value == 0) {
			clear_dtransmit();
			return 0;
		}
		int r = parse_ascii_u32(&m_dtransmit,value);
		if (r > 0)
			p_validbits |= ((uint8_t)1U << 7);
		return r;
	}
	return -413;
}

HostScope_ARC::HostScope_ARC()
: m_size(0)
, m_l2size(0)
, m_l2_hit(0)
, m_l2_miss(0)
, m_data_hit(0)
, m_data_miss(0)
, m_metadata_hit(0)
, m_metadata_miss(0)
, m_prefetch_hit(0)
, m_prefetch_miss(0)
, m_l2_read(0)
, m_l2_write(0)
, p_validbits(0)
{
}

/*!
 * Function for resetting all members of this object to their default values.
 */
void HostScope_ARC::clear()
{
	m_size = 0;
	m_l2size = 0;
	m_l2_hit = 0;
	m_l2_miss = 0;
	m_data_hit = 0;
	m_data_miss = 0;
	m_metadata_hit = 0;
	m_metadata_miss = 0;
	m_prefetch_hit = 0;
	m_prefetch_miss = 0;
	m_l2_read = 0;
	m_l2_write = 0;
	p_validbits = 0;
}

void HostScope_ARC::toASCII(std::ostream &o, size_t indent) const
{
	o << "HostScope_ARC {";
	++indent;
	ascii_indent(o,indent,"size");
	o << m_size << ';';
	ascii_indent(o,indent,"l2size");
	o << m_l2size << ';';
	ascii_indent(o,indent,"l2_hit");
	o << m_l2_hit << ';';
	ascii_indent(o,indent,"l2_miss");
	o << m_l2_miss << ';';
	ascii_indent(o,indent,"data_hit");
	o << m_data_hit << ';';
	ascii_indent(o,indent,"data_miss");
	o << m_data_miss << ';';
	ascii_indent(o,indent,"metadata_hit");
	o << m_metadata_hit << ';';
	ascii_indent(o,indent,"metadata_miss");
	o << m_metadata_miss << ';';
	ascii_indent(o,indent,"prefetch_hit");
	o << m_prefetch_hit << ';';
	ascii_indent(o,indent,"prefetch_miss");
	o << m_prefetch_miss << ';';
	ascii_indent(o,indent,"l2_read");
	o << m_l2_read << ';';
	ascii_indent(o,indent,"l2_write");
	o << m_l2_write << ';';
	--indent;
	ascii_indent(o,indent);
	o << '}';
}

/*!
 * Function for parsing an object from serialized data.
 * @param b buffer containg the data to be parsed
 * @param s number of bytes in buffer
 * @return number of bytes successfully parsed (can be < s)
 *         or a negative value indicating the error encountered
 */
ssize_t HostScope_ARC::fromMemory(const void *b, ssize_t s)
{
	const uint8_t *a = (const uint8_t *)b;
	const uint8_t *e = a + s;
	while (a < e) {
		varint_t fid;
		int fn = read_varint(a,e-a,&fid);
		a += fn;
		if (fn <= 0)
			return -414;
		switch (fid) {
		case 0x8:	// size id 1, type uint64_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -415;
				a += n;
				set_size(v);
			}
			break;
		case 0x10:	// l2size id 2, type uint64_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -416;
				a += n;
				set_l2size(v);
			}
			break;
		case 0x18:	// l2_hit id 3, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -417;
				a += n;
				set_l2_hit(v);
			}
			break;
		case 0x20:	// l2_miss id 4, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -418;
				a += n;
				set_l2_miss(v);
			}
			break;
		case 0x28:	// data_hit id 5, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -419;
				a += n;
				set_data_hit(v);
			}
			break;
		case 0x30:	// data_miss id 6, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -420;
				a += n;
				set_data_miss(v);
			}
			break;
		case 0x38:	// metadata_hit id 7, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -421;
				a += n;
				set_metadata_hit(v);
			}
			break;
		case 0x40:	// metadata_miss id 8, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -422;
				a += n;
				set_metadata_miss(v);
			}
			break;
		case 0x48:	// prefetch_hit id 9, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -423;
				a += n;
				set_prefetch_hit(v);
			}
			break;
		case 0x50:	// prefetch_miss id 10, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -424;
				a += n;
				set_prefetch_miss(v);
			}
			break;
		case 0x58:	// l2_read id 11, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -425;
				a += n;
				set_l2_read(v);
			}
			break;
		case 0x60:	// l2_write id 12, type uint32_t, coding varint
			{
				varint_t v;
				int n = read_varint(a,e-a,&v);
				if (n <= 0)
					return -426;
				a += n;
				set_l2_write(v);
			}
			break;
		default:
			{
				ssize_t s = skip_content(a,e-a,fid&7);
				if (s <= 0)
					return -427;
				a += s;
				break;
			}
		}
	}
	assert((a-(const uint8_t *)b) == s);
	if (a > e)
		return -428;
	return a-(const uint8_t *)b;
}

/*!
 * Function for serializing the object to memory.
 * @param b buffer to serialize the object to
 * @param s number of bytes available in the buffer
 * @return number of bytes successfully serialized
 */
ssize_t HostScope_ARC::toMemory(uint8_t *b, ssize_t s) const
{
	assert(s >= 0);
	uint8_t *a = b, *e = b + s;
	signed n;
	// has size?
	if (0 != (p_validbits & ((uint16_t)1U << 0))) {
		// 'size': id=1, encoding=0, tag=0x8
		if (a >= e)
			return -429;
		*a++ = 0x8;
		n = write_varint(a,e-a,m_size);
		if (n <= 0)
			return -430;
		a += n;
	}
	// has l2size?
	if (0 != (p_validbits & ((uint16_t)1U << 1))) {
		// 'l2size': id=2, encoding=0, tag=0x10
		if (a >= e)
			return -431;
		*a++ = 0x10;
		n = write_varint(a,e-a,m_l2size);
		if (n <= 0)
			return -432;
		a += n;
	}
	// has l2_hit?
	if (0 != (p_validbits & ((uint16_t)1U << 2))) {
		// 'l2_hit': id=3, encoding=0, tag=0x18
		if (a >= e)
			return -433;
		*a++ = 0x18;
		n = write_varint(a,e-a,m_l2_hit);
		if (n <= 0)
			return -434;
		a += n;
	}
	// has l2_miss?
	if (0 != (p_validbits & ((uint16_t)1U << 3))) {
		// 'l2_miss': id=4, encoding=0, tag=0x20
		if (a >= e)
			return -435;
		*a++ = 0x20;
		n = write_varint(a,e-a,m_l2_miss);
		if (n <= 0)
			return -436;
		a += n;
	}
	// has data_hit?
	if (0 != (p_validbits & ((uint16_t)1U << 4))) {
		// 'data_hit': id=5, encoding=0, tag=0x28
		if (a >= e)
			return -437;
		*a++ = 0x28;
		n = write_varint(a,e-a,m_data_hit);
		if (n <= 0)
			return -438;
		a += n;
	}
	// has data_miss?
	if (0 != (p_validbits & ((uint16_t)1U << 5))) {
		// 'data_miss': id=6, encoding=0, tag=0x30
		if (a >= e)
			return -439;
		*a++ = 0x30;
		n = write_varint(a,e-a,m_data_miss);
		if (n <= 0)
			return -440;
		a += n;
	}
	// has metadata_hit?
	if (0 != (p_validbits & ((uint16_t)1U << 6))) {
		// 'metadata_hit': id=7, encoding=0, tag=0x38
		if (a >= e)
			return -441;
		*a++ = 0x38;
		n = write_varint(a,e-a,m_metadata_hit);
		if (n <= 0)
			return -442;
		a += n;
	}
	// has metadata_miss?
	if (0 != (p_validbits & ((uint16_t)1U << 7))) {
		// 'metadata_miss': id=8, encoding=0, tag=0x40
		if (a >= e)
			return -443;
		*a++ = 0x40;
		n = write_varint(a,e-a,m_metadata_miss);
		if (n <= 0)
			return -444;
		a += n;
	}
	// has prefetch_hit?
	if (0 != (p_validbits & ((uint16_t)1U << 8))) {
		// 'prefetch_hit': id=9, encoding=0, tag=0x48
		if (a >= e)
			return -445;
		*a++ = 0x48;
		n = write_varint(a,e-a,m_prefetch_hit);
		if (n <= 0)
			return -446;
		a += n;
	}
	// has prefetch_miss?
	if (0 != (p_validbits & ((uint16_t)1U << 9))) {
		// 'prefetch_miss': id=10, encoding=0, tag=0x50
		if (a >= e)
			return -447;
		*a++ = 0x50;
		n = write_varint(a,e-a,m_prefetch_miss);
		if (n <= 0)
			return -448;
		a += n;
	}
	// has l2_read?
	if (0 != (p_validbits & ((uint16_t)1U << 10))) {
		// 'l2_read': id=11, encoding=0, tag=0x58
		if (a >= e)
			return -449;
		*a++ = 0x58;
		n = write_varint(a,e-a,m_l2_read);
		if (n <= 0)
			return -450;
		a += n;
	}
	// has l2_write?
	if (0 != (p_validbits & ((uint16_t)1U << 11))) {
		// 'l2_write': id=12, encoding=0, tag=0x60
		if (a >= e)
			return -451;
		*a++ = 0x60;
		n = write_varint(a,e-a,m_l2_write);
		if (n <= 0)
			return -452;
		a += n;
	}
	assert(a <= e);
	return a-b;
}

/*!
 * Function for writing a JSON representation of the object to a stream.
 * @param json stream object the data should be serialized to
 * @param indLvl the indention level that should be used
 */
void HostScope_ARC::toJSON(std::ostream &json, unsigned indLvl) const
{
	char fsep = '{';
	++indLvl;
	if (has_size()) {
		json_indent(json,indLvl,fsep,"size");
		fsep = ',';
		json << m_size;
	}
	if (has_l2size()) {
		json_indent(json,indLvl,fsep,"l2size");
		fsep = ',';
		json << m_l2size;
	}
	if (has_l2_hit()) {
		json_indent(json,indLvl,fsep,"l2_hit");
		fsep = ',';
		json << m_l2_hit;
	}
	if (has_l2_miss()) {
		json_indent(json,indLvl,fsep,"l2_miss");
		fsep = ',';
		json << m_l2_miss;
	}
	if (has_data_hit()) {
		json_indent(json,indLvl,fsep,"data_hit");
		fsep = ',';
		json << m_data_hit;
	}
	if (has_data_miss()) {
		json_indent(json,indLvl,fsep,"data_miss");
		fsep = ',';
		json << m_data_miss;
	}
	if (has_metadata_hit()) {
		json_indent(json,indLvl,fsep,"metadata_hit");
		fsep = ',';
		json << m_metadata_hit;
	}
	if (has_metadata_miss()) {
		json_indent(json,indLvl,fsep,"metadata_miss");
		fsep = ',';
		json << m_metadata_miss;
	}
	if (has_prefetch_hit()) {
		json_indent(json,indLvl,fsep,"prefetch_hit");
		fsep = ',';
		json << m_prefetch_hit;
	}
	if (has_prefetch_miss()) {
		json_indent(json,indLvl,fsep,"prefetch_miss");
		fsep = ',';
		json << m_prefetch_miss;
	}
	if (has_l2_read()) {
		json_indent(json,indLvl,fsep,"l2_read");
		fsep = ',';
		json << m_l2_read;
	}
	if (has_l2_write()) {
		json_indent(json,indLvl,fsep,"l2_write");
		fsep = ',';
		json << m_l2_write;
	}
	if (fsep == '{')
		json.put('{');
	json.put('\n');
	--indLvl;
	json_indent(json,indLvl,0);
	json.put('}');
	if (indLvl == 0)
		json.put('\n');
}

/*!
 * Function for calculating the number of bytes needed for serializing
 * the related object with its associated data.
 * Changing the data may change the size of the serialized object.
 */
size_t HostScope_ARC::calcSize() const
{
	size_t r = 0;	// required size, default is fixed length
	// uint64 size
	if (0 != (p_validbits & ((uint16_t)1U << 0))) {
		r += wiresize((varint_t)m_size) + 1 /* tag(size) 0x8 */;
	}
	// uint64 l2size
	if (0 != (p_validbits & ((uint16_t)1U << 1))) {
		r += wiresize((varint_t)m_l2size) + 1 /* tag(l2size) 0x10 */;
	}
	// uint32 l2_hit
	if (0 != (p_validbits & ((uint16_t)1U << 2))) {
		r += wiresize((varint_t)m_l2_hit) + 1 /* tag(l2_hit) 0x18 */;
	}
	// uint32 l2_miss
	if (0 != (p_validbits & ((uint16_t)1U << 3))) {
		r += wiresize((varint_t)m_l2_miss) + 1 /* tag(l2_miss) 0x20 */;
	}
	// uint32 data_hit
	if (0 != (p_validbits & ((uint16_t)1U << 4))) {
		r += wiresize((varint_t)m_data_hit) + 1 /* tag(data_hit) 0x28 */;
	}
	// uint32 data_miss
	if (0 != (p_validbits & ((uint16_t)1U << 5))) {
		r += wiresize((varint_t)m_data_miss) + 1 /* tag(data_miss) 0x30 */;
	}
	// uint32 metadata_hit
	if (0 != (p_validbits & ((uint16_t)1U << 6))) {
		r += wiresize((varint_t)m_metadata_hit) + 1 /* tag(metadata_hit) 0x38 */;
	}
	// uint32 metadata_miss
	if (0 != (p_validbits & ((uint16_t)1U << 7))) {
		r += wiresize((varint_t)m_metadata_miss) + 1 /* tag(metadata_miss) 0x40 */;
	}
	// uint32 prefetch_hit
	if (0 != (p_validbits & ((uint16_t)1U << 8))) {
		r += wiresize((varint_t)m_prefetch_hit) + 1 /* tag(prefetch_hit) 0x48 */;
	}
	// uint32 prefetch_miss
	if (0 != (p_validbits & ((uint16_t)1U << 9))) {
		r += wiresize((varint_t)m_prefetch_miss) + 1 /* tag(prefetch_miss) 0x50 */;
	}
	// uint32 l2_read
	if (0 != (p_validbits & ((uint16_t)1U << 10))) {
		r += wiresize((varint_t)m_l2_read) + 1 /* tag(l2_read) 0x58 */;
	}
	// uint32 l2_write
	if (0 != (p_validbits & ((uint16_t)1U << 11))) {
		r += wiresize((varint_t)m_l2_write) + 1 /* tag(l2_write) 0x60 */;
	}
	return r;
}

bool HostScope_ARC::operator != (const HostScope_ARC &r) const
{
	if (has_size() ^ r.has_size())
		return true;
	if (has_size() && (m_size != r.m_size))
		return true;
	if (has_l2size() ^ r.has_l2size())
		return true;
	if (has_l2size() && (m_l2size != r.m_l2size))
		return true;
	if (has_l2_hit() ^ r.has_l2_hit())
		return true;
	if (has_l2_hit() && (m_l2_hit != r.m_l2_hit))
		return true;
	if (has_l2_miss() ^ r.has_l2_miss())
		return true;
	if (has_l2_miss() && (m_l2_miss != r.m_l2_miss))
		return true;
	if (has_data_hit() ^ r.has_data_hit())
		return true;
	if (has_data_hit() && (m_data_hit != r.m_data_hit))
		return true;
	if (has_data_miss() ^ r.has_data_miss())
		return true;
	if (has_data_miss() && (m_data_miss != r.m_data_miss))
		return true;
	if (has_metadata_hit() ^ r.has_metadata_hit())
		return true;
	if (has_metadata_hit() && (m_metadata_hit != r.m_metadata_hit))
		return true;
	if (has_metadata_miss() ^ r.has_metadata_miss())
		return true;
	if (has_metadata_miss() && (m_metadata_miss != r.m_metadata_miss))
		return true;
	if (has_prefetch_hit() ^ r.has_prefetch_hit())
		return true;
	if (has_prefetch_hit() && (m_prefetch_hit != r.m_prefetch_hit))
		return true;
	if (has_prefetch_miss() ^ r.has_prefetch_miss())
		return true;
	if (has_prefetch_miss() && (m_prefetch_miss != r.m_prefetch_miss))
		return true;
	if (has_l2_read() ^ r.has_l2_read())
		return true;
	if (has_l2_read() && (m_l2_read != r.m_l2_read))
		return true;
	if (has_l2_write() ^ r.has_l2_write())
		return true;
	if (has_l2_write() && (m_l2_write != r.m_l2_write))
		return true;
	return false;
}


bool HostScope_ARC::operator == (const HostScope_ARC &r) const
{
	return !((*this) != r);
}


/*
 * Function for setting an element in dot notation with an ASCII value.
 * It will call the specified parse_ascii function for parsing the value.
 *
 * @return number of bytes successfully parsed or negative value indicating
 *         an error.
 */
int HostScope_ARC::setByName(const char *name, const char *value)
{
	if (0 == strcmp(name,"size")) {
		if (value == 0) {
			clear_size();
			return 0;
		}
		int r = parse_ascii_u64(&m_size,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 0);
		return r;
	}
	if (0 == strcmp(name,"l2size")) {
		if (value == 0) {
			clear_l2size();
			return 0;
		}
		int r = parse_ascii_u64(&m_l2size,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 1);
		return r;
	}
	if (0 == strcmp(name,"l2_hit")) {
		if (value == 0) {
			clear_l2_hit();
			return 0;
		}
		int r = parse_ascii_u32(&m_l2_hit,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 2);
		return r;
	}
	if (0 == strcmp(name,"l2_miss")) {
		if (value == 0) {
			clear_l2_miss();
			return 0;
		}
		int r = parse_ascii_u32(&m_l2_miss,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 3);
		return r;
	}
	if (0 == strcmp(name,"data_hit")) {
		if (value == 0) {
			clear_data_hit();
			return 0;
		}
		int r = parse_ascii_u32(&m_data_hit,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 4);
		return r;
	}
	if (0 == strcmp(name,"data_miss")) {
		if (value == 0) {
			clear_data_miss();
			return 0;
		}
		int r = parse_ascii_u32(&m_data_miss,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 5);
		return r;
	}
	if (0 == strcmp(name,"metadata_hit")) {
		if (value == 0) {
			clear_metadata_hit();
			return 0;
		}
		int r = parse_ascii_u32(&m_metadata_hit,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 6);
		return r;
	}
	if (0 == strcmp(name,"metadata_miss")) {
		if (value == 0) {
			clear_metadata_miss();
			return 0;
		}
		int r = parse_ascii_u32(&m_metadata_miss,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 7);
		return r;
	}
	if (0 == strcmp(name,"prefetch_hit")) {
		if (value == 0) {
			clear_prefetch_hit();
			return 0;
		}
		int r = parse_ascii_u32(&m_prefetch_hit,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 8);
		return r;
	}
	if (0 == strcmp(name,"prefetch_miss")) {
		if (value == 0) {
			clear_prefetch_miss();
			return 0;
		}
		int r = parse_ascii_u32(&m_prefetch_miss,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 9);
		return r;
	}
	if (0 == strcmp(name,"l2_read")) {
		if (value == 0) {
			clear_l2_read();
			return 0;
		}
		int r = parse_ascii_u32(&m_l2_read,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 10);
		return r;
	}
	if (0 == strcmp(name,"l2_write")) {
		if (value == 0) {
			clear_l2_write();
			return 0;
		}
		int r = parse_ascii_u32(&m_l2_write,value);
		if (r > 0)
			p_validbits |= ((uint16_t)1U << 11);
		return r;
	}
	return -453;
}

